<?php 
session_start();
ob_start();

if (!isset($_SESSION['AUTH_SESSION']) && !isset($_SESSION['USER_SESSION']) ) {
    header("Location: auth/login");
    exit;
}

include "config/init.php";

$query = $pdo->prepare("SELECT * FROM admin WHERE authentication_code = :auth AND username = :user ");
$query->execute(['auth' => $_SESSION['AUTH_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']) ]);

if ($query->rowCount() > 0) {
    $row = $query->fetch(PDO::FETCH_ASSOC);

    $page_title = "All Administrator";
    $page = "Administrators";

include "layouts/_header.inc.php";

?>

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>

    <!--begin::App-->
    <div class="d-flex flex-column flex-root app-root" id="kt_app_root">
        <!--begin::Page-->
        <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
            <!--begin::Header-->
            <?php include "layouts/_top-header.inc.php" ?>
            <!--end::Header-->
            <!--begin::Wrapper-->
            <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
                <!--begin::Sidebar-->
                <?php include "layouts/_sidebar.inc.php" ?>
                <!--end::Sidebar-->
                <!--begin::Main-->
                <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
                    <!--begin::Content wrapper-->
                    <div class="d-flex flex-column flex-column-fluid">
                        <!--begin::Toolbar-->
                        <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                            <!--begin::Toolbar container-->
                            <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                                <!--begin::Page title-->
                                <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                                    <!--begin::Title-->
                                    <h1 class="page-heading d-flex text-gray-900 fw-bold fs-3 flex-column justify-content-center my-0"><?= $page_title ?></h1>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">
                                            <a href="<?= USER_URL ?>" class="text-muted text-hover-primary">Dashboard</a>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page ?></li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page_title ?></li>
                                        <!--end::Item-->
                                    </ul>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Page title-->
                            </div>
                            <!--end::Toolbar container-->
                        </div>
                        <!--end::Toolbar-->
                        <!--begin::Content-->
                        <div id="kt_app_content" class="app-content flex-column-fluid">
                            <!--begin::Content container-->
                            <div id="kt_app_content_container" class="app-container container-xxl">
                                <!--begin::Referred users-->
                                <div class="card">
                                    <!--begin::Header-->
                                    <div class="card-header card-header-stretch">
                                        <!--begin::Title-->
                                        <div class="card-title">
                                            <h3>Administrators </h3>
                                        </div>
                                        <!--end::Title-->
                                        <!--begin::Action-->
                                        <!-- <a href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#addTransaction" class="btn btn-sm btn-primary align-self-center">Add New</a> -->
                                        <!--end::Action-->
                                    </div>
                                    <!--end::Header-->
                                    <div class="card-body pt-0">
                                        <!--begin::Description-->
                                        <div class="text-muted fs-5"><?= $search_result ?></div>
                                        <!--end::Description-->
                                        <!--begin::Table-->
                                        <?php
                                        $statusMsg = !empty($_SESSION['msg']) ? $_SESSION['msg']: '';
                                        unset($_SESSION['msg']);
                                        echo $statusMsg;                               
                                        ?>
                                        <div class="table-responsive">
                                            <table class="table align-middle table-row-dashed fs-6 gy-5">
                                                <thead>
                                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                        <th class="min-w-200px">Administrator</th>
                                                        <th class="text-end min-w-100px">Username</th>
                                                        <th class="text-end min-w-100px">Phone</th>
                                                        <th class="text-end min-w-80px">Gender</th>
                                                        <th class="text-end min-w-100px">Access</th>
                                                        <th class="text-end min-w-150px">Created</th>
                                                        <th class="text-end min-w-150px">Last Session</th>
                                                        <th class="text-end min-w-70px">Actions</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="fw-semibold text-gray-600">
                                                    <?php 
                                                    $select = $pdo->query("SELECT * FROM admin");
                                                    while ($adrow = $select->fetch(PDO::FETCH_ASSOC)):
                                                    ?>
                                                    <tr>
                                                        <td>
                                                            <div class="d-flex align-items-center">
                                                                <!--begin::Thumbnail-->
                                                                <a href="javascript:void(0)" class="symbol symbol-50px">
                                                                    <span class="symbol-label" style="background-image:url(<?= $avatar = !empty($adrow['photo']) ? $adrow['photo'] : ASSETS.'media/svg/avatars/blank.svg' ?>);"></span>
                                                                </a>
                                                                <!--end::Thumbnail-->
                                                                <div class="ms-5 d-flex flex-column">
                                                                    <!--begin::Title-->
                                                                    <a href="javascript:void(0)" class="text-gray-800 text-hover-primary fs-5 fw-bold"><?= $adrow['firstname'].' '.$adrow['lastname'] ?></a>
                                                                    <!--end::Title-->
                                                                    <span class="fw-semibold"><?= $adrow['email'] ?></span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-end pe-0">
                                                            <span class="fw-bold"><?= $adrow['username'] ?></span>
                                                        </td>
                                                        <td class="text-end pe-0">
                                                            <span class="fw-bold ms-3"><?= $adrow['phone'] ?></span>
                                                        </td>
                                                        <td class="text-end pe-0"><?= $adrow['gender'] ?></td>
                                                        <td class="text-end pe-0">
                                                            <!--begin::Badges-->
                                                            <span class="badge badge-light-primary"><?= $adrow['access'] ?></span>
                                                            <!--end::Badges-->
                                                        </td>
                                                        <td class="text-end pe-0">
                                                            <div class="fw-bold ms-3"><?= date('Y-m-d h:ia', strtotime($adrow['created_on'])) ?></div>
                                                        </td>
                                                        <td class="text-end pe-0">
                                                            <div class="fw-bold ms-3"><?= $last_activity = !empty($adrow['last_activity']) ? date('Y-m-d h:ia', strtotime($adrow['last_activity'])) : 'N/A'; ?></div>
                                                        </td>
                                                        <td class="text-end">
                                                            <a href="delete-admin?admin=<?= $adrow['authentication_code'] ?>&action=delete" onClick="return confirm('Are you sure you want to delete this admin?')" class="btn btn-sm btn-light btn-flex btn-center btn-active-light-primary delete-admin"> 
                                                                <i class="ki-duotone ki-trash fs-5">
                                                                <i class="path1"></i>
                                                                <i class="path2"></i>
                                                                <i class="path3"></i>
                                                                <i class="path4"></i>
                                                                <i class="path5"></i></i> Delete 
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <?php endwhile ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!--end::Table-->
                                    </div>
                                </div>
                                <!--end::Referred users-->
                            </div>
                            <!--end::Content container-->
                        </div>
                        <!--end::Content-->
                    </div>
                    <!--end::Content wrapper-->
                    <!--begin::Footer-->

<script>
    $(document).ready(function() {
        $('table').DataTable({
            "ordering": false
        });
    });
</script>
<script type="text/javascript">
$("#kt_ecommerce_sales_flatpickr").flatpickr({
    altInput: true,
    altFormat: "F j, Y",
    dateFormat: "Y-m-d",
    mode: "range"
});
</script>
                    <?php include "layouts/_footer.inc.php" ?>
<?php
} else {
    header("Location: auth/login");
}
?>