<?php 
session_start();
ob_start();
include "../config/init.php";


if (isset($_GET['verify']) && isset($_GET['code'])) {

    $authentication_code = htmlspecialchars(trim($_GET['verify']));
    $enc_code = htmlspecialchars(trim($_GET['code']));

    $select = $pdo->prepare("SELECT * FROM admin WHERE authentication_code = :auth");
    $select->execute(['auth' => $authentication_code]);
    $count = $select->rowCount();
    if ($count == 0) {
        flash("error", "Verification link wrong");
        header("Location: register");
    }
    else {
        $row = $select->fetch(PDO::FETCH_ASSOC);
        $activation_code = $row['activation'];
        $auth_code = $row['authentication_code'];
        $username = $row['username'];

        if ($activation_code == 'Verified') {
            flash("error", "Email already verified!");
            $_SESSION['msg'] = "
                <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5' role='alert'>
                    <div class='alert-icon'><i class=\"bi bi-check-square\"></i></div>
                    <div class='alert-text'>Email already confirmed!</div>
                    <div class='alert-close'>
                        <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                            <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                        </button>
                    </div>
                </div>
            ";
            header("Location: login");
        }
        elseif ($enc_code !== sha1($activation_code) || $auth_code !== $authentication_code) {
            flash("error", "Code Verification failed");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Code/Token Verification failed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: login");
        }
        elseif ($enc_code === sha1($activation_code) && $auth_code === $authentication_code) {
            $update = $pdo->query("UPDATE admin SET activation = 'Verified' WHERE username = '$username' AND authentication_code = '$authentication_code'");
            if ($update) {
                flash("success", "Your Email has been confirmed!, Welcome to ".SITE_NAME);
                $_SESSION['msg'] = '
                    <div class="alert alert-dismissible alert-custom alert-outline-success fade show mb-5" role="alert">
                        <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                        <div class="alert-text">Verification success, Welcome to '.SITE_NAME.'</div>
                        <div class="alert-close">
                            <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                            </button>
                        </div>
                    </div>
                ';
                header("Location: login");

            }
        } else {
            flash("error", "Token and code Verification failed, please try again later");
            header("Location: login");
        }
    }
} else {
    flash("error", "Unauthorized access");
    header("Location: ".BASE_URL);
}
?>
