<?php
require_once "../../config/init.php";
session_start();
date_default_timezone_set("Africa/Lagos");

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['login'])) {

    $userEmail = $conn->real_escape_string(trim($_POST['userEmail']));
    $password = $conn->real_escape_string(trim($_POST['password']));

    $_SESSION['userEmail']  =   $userEmail;

    if (Token::check($_POST['token'])) {
        if (empty($userEmail) || empty($password)) {
            flash("error", "Fill all required Fields");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Please ensure all fields are not empty</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../login");
        }
        else {
            $stmt = $pdo->prepare("SELECT * FROM admin WHERE email = :email OR username = :username");
            $stmt->execute(['email' => $userEmail, 'username' => $userEmail]);

            if ($stmt->rowCount() == 0) {
                flash("error", "No User found");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>No user found matching username or email - $userEmail</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../login");
            }
            else {
                $row = $stmt->fetch(PDO::FETCH_ASSOC);
                if (password_verify($password, $row['password']) === FALSE) {
                    flash("error", "Password wrong");
                    $_SESSION['msg'] = '
                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                            <div class="alert-text">Password wrong, please try again with correct the password</div>
                            <div class="alert-close">
                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                </button>
                            </div>
                        </div>
                    ';
                    header("Location: ../login");
                }
                elseif (password_verify($password, $row['password']) === TRUE) {
                    if ($row['access'] == "Denied") {
                        flash("error", "Access Denied");
                        $_SESSION['msg'] = '
                            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                <div class="alert-text">Your access has been denied, please contact administrator</div>
                                <div class="alert-close">
                                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                    </button>
                                </div>
                            </div>
                        ';
                        header("Location: ../login");
                    }
                    else {
                        $_SESSION['USER_SESSION'] = encrypt_v2($row['username']);
                        $_SESSION['AUTH_SESSION'] = $row['authentication_code'];
                        $_SESSION['last_login_timestamp']       = time();

                        flash("success", "Welcome back ".$row['username']);
                        header("Location: ".ADM_URL);
                        exit();

                    }
                }
            }
        }
    } else {
        flash("error", "Token verification failed!");
        header("Location: ../login");
    }
}

?>
