<?php
session_start();
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '../../PHPMailer/src/Exception.php';
require '../../PHPMailer/src/PHPMailer.php';
require '../../PHPMailer/src/SMTP.php';

require_once "../../config/init.php";
date_default_timezone_set("Africa/Lagos");

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['reset'])) {

    $email = $conn->real_escape_string(trim($_POST['email']));

    $_SESSION['email']      =   $email;

    if (Token::check($_POST['token'])) {
        if (empty($email)) {
            flash("error", "Fill all required Fields");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Please ensure all fields are not empty</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../reset-password");
        }
        elseif (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
            flash("error", "Invalid Email Address");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Email Address!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../reset-password");
        }
        else {
            $stmt = $pdo->prepare("SELECT * FROM admin WHERE email = :email ");
            $stmt->execute(['email' => $email]);
            $count = $stmt->rowCount();

            if ($count == 0) {
                flash("error", "Email does not exists!");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$email is not found!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../reset-password");
            }
            else {
                $row = $stmt->fetch(PDO::FETCH_ASSOC);

                $token = encrypt_v2(openssl_random_pseudo_bytes(32));
                $selector = $row['authentication_code'];

                $sql = "INSERT INTO resetpwd (username, reset_email, reset_token, reset_selector) VALUES (:username, :reset_email, :reset_token, :reset_selector)";
                $stmt = $pdo->prepare($sql);
                $result = $stmt->execute(['username' => $row['username'], 'reset_email' => $email, 'reset_token' => $token, 'reset_selector' => $selector]);

                if ($result) {
                    // allow for demo mode testing of emails
                    define("ADMINDEMO", false); // setting to TRUE will stop the email from sending.

                    // set the location of the template file to be loaded
                    $template_file = "forgot-password-template.php";

                    // set the email 'from' information
                    $email_from = SITE_NAME ."<" . SITE_EMAIL . ">";

                    // create a list of the variables to be swapped in the html template
                    $swap_var = array(
                        "{SITE_ADDR}" => BASE_URL,
                        "{EMAIL_LOGO}" => SITE_LOGO,
                        "{SITE_NAME}" => SITE_NAME,
                        "{SITE_EMAIL}" => SITE_EMAIL,
                        "{EMAIL_TITLE}" => "Reset Password",
                        "{TO_NAME}" => $row['username'],
                        "{CUSTOM_URL}" => ADM_URL."auth/change-password?token=$token&sel=$selector",
                        "{TO_EMAIL}" => "$email"
                    );

                    // create the email headers to being the email
                    $email_headers = "From: ".$email_from."\r\nReply-To: ".$email_from."\r\n";
                    $email_headers .= "MIME-Version: 1.0\r\n";
                    $email_headers .= "Return-Path: ".$email_from."\r\n";
                    $email_headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";

                    // load the email to and subject from the $swap_var
                    $email_to = $swap_var['{TO_EMAIL}'];
                    $email_subject = $swap_var['{EMAIL_TITLE}']; // you can add time() to get unique subjects for testing: time();

                    // load in the template file for processing (after we make sure it exists)
                    if (file_exists($template_file))
                    $email_message = file_get_contents($template_file);
                    else
                    die ("Unable to locate your template file");

                    // search and replace for predefined variables, like SITE_ADDR, {NAME}, {lOGO}, {CUSTOM_URL} etc
                    foreach (array_keys($swap_var) as $key) {
                        if (strlen($key) > 2 && trim($swap_var[$key]) != '')
                        $email_message = str_replace($key, $swap_var[$key], $email_message);
                    }

                    // display the email template back to the user for final approval
                    // echo $email_message;

                    // check if the email script is in demo mode, if it is then dont actually send an email
                    if (ADMINDEMO)
                    die("<hr /><center>This is a demo of the HTML email to be sent. No email was sent. </center>");

                    $mail = new PHPMailer(true);
                    $mail->isSMTP();
                    $mail->Host = MAIL_HOST;
                    $mail->SMTPAuth = true;
                    $mail->Username = SITE_EMAIL;
                    $mail->Password = EMAIL_PASSWORD;
                    $mail->Port = 465;
                    $mail->SMTPSecure = 'ssl';
                    $mail->isHTML(true);
                    $mail->setFrom(SITE_EMAIL, SITE_NAME);
                    $mail->addAddress($email_to);
                    $mail->Subject = ("$email_subject");
                    $mail->Body = $email_message;

                    // send the email out to the user
                    if($mail->send()) {
                        flash("success", "Check your mail for a reset link");
                        $_SESSION['msg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5' role='alert'>
                                <div class='alert-icon'><i class=\"bi bi-check-square\"></i></div>
                                <div class='alert-text'>Check email for a reset link, link expires in 30 minutes!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../reset-password");
                    } else {
                        flash("error", "Unable to send mail at this time");
                        $_SESSION['msg'] = '
                            <div class="alert alert-dismissible alert-custom alert-outline-warning fade show mb-5" role="alert">
                                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                <div class="alert-text">Unable to send mail at this time, please check your connection or try again later!</div>
                                <div class="alert-close">
                                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                    </button>
                                </div>
                            </div>
                        ';
                        header("Location: ../reset-password");
                    }
                }
                else {
                    flash("error", "Reset Failed");
                    header("Location: ../reset-password");
                }
            }
        }
    } else {
        flash("error", "Token verification failed!");
        header("Location: ../reset-password");
    }
}

?>
