<?php
session_start();
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '../../PHPMailer/src/Exception.php';
require '../../PHPMailer/src/PHPMailer.php';
require '../../PHPMailer/src/SMTP.php';

require_once "../../config/init.php";
// date_default_timezone_set("Africa/Lagos");

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['register'])) {

    $firstname 	= 	$conn->real_escape_string(trim(ucwords($_POST['firstname'])));
    $lastname 	= 	$conn->real_escape_string(trim(ucwords($_POST['lastname'])));
    $username 	= 	$conn->real_escape_string(trim(ucfirst($_POST['username'])));
    $country    = 	$conn->real_escape_string(trim($_POST['country']));
    $email      =   $conn->real_escape_string(trim($_POST['email']));
    $phone 		= 	$conn->real_escape_string(trim($_POST['phone']));
    $password 	= 	$conn->real_escape_string(trim($_POST['password']));
    $cpassword 	= 	$conn->real_escape_string(trim($_POST['confirm-password']));

    $_SESSION['firstname']  =   $firstname;
    $_SESSION['lastname']   =   $lastname;
    $_SESSION['country']    =   $country;
    $_SESSION['username']   =   $username;
    $_SESSION['email']      =   $email;
    $_SESSION['phone']      =   $phone;
    $_SESSION['password']   =   $password;

    if (Token::check($_POST['token'])) {
        if (empty($firstname) || empty($lastname) || empty($username) || empty($email) || empty($country) || empty($phone) || empty($password) || empty($cpassword)) {
            flash("error", "Fill all required Fields");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Please ensure all fields are filled</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../register");
        }
        elseif (!preg_match("/^[a-zA-Z]*$/", $firstname)) {
	      	flash("error", "Invalid Firstname");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Firstname, only letters allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../register");
	    }
        elseif (!preg_match("/^[a-zA-Z]*$/", $lastname)) {
	      	flash("error", "Invalid Lastname");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Lastname, only letters allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../register");
	    }
	    elseif (!preg_match("/^[a-zA-Z0-9]*$/", $username)) {
	      	flash("error", "Invalid Username");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Username, only letters and numbers allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../register");
	    }
	    elseif (!preg_match("/^[+0-9]*$/", $phone)) {
	      	flash("error", "Invalid Phone Number");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Phone Format, only (+) and numbers allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../register");
	    }
	    elseif (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
	      	flash("error", "Invalid Email Address");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Email Address!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../register");
	    }
        elseif ($password !== $cpassword) {
            flash("error", "Passwords does not match");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Passwords does not match!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../register");
        }
        else {
            $check = "SELECT email FROM users WHERE email = :email ";
		    $statement = $pdo->prepare($check);
		    $statement->execute(['email' => $email]);
		    $checkEmail = $statement->rowCount();

		    $query = "SELECT username FROM users WHERE username = :username ";
		    $Ustmnt = $pdo->prepare($query);
		    $Ustmnt->execute(['username' => $username]);
		    $checkUsername = $Ustmnt->rowCount();

		    $query = "SELECT phone FROM users WHERE phone = :phone ";
		    $Pstmnt = $pdo->prepare($query);
		    $Pstmnt->execute(['phone' => $phone]);
		    $checkPhone = $Pstmnt->rowCount();

            if ($checkEmail > 0) {
		    	flash("error", "Email already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$email already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../register");
		    }
		    elseif ($checkUsername > 0) {
		        flash("error", "Username already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$username already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../register");
		    }
		    elseif ($checkPhone > 0) {
		        flash("error", "Phone Number already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$phone already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../register");
		    }
            else {

                $activation_code = generateActivationCode();
                $nonce = nonce().bin2hex($username);
                $hashedpwd = password_hash($password, PASSWORD_DEFAULT);
                $enc_code = sha1($activation_code);
                $authentication  = hash("gost", openssl_random_pseudo_bytes(64).$enc_code);

                $sql = "INSERT INTO users (firstname, lastname, username, email, phone, country, password, authentication_code, nonce, activation_code) VALUES (:firstname, :lastname, :username, :email, :phone, :country, :password, :auth, :nonce, :code)";
                $stmt = $pdo->prepare($sql);
                $result = $stmt->execute(['firstname' => $firstname, 'lastname' => $lastname, 'username' => $username, 'email' => $email, 'phone' => $phone, 'country' => $country, 'password' => $hashedpwd, 'auth' => $authentication, 'nonce' => $nonce, 'code' => $activation_code]);

                if ($result) {
                    // ============================= //
		            //          Customer Mail        //
		            // ============================= //

					// allow for demo mode testing of emails
					define("DEMO", false); // setting to TRUE will stop the email from sending.

					// set the location of the template file to be loaded
					$template_file = "email-verify-template.php";

					// set the email 'from' information
					$email_from = SITE_NAME ."<" . SITE_EMAIL . ">";

					// create a list of the variables to be swapped in the html template
					$swap_var = array(
                        "{SITE_ADDR}" => SITE_URL,
                        "{EMAIL_LOGO}" => SITE_LOGO,
                        "{SITE_NAME}" => SITE_NAME,
                        "{SITE_EMAIL}" => SITE_EMAIL,
						"{EMAIL_TITLE}" => "Welcome to ".SITE_NAME,
						"{CUSTOM_URL}" => USER_URL."auth/email-verification?verify=$authentication&code=$enc_code",
						"{TO_NAME}" => "$username",
			            "{CODE}" => "$activation_code",
						"{TO_EMAIL}" => "$email"
					);

                    
					// create the email headers to being the email
					$email_headers = "From: ".$email_from."\r\nReply-To: ".$email_from."\r\n";
					$email_headers .= "MIME-Version: 1.0\r\n";
					$email_headers .= "Return-Path: ".$email_from."\r\n";
					$email_headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";

				    // load the email to and subject from the $swap_var
					$email_to = $swap_var['{TO_EMAIL}'];
					$email_subject = $swap_var['{EMAIL_TITLE}']; // you can add time() to get unique subjects for testing: time();

					// load in the template file for processing (after we make sure it exists)
					if (file_exists($template_file))
						$email_message = file_get_contents($template_file);
					else
						die ("Unable to locate your template file");

					// search and replace for predefined variables, like SITE_ADDR, {NAME}, {lOGO}, {CUSTOM_URL} etc
					foreach (array_keys($swap_var) as $key){
						if (strlen($key) > 2 && trim($swap_var[$key]) != '')
							$email_message = str_replace($key, $swap_var[$key], $email_message);
					}

					// display the email template back to the user for final approval
					// echo $email_message;

				    // check if the email script is in demo mode, if it is then dont actually send an email
					if (DEMO)
						die("<hr /><center>This is a demo of the HTML email to be sent. No email was sent. </center>");

                    $mail = new PHPMailer(true);
                    $mail->isSMTP();
                    $mail->Host = 'smtp.gmail.com';
                    $mail->SMTPAuth = true;
                    $mail->Username = SITE_EMAIL;
                    $mail->Password = EMAIL_PASSWORD;
                    $mail->Port = 465;
                    $mail->SMTPSecure = 'ssl';
                    $mail->isHTML(true);
                    $mail->setFrom(SITE_EMAIL, SITE_NAME);
                    $mail->addAddress($email_to);
                    $mail->Subject = ("$email_subject");
                    $mail->Body = $email_message;

					// send the email out to the user
					// if ( mail($email_to, $email_subject, $email_message, $email_headers) ) {
                    if($mail->send()) { 
						flash("success", "Registration Successful, check your mail for verification link");
                        $_SESSION['msg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5' role='alert'>
                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                <div class='alert-text'>Registration Successful, check your mail for verification link!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../register");
					} else {
						flash("warning", "Registration Successful, mail services failed at this time, check your connection");
                        $_SESSION['msg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-warning fade show mb-5' role='alert'>
                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                <div class='alert-text'>Registration Successful, mail services failed at this time!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../register");

                    }
                } else {
                    flash("error", "Failed, Something went wrong");
                    $_SESSION['msg'] = "
                        <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                            <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                            <div class='alert-text'>Something went wrong, please try again later!</div>
                            <div class='alert-close'>
                                <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                    <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                </button>
                            </div>
                        </div>
                    ";
                    header("Location: ../register");
                }
                

            }
        }
    } else {
        flash("error", "Token verification failed!");
        header("Location: ../register");
    }

}

?>
