<?php 
include "../config/init.php";
session_start();
?>
<!DOCTYPE html>
<html lang="en">
	<!--begin::Head-->
	<head>
		<title>Admin Login - <?= SITE_NAME ?></title>
		<meta charset="utf-8" />
		<meta name="description" content="Building Tomorrow Today" />
		<meta name="keywords" content="Building Tomorrow Today" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<meta property="og:locale" content="en_US" />
		<meta property="og:type" content="article" />
		<meta property="og:title" content="<?= SITE_NAME ?>" />
		<meta property="og:url" content="<?= SITE_URL ?>" />
		<meta property="og:site_name" content="<?= SITE_NAME ?>" />
		<link rel="canonical" href="<?= SITE_URL ?>" />
		<link rel="shortcut icon" href="<?= FAVICON ?>" />
		<!--begin::Fonts(mandatory for all pages)-->
		<!-- <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter:300,400,500,600,700" /> -->
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Jost:wght@100;200;300;400;500;600;700&display=swap" rel="stylesheet">
		<!--end::Fonts-->
		<!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
		
		<link href="<?= ASSETS ?>plugins/global/plugins.bundle.css" rel="stylesheet" type="text/css" />
		<link href="<?= ASSETS ?>css/style.bundle.css" rel="stylesheet" type="text/css" />
		<link href="<?= ASSETS ?>css/custom.css" rel="stylesheet" type="text/css" />
		<!--end::Global Stylesheets Bundle-->
		<!-- Toastr -->
		<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.min.js" integrity="sha512-lbwH47l/tPXJYG9AcFNoJaTMhGvYWhVM9YI43CT+uteTRRaiLCui8snIgyAN8XWgNjNhCqlAUdzZptso6OCoFQ==" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.css" integrity="sha512-oe8OpYjBaDWPt2VmSFR+qYOdnTjeV9QPLJUeqZyprDEQvQLJ9C5PCFclxwNuvb/GQgQngdCXzKSFltuHD3eCxA==" crossorigin="anonymous" />
		<script>// Frame-busting to prevent site from being loaded within a frame without permission (click-jacking) if (window.top != window.self) { window.top.location.replace(window.self.location.href); }</script>
	</head>
	<!--end::Head-->
	<!--begin::Body-->
	<body id="kt_body" class="auth-bg bgi-size-cover bgi-attachment-fixed bgi-position-center bgi-no-repeat">
		<!--begin::Theme mode setup on page load-->
		<script>var defaultThemeMode = "light"; var themeMode; if ( document.documentElement ) { if ( document.documentElement.hasAttribute("data-bs-theme-mode")) { themeMode = document.documentElement.getAttribute("data-bs-theme-mode"); } else { if ( localStorage.getItem("data-bs-theme") !== null ) { themeMode = localStorage.getItem("data-bs-theme"); } else { themeMode = defaultThemeMode; } } if (themeMode === "system") { themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light"; } document.documentElement.setAttribute("data-bs-theme", themeMode); }</script>
		<!--end::Theme mode setup on page load-->
		<!--begin::Main-->
		<!--begin::Root-->
		<div class="d-flex flex-column flex-root">
			<!--begin::Page bg image-->
			<style>body { background-image: url('<?= ASSETS ?>media/auth/bg2.jpg'); } [data-bs-theme="dark"] body { background-image: url('<?= ASSETS ?>media/auth/bg2.jpg'); }</style>
			<!--end::Page bg image-->
			<!--begin::Authentication - Sign-in -->
			<div class="d-flex flex-column flex-column-fluid flex-lg-row">
				<!--begin::Aside-->
				<div class="d-flex flex-center w-lg-50 pt-15 pt-lg-0 px-10">
					<!--begin::Aside-->
					<div class="d-flex flex-center flex-lg-start flex-column">
						<!--begin::Logo-->
						<a href="<?= BASE_URL ?>" class="mb-7">
							<img alt="<?= SITE_NAME ?>" src="<?= SITE_LOGO_LIGHT ?>" class="h-70px" />
						</a>
						<!--end::Logo-->
						<!--begin::Title-->
						<!-- <h2 class="text-white fw-normal m-0">Building Tomorrow Today</h2> -->
						<!--end::Title-->
					</div>
					<!--begin::Aside-->
				</div>
				<!--begin::Aside-->
				<!--begin::Body-->
				<div class="d-flex flex-column-fluid flex-lg-row-auto justify-content-center justify-content-lg-end p-12 p-lg-20">
					<!--begin::Card-->
					<div class="bg-body d-flex flex-column align-items-stretch flex-center rounded-4 w-md-600px p-20">
						<!--begin::Wrapper-->
						<div class="d-flex flex-center flex-column flex-column-fluid">
							<!--begin::Form-->
							<form class="form w-100" method="POST" action="includes/login.inc">
								<input type="hidden" value="<?php echo Token::generate(); ?>" name="token">
								<!--begin::Heading-->
								<div class="text-center mb-11">
									<!--begin::Title-->
									<h1 class="text-dark fw-bolder mb-3">Admin Sign In</h1>
									<!--end::Title-->
								</div>
								<!--begin::Heading-->
								<?php
		                        $statusMsg = !empty($_SESSION['msg']) ? $_SESSION['msg']: '';
		                        unset($_SESSION['msg']);
		                        echo $statusMsg;
		                        ?>
								<!--begin::Input group=-->
								<div class="fv-row mb-8">
									<!--begin::Email-->
									<input type="text" placeholder="Email / Username" required name="userEmail" autocomplete="off" data-kt-translate="sign-in-input-email" value="<?php $userEmail = (isset($_SESSION['userEmail']) ? $_SESSION['userEmail'] : ''); unset($_SESSION['userEmail']); echo $userEmail; ?>" class="form-control bg-transparent" />
									<!--end::Email-->
								</div>
								<!--end::Input group=-->
								<div class="fv-row mb-3">
									<!--begin::Password-->
									<input type="password" placeholder="Password" name="password" autocomplete="off" class="form-control bg-transparent" />
									<!--end::Password-->
								</div>
								<!--end::Input group=-->
								<!--begin::Wrapper-->
								<div class="d-flex flex-stack flex-wrap gap-3 fs-base fw-semibold mb-8">
									<div></div>
									<!--begin::Link-->
									<a href="reset-password" class="link-primary">Forgot Password ?</a>
									<!--end::Link-->
								</div>
								<!--end::Wrapper-->
								<!--begin::Submit button-->
								<div class="d-grid mb-10">
									<button type="submit" name="login" class="btn btn-primary">
										<!--begin::Indicator label-->
										<span class="indicator-label">Sign In</span>
										<!--end::Indicator label-->
										<!--begin::Indicator progress-->
										<span class="indicator-progress">Please wait...
										<span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
										<!--end::Indicator progress-->
									</button>
								</div>
								<!--end::Submit button-->
							</form>
							<!--end::Form-->
						</div>
						<!--end::Wrapper-->
					</div>
					<!--end::Card-->
				</div>
				<!--end::Body-->
			</div>
			<!--end::Authentication - Sign-in-->
		</div>
		<!--end::Root-->
		<!--end::Main-->
		<!--begin::Javascript-->
		<script>var hostUrl = "<?= ASSETS ?>";</script>
		<!--begin::Global Javascript Bundle(mandatory for all pages)-->
		<script src="<?= ASSETS ?>plugins/global/plugins.bundle.js"></script>
		<script src="<?= ASSETS ?>js/scripts.bundle.js"></script>
		<!--end::Global Javascript Bundle-->
		<!--begin::Custom Javascript(used for this page only)-->
		<script src="<?= ASSETS ?>js/custom/authentication/sign-in/general.js"></script>
		<!--end::Custom Javascript-->
		<script type="text/javascript">
            <?php if (isset($_SESSION['success'])){ ?>
                toastr.success("<?php echo flash('success'); ?>", { "closeButton": true });
            <?php } elseif (isset($_SESSION['error'])) { ?>
                toastr.error("<?php echo flash('error'); ?>", { "closeButton": true });
            <?php } elseif (isset($_SESSION['warning'])) { ?>
                toastr.warning("<?php echo flash('warning'); ?>", { "closeButton": true });
            <?php } elseif (isset($_SESSION['info'])) { ?>
            	toastr.info("<?php echo flash('info'); ?>", { "closeButton": true });
            <?php } ?>
        </script>
		<!--end::Javascript-->
	</body>
	<!--end::Body-->
</html>