<?php 
include "../config/init.php";
session_start();
?>
<!DOCTYPE html>
<html lang="en">
	<!--begin::Head-->
	<head>
		<title>Verify Email - <?= SITE_NAME ?></title>
		<meta charset="utf-8" />
		<meta name="description" content="Trade gift cards and cryptocurrency" />
		<meta name="keywords" content="Trade gift cards and cryptocurrency" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<meta property="og:locale" content="en_US" />
		<meta property="og:type" content="article" />
		<meta property="og:title" content="<?= SITE_NAME ?>" />
		<meta property="og:url" content="<?= SITE_URL ?>" />
		<meta property="og:site_name" content="<?= SITE_NAME ?>" />
		<link rel="canonical" href="<?= SITE_URL ?>" />
		<link rel="shortcut icon" href="<?= FAVICON ?>" />
		<!--begin::Fonts(mandatory for all pages)-->
		<!-- <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter:300,400,500,600,700" /> -->
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Jost:wght@100;200;300;400;500;600;700&display=swap" rel="stylesheet">
		<!--end::Fonts-->
		<!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
		
		<link href="<?= ASSETS ?>plugins/global/plugins.bundle.css" rel="stylesheet" type="text/css" />
		<link href="<?= ASSETS ?>css/style.bundle.css" rel="stylesheet" type="text/css" />
		<link href="<?= ASSETS ?>css/custom.css" rel="stylesheet" type="text/css" />
		<!--end::Global Stylesheets Bundle-->
		<!-- Toastr -->
		<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.min.js" integrity="sha512-lbwH47l/tPXJYG9AcFNoJaTMhGvYWhVM9YI43CT+uteTRRaiLCui8snIgyAN8XWgNjNhCqlAUdzZptso6OCoFQ==" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.css" integrity="sha512-oe8OpYjBaDWPt2VmSFR+qYOdnTjeV9QPLJUeqZyprDEQvQLJ9C5PCFclxwNuvb/GQgQngdCXzKSFltuHD3eCxA==" crossorigin="anonymous" />
		<script>// Frame-busting to prevent site from being loaded within a frame without permission (click-jacking) if (window.top != window.self) { window.top.location.replace(window.self.location.href); }</script>
	</head>
	<!--end::Head-->
	<!--begin::Body-->
	<body id="kt_body" class="auth-bg bgi-size-cover bgi-attachment-fixed bgi-position-center bgi-no-repeat">
		<!--begin::Theme mode setup on page load-->
		<script>var defaultThemeMode = "light"; var themeMode; if ( document.documentElement ) { if ( document.documentElement.hasAttribute("data-bs-theme-mode")) { themeMode = document.documentElement.getAttribute("data-bs-theme-mode"); } else { if ( localStorage.getItem("data-bs-theme") !== null ) { themeMode = localStorage.getItem("data-bs-theme"); } else { themeMode = defaultThemeMode; } } if (themeMode === "system") { themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light"; } document.documentElement.setAttribute("data-bs-theme", themeMode); }</script>
		<!--end::Theme mode setup on page load-->
		<!--begin::Main-->
		<!--begin::Root-->
		<div class="d-flex flex-column flex-root">
			<!--begin::Page bg image-->
			<style>body { background-image: url('<?= ASSETS ?>media/auth/bg2.jpg'); } [data-bs-theme="dark"] body { background-image: url('<?= ASSETS ?>media/auth/bg2.jpg'); }</style>
			<!--end::Page bg image-->
			<!--begin::Authentication - Password reset -->
			<div class="d-flex flex-column flex-column-fluid flex-lg-row">
				<!--begin::Aside-->
				<div class="d-flex flex-center w-lg-50 pt-15 pt-lg-0 px-10">
					<!--begin::Aside-->
					<div class="d-flex flex-center flex-lg-start flex-column">
						<!--begin::Logo-->
						<a href="<?= BASE_URL ?>" class="mb-7">
							<img alt="<?= SITE_NAME ?>" src="<?= SITE_LOGO_LIGHT ?>" class="h-100px" />
						</a>
						<!--end::Logo-->
						<!--begin::Title-->
						<h2 class="text-white fw-normal m-0">Trade gift cards and cryptocurrency</h2>
						<!--end::Title-->
					</div>
					<!--begin::Aside-->
				</div>
				<!--begin::Aside-->
				<!--begin::Body-->
				<div class="d-flex flex-column-fluid flex-lg-row-auto justify-content-center justify-content-lg-end p-12 p-lg-20">
					<!--begin::Card-->
					<div class="bg-body d-flex flex-column align-items-stretch flex-center rounded-4 w-md-600px p-20">
						<!--begin::Wrapper-->
						<div class="d-flex flex-center flex-column flex-column-fluid px-lg-10 pb-15 pb-lg-20">
							<!--begin::Form-->
							<form class="form w-100" method="POST" action="includes/resend-verification.inc">
								<input type="hidden" value="<?php echo Token::generate(); ?>" name="token">
								<!--begin::Heading-->
								<div class="text-center mb-10">
									<!--begin::Title-->
									<h1 class="text-dark mb-3 fs-3x" data-kt-translate="password-reset-title">Resend Verification!</h1>
									<!--end::Title-->
									<!--begin::Text-->
									<div class="text-gray-400 fw-semibold fs-6" data-kt-translate="password-reset-desc">Enter your email to resend a verification link.</div>
									<!--end::Link-->
								</div>
								<!--begin::Heading-->
								<?php
								$statusMsg = !empty($_SESSION['msg']) ? $_SESSION['msg']: '';
								unset($_SESSION['msg']);
								echo $statusMsg;
								?>
								<!--begin::Input group=-->
								<div class="fv-row mb-8">
									<!--begin::Email-->
									<input class="form-control bg-transparent" type="email" placeholder="Email Address" name="email" autocomplete="off" value="<?php $email = (isset($_SESSION['email']) ? $_SESSION['email'] : ''); unset($_SESSION['email']); echo $email; ?>" required data-kt-translate="password-reset-input-email" />
									<!--end::Email-->
								</div>
								<!--begin::Actions-->
								<div class="d-flex flex-wrap justify-content-center pb-lg-0">
									<button type="submit" name="resend" class="btn btn-primary me-4">
										<!--begin::Indicator label-->
										<span class="indicator-label">Submit</span>
										<!--end::Indicator label-->
										<!--begin::Indicator progress-->
										<span class="indicator-progress">Please wait...
										<span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
										<!--end::Indicator progress-->
									</button>
									<a href="login" class="btn btn-light">Cancel</a>
								</div>
								<!--end::Actions-->
							</form>
							<!--end::Form-->
						</div>
						<!--end::Wrapper-->
					</div>
					<!--end::Card-->
				</div>
				<!--end::Body-->
			</div>
			<!--end::Authentication - Password reset-->
		</div>
		<!--end::Root-->
		<!--end::Main-->
		<!--begin::Javascript-->
		<script>var hostUrl = "<?= ASSETS ?>";</script>
		<!--begin::Global Javascript Bundle(mandatory for all pages)-->
		<script src="<?= ASSETS ?>plugins/global/plugins.bundle.js"></script>
		<script src="<?= ASSETS ?>js/scripts.bundle.js"></script>
		<!--end::Global Javascript Bundle-->
		<!--begin::Custom Javascript(used for this page only)-->
		<script src="<?= ASSETS ?>js/custom/authentication/reset-password/reset-password.js"></script>
		<!--end::Custom Javascript-->
		<script type="text/javascript">
            <?php if (isset($_SESSION['success'])){ ?>
                toastr.success("<?php echo flash('success'); ?>", { "closeButton": true });
            <?php } elseif (isset($_SESSION['error'])) { ?>
                toastr.error("<?php echo flash('error'); ?>", { "closeButton": true });
            <?php } elseif (isset($_SESSION['warning'])) { ?>
                toastr.warning("<?php echo flash('warning'); ?>", { "closeButton": true });
            <?php } elseif (isset($_SESSION['info'])) { ?>
            	toastr.info("<?php echo flash('info'); ?>", { "closeButton": true });
            <?php } ?>
        </script>
		<!--end::Javascript-->
	</body>
	<!--end::Body-->
</html>