<?php 
session_start();
date_default_timezone_set("Africa/Lagos");

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '../PHPMailer/src/Exception.php';
require '../PHPMailer/src/PHPMailer.php';
require '../PHPMailer/src/SMTP.php';

include_once '../config/init.php';


if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['save'])) {

	$firstname  =   $conn->real_escape_string(trim(ucwords($_POST['firstname'])));
    $lastname   =   $conn->real_escape_string(trim(ucwords($_POST['lastname'])));
    $phone      =   $conn->real_escape_string(trim($_POST['phone']));
    $email 		= 	$conn->real_escape_string(trim($_POST['email']));
    $username   =   $conn->real_escape_string(trim($_POST['username']));
    $gender     =   $conn->real_escape_string(trim($_POST['gender']));

    $file_name     =   $_FILES['avatar']['name'];
    $file_size     =   $_FILES['avatar']['size'];
    $file_tmp      =   $_FILES['avatar']['tmp_name'];
    $file_error    =   $_FILES['avatar']['error'];
    $file_type     =   $_FILES['avatar']['type'];

    $_SESSION['firstname']  =   $firstname;
    $_SESSION['lastname']   =   $lastname;
    $_SESSION['username']   =   $username;
    $_SESSION['email']      =   $email;
    $_SESSION['phone']      =   $phone;

    if (Token::check($_POST['token'])) {
    	if (empty($firstname) || empty($lastname) || empty($phone) || empty($email) || empty($username) || empty($gender)) {
            flash("error", "Fill all required fields");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5 w-100" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Fill all required!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../add-admin");
        }
        elseif (!preg_match("/^[a-zA-Z]*$/", $firstname)) {
            flash("error", "Invalid Firstname");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Firstname, only letters allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../add-admin");
        }
        elseif (!preg_match("/^[a-zA-Z]*$/", $lastname)) {
            flash("error", "Invalid Lastname");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Lastname, only letters allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../add-admin");
        }
        elseif (!preg_match("/^[a-zA-Z0-9]*$/", $username)) {
            flash("error", "Invalid Username");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Username, only letters and numbers allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../add-admin");
        }
        elseif (!preg_match("/^[+0-9]*$/", $phone)) {
            flash("error", "Invalid Phone Number");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Phone Format, only (+) and numbers allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../add-admin");
        }
        elseif (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
            flash("error", "Invalid Email Address");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Email Address!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../add-admin");
        }
        else {
        	$checkEmail = $conn->query("SELECT * FROM admin WHERE email = '$email'");
            $checkPhone = $conn->query("SELECT * FROM admin WHERE phone = '$phone'");
            $checkUser = $conn->query("SELECT * FROM admin WHERE username = '$username'");

            if ($checkEmail->num_rows > 0) {
                flash("error", "Email already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$email already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../add-admin");
            }
            elseif ($checkPhone->num_rows > 0) {
                flash("error", "Phone Number already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$phone already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../add-admin");
            }
            elseif ($checkUser->num_rows > 0) {
                flash("error", "Username already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$username already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../add-admin");
            }
            else {
            	$password = generateDBPassword();
                $activation_code = generateActivationCode();
                $hashedpwd = password_hash($password, PASSWORD_DEFAULT);
                $enc_code = sha1($activation_code);
                $authentication_code = hash("gost", openssl_random_pseudo_bytes(64).$username);

                if (empty($file_name)) {
                	$insert = "INSERT INTO admin (firstname, lastname, username, email, phone, gender, password, activation, authentication_code) VALUES (:firstname, :lastname, :username, :email, :phone, :gender, :password, :activation, :auth)";
                    $stmt = $pdo->prepare($insert);
                    $result = $stmt->execute(['firstname' => $firstname, 'lastname' => $lastname, 'username' => $username, 'email' => $email, 'phone' => $phone, 'gender' => $gender, 'password' => $hashedpwd, 'activation' => $activation_code, 'auth' => $authentication_code]);

                    if ($result) {
                        
                        // ============================= //
                        //          Admin Mail        //
                        // ============================= //

                        // allow for demo mode testing of emails
                        define("DEMO", false); // setting to TRUE will stop the email from sending.

                        // set the location of the template file to be loaded
                        $template_file = "email-verify-template.php";

                        // set the email 'from' information
                        $email_from = SITE_NAME ."<" . SITE_EMAIL . ">";

                        // create a list of the variables to be swapped in the html template
                        $swap_var = array(
                            "{SITE_ADDR}" => BASE_URL,
                            "{EMAIL_LOGO}" => SITE_LOGO,
                            "{SITE_NAME}" => SITE_NAME,
                            "{SITE_EMAIL}" => SITE_EMAIL,
                            "{EMAIL_TITLE}" => "Welcome to ".SITE_NAME,
                            "{CUSTOM_URL}" => ADM_URL."auth/email-verification?verify=$authentication_code&code=$enc_code",
                            "{PASS}" => "$password",
                            "{TO_NAME}" => "$username",
                            "{CODE}" => "$activation_code",
                            "{TO_EMAIL}" => "$email"
                        );

                        // create the email headers to being the email
                        $email_headers = "From: ".$email_from."\r\nReply-To: ".$email_from."\r\n";
                        $email_headers .= "MIME-Version: 1.0\r\n";
                        $email_headers .= "Return-Path: ".$email_from."\r\n";
                        $email_headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";

                        // load the email to and subject from the $swap_var
                        $email_to = $swap_var['{TO_EMAIL}'];
                        $email_subject = $swap_var['{EMAIL_TITLE}']; // you can add time() to get unique subjects for testing: time();

                        // load in the template file for processing (after we make sure it exists)
                        if (file_exists($template_file))
                            $email_message = file_get_contents($template_file);
                        else
                            die ("Unable to locate your template file");

                        // search and replace for predefined variables, like SITE_ADDR, {NAME}, {lOGO}, {CUSTOM_URL} etc
                        foreach (array_keys($swap_var) as $key){
                            if (strlen($key) > 2 && trim($swap_var[$key]) != '')
                                $email_message = str_replace($key, $swap_var[$key], $email_message);
                        }

                        // display the email template back to the user for final approval
                        // echo $email_message;

                        // check if the email script is in demo mode, if it is then dont actually send an email
                        if (DEMO)
                            die("<hr /><center>This is a demo of the HTML email to be sent. No email was sent. </center>");

                        $mail = new PHPMailer(true);
                        $mail->isSMTP();
                        $mail->Host = MAIL_HOST;
                        $mail->SMTPAuth = true;
                        $mail->Username = SITE_EMAIL;
                        $mail->Password = EMAIL_PASSWORD;
                        $mail->Port = 465;
                        $mail->SMTPSecure = 'ssl';
                        $mail->isHTML(true);
                        $mail->setFrom(SITE_EMAIL, SITE_NAME);
                        $mail->addAddress($email_to);
                        $mail->Subject = ("$email_subject");
                        $mail->Body = $email_message;

                        // send the email out to the user
                        if($mail->send()) {
                            flash("success", "New Admin Registration Successful, check mail for verification link");
                            $_SESSION['msg'] = "
                                <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5' role='alert'>
                                    <div class='alert-icon'><i class='bi bi-hand-thumbs-up'></i></div>
                                    <div class='alert-text'>Registration Successful, check your mail for verification link!</div>
                                    <div class='alert-close'>
                                        <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                            <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                        </button>
                                    </div>
                                </div>
                            ";
                            header("Location: ../add-admin");
                        } else {
                            flash("warning", "Registration Successful, mail services failed at this time, check your connection");
                            $_SESSION['msg'] = "
                                <div class='alert alert-dismissible alert-custom alert-outline-warning fade show mb-5' role='alert'>
                                    <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                    <div class='alert-text'>Registration Successful, mail services failed at this time!</div>
                                    <div class='alert-close'>
                                        <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                            <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                        </button>
                                    </div>
                                </div>
                            ";
                            header("Location: ../add-admin");

                        }

                    } else {
                        flash("error", "Failed, Something went wrong");
                        $_SESSION['msg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                <div class='alert-text'>Something went wrong, please try again later!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../add-admin");
                    }

                } else {
                	@mkdir('../uploads/'.strtolower($username), 0777);
                    $path = '../uploads/'.strtolower($username).'/';
                    $fullpath = 'uploads/'.strtolower($username).'/';

                    $fileExt = explode('.', $file_name);
                    $fileActualExt = strtolower(end($fileExt));

                    $allowedExt = array('jpg', 'jpeg', 'png');
                    if (in_array($fileActualExt, $allowedExt)) {
                    	if ($file_error === 0) {
                    		if ($file_size < 500000) {
                    			$fileNewName = md5(uniqid('', true)).".".$fileActualExt;
	                            $fileDestination = $path.$fileNewName;
	                            $photo_path = $fullpath.$fileNewName;

                    			$insert = "INSERT INTO admin (firstname, lastname, username, email, phone, photo, gender, password, activation, authentication_code) VALUES (:firstname, :lastname, :username, :email, :phone, :photo, :gender, :password, :activation, :auth)";
                                $stmt = $pdo->prepare($insert);
                                $result = $stmt->execute(['firstname' => $firstname, 'lastname' => $lastname, 'username' => $username, 'email' => $email, 'phone' => $phone, 'photo' => $photo_path, 'gender' => $gender, 'password' => $hashedpwd, 'activation' => $activation_code, 'auth' => $authentication_code]);

                                $uploadImage = move_uploaded_file($file_tmp, $fileDestination);

                                if ($result && $uploadImage) {
                        
			                        // ============================= //
			                        //          Admin Mail        //
			                        // ============================= //

			                        // allow for demo mode testing of emails
			                        define("DEMO", false); // setting to TRUE will stop the email from sending.

			                        // set the location of the template file to be loaded
			                        $template_file = "email-verify-template.php";

			                        // set the email 'from' information
			                        $email_from = SITE_NAME ."<" . SITE_EMAIL . ">";

			                        // create a list of the variables to be swapped in the html template
			                        $swap_var = array(
                                        "{SITE_ADDR}" => BASE_URL,
                                        "{EMAIL_LOGO}" => SITE_LOGO,
                                        "{SITE_NAME}" => SITE_NAME,
                                        "{SITE_EMAIL}" => SITE_EMAIL,
                                        "{EMAIL_TITLE}" => "Welcome to ".SITE_NAME,
                                        "{CUSTOM_URL}" => ADM_URL."auth/email-verification?verify=$authentication_code&code=$enc_code",
                                        "{PASS}" => "$password",
                                        "{TO_NAME}" => "$username",
                                        "{CODE}" => "$activation_code",
                                        "{TO_EMAIL}" => "$email"
                                    );

			                        // create the email headers to being the email
			                        $email_headers = "From: ".$email_from."\r\nReply-To: ".$email_from."\r\n";
			                        $email_headers .= "MIME-Version: 1.0\r\n";
			                        $email_headers .= "Return-Path: ".$email_from."\r\n";
			                        $email_headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";

			                        // load the email to and subject from the $swap_var
			                        $email_to = $swap_var['{TO_EMAIL}'];
			                        $email_subject = $swap_var['{EMAIL_TITLE}']; // you can add time() to get unique subjects for testing: time();

			                        // load in the template file for processing (after we make sure it exists)
			                        if (file_exists($template_file))
			                            $email_message = file_get_contents($template_file);
			                        else
			                            die ("Unable to locate your template file");

			                        // search and replace for predefined variables, like SITE_ADDR, {NAME}, {lOGO}, {CUSTOM_URL} etc
			                        foreach (array_keys($swap_var) as $key){
			                            if (strlen($key) > 2 && trim($swap_var[$key]) != '')
			                                $email_message = str_replace($key, $swap_var[$key], $email_message);
			                        }

			                        // display the email template back to the user for final approval
			                        // echo $email_message;

			                        // check if the email script is in demo mode, if it is then dont actually send an email
			                        if (DEMO)
			                            die("<hr /><center>This is a demo of the HTML email to be sent. No email was sent. </center>");

                                    $mail = new PHPMailer(true);
                                    $mail->isSMTP();
                                    $mail->Host = 'smtp.gmail.com';
                                    $mail->SMTPAuth = true;
                                    $mail->Username = SITE_EMAIL;
                                    $mail->Password = EMAIL_PASSWORD;
                                    $mail->Port = 465;
                                    $mail->SMTPSecure = 'ssl';
                                    $mail->isHTML(true);
                                    $mail->setFrom(SITE_EMAIL, SITE_NAME);
                                    $mail->addAddress($email_to);
                                    $mail->Subject = ("$email_subject");
                                    $mail->Body = $email_message;

			                        // send the email out to the user
			                        if($mail->send()) {
                                        flash("success", "New Admin Registration Successful, check mail for verification link");
                                        $_SESSION['msg'] = "
                                            <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5' role='alert'>
                                                <div class='alert-icon'><i class='bi bi-hand-thumbs-up'></i></div>
                                                <div class='alert-text'>Registration Successful, check your mail for verification link!</div>
                                                <div class='alert-close'>
                                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                                    </button>
                                                </div>
                                            </div>
                                        ";
                                        header("Location: ../add-admin");
                                    } else {
                                        flash("warning", "Registration Successful, mail services failed at this time, check your connection");
                                        $_SESSION['msg'] = "
                                            <div class='alert alert-dismissible alert-custom alert-outline-warning fade show mb-5' role='alert'>
                                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                                <div class='alert-text'>Registration Successful, mail services failed at this time!</div>
                                                <div class='alert-close'>
                                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                                    </button>
                                                </div>
                                            </div>
                                        ";
                                        header("Location: ../add-admin");

                                    }

			                    } else {
			                       flash("error", "Failed, Something went wrong");
                                    $_SESSION['msg'] = "
                                        <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                                            <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                            <div class='alert-text'>Something went wrong, please try again later!</div>
                                            <div class='alert-close'>
                                                <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                                    <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                                </button>
                                            </div>
                                        </div>
                                    ";
			                        header("Location: ../add-admin");
			                    }
                    		} else {
                    			flash("error", "Image too large");
                                $_SESSION['msg'] = '
                                    <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                        <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                        <div class="alert-text">Image nust be at least 400KB, please resize and try again!</div>
                                        <div class="alert-close">
                                            <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                                <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                            </button>
                                        </div>
                                    </div>
                                ';
					            header("Location: ../add-admin");
                    		}
                    	} else {
                    		flash("error", "Image error");
                            $_SESSION['msg'] = '
                                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                    <div class="alert-text">Image error, something went wrong with the image upload, please try again!</div>
                                    <div class="alert-close">
                                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                        </button>
                                    </div>
                                </div>
                            ';
				            header("Location: ../add-admin");
                    	}
                    } else {
                    	flash("error", "Wrong Image Extension");
                        $_SESSION['msg'] = '
                            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                <div class="alert-text">Wrong Image Extension, only jpg, png and jpeg allowed!</div>
                                <div class="alert-close">
                                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                    </button>
                                </div>
                            </div>
                        ';
			            header("Location: ../add-admin");
                    }
                }
            }
        }
    } else {
    	flash("error", "Token verification failed!");
        header("Location: ../add-admin");
    }
}

?>