<?php 
session_start();
require_once "../config/init.php";
date_default_timezone_set("Africa/Lagos");


if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['update']) && isset($_SESSION['AUTH_SESSION']) && isset($_SESSION['USER_SESSION'])) {

	$firstname 	= 	$conn->real_escape_string(trim(ucwords($_POST['firstname'])));
    $lastname 	= 	$conn->real_escape_string(trim(ucwords($_POST['lastname'])));
    $phone 		= 	$conn->real_escape_string(trim($_POST['phone']));
    $gender 	= 	$conn->real_escape_string(trim($_POST['gender']));

    $file_name     =   $_FILES['avatar']['name'];
    $file_size     =   $_FILES['avatar']['size'];
    $file_tmp      =   $_FILES['avatar']['tmp_name'];
    $file_error    =   $_FILES['avatar']['error'];
    $file_type     =   $_FILES['avatar']['type'];

    $query = $pdo->prepare("SELECT * FROM admin WHERE authentication_code = :auth AND username = :user  ");
    $query->execute(['auth' => $_SESSION['AUTH_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']) ]);
    $row = $query->fetch(PDO::FETCH_ASSOC);

    if (Token::check($_POST['token'])) {
    	if (empty($firstname) || empty($lastname) || empty($phone) || empty($gender)) {
    		flash("error", "All fields are required!");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">All fields are required!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../edit-profile");
        }
        elseif (!preg_match("/^[a-zA-Z]*$/", $firstname)) {
        	flash("error", "Invalid Firstname");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Firstname, only letter allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../edit-profile");
	    }
        elseif (!preg_match("/^[a-zA-Z]*$/", $lastname)) {
        	flash("error", "Invalid Lastname");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Lastname, only letter allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../edit-profile");
	    }
	    elseif (!preg_match("/^[+0-9]*$/", $phone)) {
	    	flash("error", "Invalid Phone Number");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Phone Number, only letter allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../edit-profile");
	    }
	    else {
	    	if (empty($file_name) && $phone === $row['phone']) {
	    		$update = "UPDATE admin SET firstname = :firstname, lastname = :lastname, gender = :gender WHERE username = :username AND authentication_code = :auth";

                $stmt = $pdo->prepare($update);
                $result = $stmt->execute(['firstname' => $firstname, 'lastname' => $lastname, 'gender' => $gender, 'username' => decrypt_v2($_SESSION['USER_SESSION']), 'auth' => $_SESSION['AUTH_SESSION'] ]);

                if ($result) {
                	flash("success", "Update Successful");
                	$_SESSION['msg'] = '
		                <div class="alert alert-dismissible alert-custom alert-outline-success fade show mb-5" role="alert">
		                    <div class="alert-icon"><i class="bi bi-hand-thumbs-up"></i></div>
		                    <div class="alert-text">Profile updated!</div>
		                    <div class="alert-close">
		                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
		                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
		                        </button>
		                    </div>
		                </div>
		            ';
		            header("Location: ../edit-profile");
                } else {
                	flash("error", "Update failed");
                	$_SESSION['msg'] = '
                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                            <div class="alert-text">Update failed, please try again later!</div>
                            <div class="alert-close">
                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                </button>
                            </div>
                        </div>
                    ';
		            header("Location: ../edit-profile");
                }
	    	}
	    	elseif (empty($file_name) && $phone !== $row['phone']) {
	    		$check = $conn->query("SELECT * FROM admin WHERE phone = '$phone'");
    			if ($check->num_rows > 0) {
                    flash("error", "Phone Number taken");
                    $_SESSION['msg'] = '
                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                            <div class="alert-text">Phone Number taken, try another!</div>
                            <div class="alert-close">
                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                </button>
                            </div>
                        </div>
                    ';
                    header("Location: ../edit-profile");
                }
                else {
                	$update = "UPDATE admin SET firstname = :firstname, lastname = :lastname, phone = :phone, gender = :gender WHERE username = :username AND authentication_code = :auth";

	                $stmt = $pdo->prepare($update);
	                $result = $stmt->execute(['firstname' => $firstname, 'lastname' => $lastname, 'phone' => $phone, 'gender' => $gender, 'username' => decrypt_v2($_SESSION['USER_SESSION']), 'auth' => $_SESSION['AUTH_SESSION'] ]);

	                if ($result) {
	                	flash("success", "Update Successful");
	                	$_SESSION['msg'] = '
			                <div class="alert alert-dismissible alert-custom alert-outline-success fade show mb-5" role="alert">
			                    <div class="alert-icon"><i class="bi bi-hand-thumbs-up"></i></div>
			                    <div class="alert-text">Profile updated!</div>
			                    <div class="alert-close">
			                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
			                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
			                        </button>
			                    </div>
			                </div>
			            ';
			            header("Location: ../edit-profile");
	                } else {
	                	flash("error", "Update failed");
	                	$_SESSION['msg'] = '
	                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
	                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
	                            <div class="alert-text">Update failed, please try again later!</div>
	                            <div class="alert-close">
	                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
	                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
	                                </button>
	                            </div>
	                        </div>
	                    ';
			            header("Location: ../edit-profile");
	                }
                }
	    	}
	    	elseif (!empty($file_name) && $phone === $row['phone']) {

	    		@mkdir('../uploads/'.strtolower($row['username']), 0777);
	    		$path = '../uploads/'.strtolower($row['username']).'/';
                $fullpath = 'uploads/'.strtolower($row['username']).'/';

                $fileExt = explode('.', $file_name);
                $fileActualExt = strtolower(end($fileExt));

                $allowedExt = array('jpg', 'jpeg', 'png');
                if (in_array($fileActualExt, $allowedExt)) {
                	if ($file_error === 0) {
                		if ($file_size < 500000) {
                			$fileNewName = md5(uniqid('', true)).".".$fileActualExt;
                            $fileDestination = $path.$fileNewName;
                            $photo_path = $fullpath.$fileNewName;

                            if (move_uploaded_file($file_tmp, $fileDestination)) {
                            	$update = "UPDATE admin SET firstname = :firstname, lastname = :lastname, phone = :phone, photo = :photo, gender = :gender WHERE username = :username AND authentication_code = :auth";

				                $stmt = $pdo->prepare($update);
				                $result = $stmt->execute(['firstname' => $firstname, 'lastname' => $lastname, 'phone' => $phone, 'photo' => $photo_path, 'gender' => $gender, 'username' => decrypt_v2($_SESSION['USER_SESSION']), 'auth' => $_SESSION['AUTH_SESSION'] ]);

				                if ($result) {
				                	flash("success", "Update Successful");
				                	$_SESSION['msg'] = '
						                <div class="alert alert-dismissible alert-custom alert-outline-success fade show mb-5" role="alert">
						                    <div class="alert-icon"><i class="bi bi-hand-thumbs-up"></i></div>
						                    <div class="alert-text">Profile updated!</div>
						                    <div class="alert-close">
						                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
						                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
						                        </button>
						                    </div>
						                </div>
						            ';
						            header("Location: ../edit-profile");
				                } else {
				                	flash("error", "Update failed");
				                	$_SESSION['msg'] = '
				                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
				                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
				                            <div class="alert-text">Update failed, please try again later!</div>
				                            <div class="alert-close">
				                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
				                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
				                                </button>
				                            </div>
				                        </div>
				                    ';
						            header("Location: ../edit-profile");
				                }
                            } else {
                            	flash("error", "Image upload failed");
				                $_SESSION['msg'] = '
			                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
			                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
			                            <div class="alert-text">Image upload failed, please try again later!</div>
			                            <div class="alert-close">
			                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
			                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
			                                </button>
			                            </div>
			                        </div>
			                    ';
					            header("Location: ../edit-profile");
                            }
                		} else {
                			flash("error", "Image too large");
                            $_SESSION['msg'] = '
                                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                    <div class="alert-text">Image nust be at least 400KB, please resize and try again!</div>
                                    <div class="alert-close">
                                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                        </button>
                                    </div>
                                </div>
                            ';
				            header("Location: ../edit-profile");
                		}
                	} else {
                		flash("error", "Image error");
                        $_SESSION['msg'] = '
                            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                <div class="alert-text">Image error, something went wrong with the image upload, please try again!</div>
                                <div class="alert-close">
                                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                    </button>
                                </div>
                            </div>
                        ';
			            header("Location: ../edit-profile");
                	}
                } else {
                	flash("error", "Wrong Image Extension");
                    $_SESSION['msg'] = '
                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                            <div class="alert-text">Wrong Image Extension, only jpg, png and jpeg allowed!</div>
                            <div class="alert-close">
                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                </button>
                            </div>
                        </div>
                    ';
		            header("Location: ../edit-profile");
                }
	    	}
	    	elseif (!empty($file_name) && $phone !== $row['phone']) {
	    		$check = $conn->query("SELECT * FROM admin WHERE phone = '$phone'");
    			if ($check->num_rows > 0) {
                    flash("error", "Phone Number taken");
                    $_SESSION['msg'] = '
                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                            <div class="alert-text">Phone Number taken, try another!</div>
                            <div class="alert-close">
                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                </button>
                            </div>
                        </div>
                    ';
                    header("Location: ../edit-profile");
                }
                else {
                	@mkdir('../uploads/'.strtolower($row['username']), 0777);
	    			$path = '../uploads/'.strtolower($row['username']).'/';
                	$fullpath = 'uploads/'.strtolower($row['username']).'/';

	                $fileExt = explode('.', $file_name);
	                $fileActualExt = strtolower(end($fileExt));

	                $allowedExt = array('jpg', 'jpeg', 'png');
	                if (in_array($fileActualExt, $allowedExt)) {
	                	if ($file_error === 0) {
	                		if ($file_size < 500000) {
	                			$fileNewName = md5(uniqid('', true)).".".$fileActualExt;
	                            $fileDestination = $path.$fileNewName;
	                            $photo_path = $fullpath.$fileNewName;

	                            if (move_uploaded_file($file_tmp, $fileDestination)) {
	                            	$update = "UPDATE admin SET firstname = :firstname, lastname = :lastname, phone = :phone, photo = :photo, gender = :gender WHERE username = :username AND authentication_code = :auth";

					                $stmt = $pdo->prepare($update);
					                $result = $stmt->execute(['firstname' => $firstname, 'lastname' => $lastname, 'phone' => $phone, 'photo' => $photo_path, 'gender' => $gender, 'username' => decrypt_v2($_SESSION['USER_SESSION']), 'auth' => $_SESSION['AUTH_SESSION'] ]);

					                if ($result) {
					                	flash("success", "Update Successful");
					                	$_SESSION['msg'] = '
							                <div class="alert alert-dismissible alert-custom alert-outline-success fade show mb-5" role="alert">
							                    <div class="alert-icon"><i class="bi bi-hand-thumbs-up"></i></div>
							                    <div class="alert-text">Profile updated!</div>
							                    <div class="alert-close">
							                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
							                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
							                        </button>
							                    </div>
							                </div>
							            ';
							            header("Location: ../edit-profile");
					                } else {
					                	flash("error", "Update failed");
					                	$_SESSION['msg'] = '
					                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
					                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
					                            <div class="alert-text">Update failed, please try again later!</div>
					                            <div class="alert-close">
					                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
					                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
					                                </button>
					                            </div>
					                        </div>
					                    ';
							            header("Location: ../edit-profile");
					                }
	                            } else {
	                            	flash("error", "Image upload failed");
					                $_SESSION['msg'] = '
				                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
				                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
				                            <div class="alert-text">Image upload failed, please try again later!</div>
				                            <div class="alert-close">
				                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
				                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
				                                </button>
				                            </div>
				                        </div>
				                    ';
						            header("Location: ../edit-profile");
	                            }
	                		} else {
	                			flash("error", "Image too large");
                                $_SESSION['msg'] = '
                                    <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                        <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                        <div class="alert-text">Image nust be at least 400KB, please resize and try again!</div>
                                        <div class="alert-close">
                                            <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                                <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                            </button>
                                        </div>
                                    </div>
                                ';
					            header("Location: ../edit-profile");
	                		}
	                	} else {
	                		flash("error", "Image error");
                            $_SESSION['msg'] = '
                                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                    <div class="alert-text">Image error, something went wrong with the image upload, please try again!</div>
                                    <div class="alert-close">
                                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                        </button>
                                    </div>
                                </div>
                            ';
				            header("Location: ../edit-profile");
	                	}
	                } else {
	                	flash("error", "Wrong Image Extension");
                        $_SESSION['msg'] = '
                            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                <div class="alert-text">Wrong Image Extension, only jpg, png and jpeg allowed!</div>
                                <div class="alert-close">
                                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                    </button>
                                </div>
                            </div>
                        ';
			            header("Location: ../edit-profile");
	                }
                }
	    	}
	    }
    } else {
    	flash("error", "Token verification failed!");
        header("Location: ../edit-profile");
    }
}

?>