<?php 
session_start();
ob_start();

if (!isset($_SESSION['AUTH_SESSION']) && !isset($_SESSION['USER_SESSION']) && !isset($_GET['realtor']) && !isset($_GET['val'])) {
    header("Location: auth/login");
    exit;
}

include "config/init.php";

$query = $pdo->prepare("SELECT * FROM admin WHERE authentication_code = :auth AND username = :user ");
$query->execute(['auth' => $_SESSION['AUTH_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']) ]);

if ($query->rowCount() > 0) {
    $row = $query->fetch(PDO::FETCH_ASSOC);

    $realtor_id = hex2bin(htmlspecialchars($_GET['realtor']));
    $validation = htmlspecialchars($_GET['val']);

    $getquery = $pdo->prepare("SELECT * FROM realtors WHERE realtor_id = :realtor AND validation = :val ");
    $getquery->execute(['realtor' => $realtor_id, 'val' => $validation ]);

    // if ($getquery->rowCount() > 0) {
        $rrow = $getquery->fetch(PDO::FETCH_ASSOC);

    $page_title = $rrow['firstname'].' '.$rrow['lastname'];
    $page = "Realtors";

include "layouts/_header.inc.php" ?>

    <!--begin::App-->
    <div class="d-flex flex-column flex-root app-root" id="kt_app_root">
        <!--begin::Page-->
        <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
            <!--begin::Header-->
            <?php include "layouts/_top-header.inc.php" ?>
            <!--end::Header-->
            <!--begin::Wrapper-->
            <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
                <!--begin::Sidebar-->
                <?php include "layouts/_sidebar.inc.php" ?>
                <!--end::Sidebar-->
                <!--begin::Main-->
                <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
                    <!--begin::Content wrapper-->
                    <div class="d-flex flex-column flex-column-fluid">
                        <!--begin::Toolbar-->
                        <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                            <!--begin::Toolbar container-->
                            <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                                <!--begin::Page title-->
                                <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                                    <!--begin::Title-->
                                    <h1 class="page-heading d-flex text-gray-900 fw-bold fs-3 flex-column justify-content-center my-0"><?= $page_title ?></h1>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">
                                            <a href="<?= USER_URL ?>" class="text-muted text-hover-primary">Dashboard</a>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page ?></li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page_title ?></li>
                                        <!--end::Item-->
                                    </ul>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Page title-->
                            </div>
                            <!--end::Toolbar container-->
                        </div>
                        <!--end::Toolbar-->
                        <!--begin::Content-->
                        <div id="kt_app_content" class="app-content flex-column-fluid">
                            <!--begin::Content container-->
                            <div id="kt_app_content_container" class="app-container container-xxl">
                                <!--begin::Layout-->
                                <div class="d-flex flex-column flex-lg-row">
                                    <!--begin::Sidebar-->
                                    <div class="flex-column flex-lg-row-auto w-lg-250px w-xl-350px mb-10">
                                        <!--begin::Card-->
                                        <div class="card mb-5 mb-xl-8">
                                            <!--begin::Card body-->
                                            <div class="card-body">
                                                <!--begin::Summary-->
                                                <!--begin::User Info-->
                                                <div class="d-flex flex-center flex-column py-5">
                                                    <!--begin::Avatar-->
                                                    <div class="symbol symbol-200px symbol-circle mb-7">
                                                        <?php if (empty($rrow['photo'])) { ?>
                                                        <div class="symbol-label fs-2 fw-bold text-primary"><?= substr($rrow['firstname'], 0, 2) ?></div>
                                                        <?php } else { ?>
                                                        <img src="<?= USER_URL.$rrow['photo'] ?>" alt="<?= $rrow['firstname'] .' '. $rrow['lastname']  ?>" class="" />
                                                        <?php } ?>
                                                    </div>
                                                    <!--end::Avatar-->
                                                    <!--begin::Name-->
                                                    <a href="#" class="fs-3 text-gray-800 text-hover-primary fw-bold mb-3"><?= $page_title ?></a>
                                                    <!--end::Name-->
                                                    <!--begin::Position-->
                                                    <div class="mb-9">
                                                        <!--begin::Badge-->
                                                        <div class="badge badge-lg badge-light-primary d-inline">Realtor</div>
                                                        <!--begin::Badge-->
                                                    </div>
                                                    <!--end::Position-->
                                                    <!--begin::Info-->
                                                    <!--begin::Info heading-->
                                                    <div class="fw-bold mb-3">Realtor Statistics
                                                        <span class="ms-2" ddata-bs-toggle="popover" data-bs-trigger="hover" data-bs-html="true" data-bs-content="Number of support tickets assigned, closed and pending this week.">
                                                            <i class="ki-duotone ki-information fs-7">
                                                                <span class="path1"></span>
                                                                <span class="path2"></span>
                                                                <span class="path3"></span>
                                                            </i>
                                                        </span></div>
                                                    <!--end::Info heading-->
                                                    <div class="d-flex flex-wrap flex-center">
                                                        <!--begin::Stats-->
                                                        <div class="border border-gray-300 border-dashed rounded py-3 px-3 mb-3">
                                                            <div class="fs-4 fw-bold text-gray-700">
                                                                <span class="w-75px"><?= countTableRow('realtors', 'referral', $rrow['realtor_id']) ?></span>
                                                            </div>
                                                            <div class="fw-semibold text-muted">Referrals</div>
                                                        </div>
                                                        <!--end::Stats-->
                                                        <!--begin::Stats-->
                                                        <div class="border border-gray-300 border-dashed rounded py-3 px-3 mx-4 mb-3">
                                                            <div class="fs-4 fw-bold text-gray-700">
                                                                <span class="w-50px"><?= countTableRow('transactions', 'realtor_id', $rrow['realtor_id']) ?></span>
                                                            </div>
                                                            <div class="fw-semibold text-muted">Transactions</div>
                                                        </div>
                                                        <!--end::Stats-->
                                                        <!--begin::Stats-->
                                                        <div class="border border-gray-300 border-dashed rounded py-3 px-3 mb-3">
                                                            <div class="fs-4 fw-bold text-gray-700">
                                                                <span class="w-50px">₦<?= tableSum('transactions', 'amount', 'realtor_id', $row['realtor_id']) ?></span>
                                                            </div>
                                                            <div class="fw-semibold text-muted">Total Transactions</div>
                                                        </div>
                                                        <!--end::Stats-->
                                                    </div>
                                                    <!--end::Info-->
                                                </div>
                                                <!--end::User Info-->
                                                <!--end::Summary-->
                                                <!--begin::Details toggle-->
                                                <div class="d-flex flex-stack fs-4 py-3">
                                                    <div class="fw-bold rotate collapsible" data-bs-toggle="collapse" href="#kt_user_view_details" role="button" aria-expanded="false" aria-controls="kt_user_view_details">Details
                                                        <span class="ms-2 rotate-180">
                                                            <i class="ki-duotone ki-down fs-3"></i>
                                                        </span></div>
                                                </div>
                                                <!--end::Details toggle-->
                                                <div class="separator"></div>
                                                <!--begin::Details content-->
                                                <div id="kt_user_view_details" class="collapse show">
                                                    <div class="pb-5 fs-6">
                                                        <!--begin::Details item-->
                                                        <div class="fw-bold mt-5">Realtor ID</div>
                                                        <div class="text-gray-600"><?= $realtor_id ?></div>
                                                        <!--begin::Details item-->
                                                        <!--begin::Details item-->
                                                        <div class="fw-bold mt-5">Email</div>
                                                        <div class="text-gray-600">
                                                            <a href="#" class="text-gray-600 text-hover-primary"><?= $rrow['email'] ?></a>
                                                        </div>
                                                        <!--begin::Details item-->
                                                        <!--begin::Details item-->
                                                        <div class="fw-bolder mt-5">Username</div>
                                                        <div class="text-gray-600"><?= $rrow['username'] ?></div>
                                                        <!--begin::Details item-->
                                                        <!--begin::Details item-->
                                                        <div class="fw-bolder mt-5">Access</div>
                                                        <div class="text-gray-600">
                                                            <?php if ($rrow['access'] == 'Granted') { ?>
                                                            <div class="badge badge-success fw-bolder"><?= $rrow['access'] ?></div>
                                                            <?php } else { ?>
                                                            <div class="badge badge-danger fw-bolder"><?= $rrow['access'] ?></div>
                                                            <?php } ?>
                                                        </div>
                                                        <!--begin::Details item-->
                                                        <!--begin::Details item-->
                                                        <div class="fw-bolder mt-5">Register Date</div>
                                                        <div class="text-gray-600"><?= date('F d Y, h:ia', strtotime($rrow['joined'])) ?></div>
                                                        <!--begin::Details item-->
                                                        <!--begin::Details item-->
                                                        <div class="fw-bolder mt-5">Last Activity</div>
                                                        <div class="text-gray-600"><?= date('F d Y, h:ia', strtotime($rrow['last_activity'])) ?></div>
                                                        <!--begin::Details item-->
                                                    </div>
                                                </div>
                                                <!--end::Details content-->
                                            </div>
                                            <!--end::Card body-->
                                        </div>
                                        <!--end::Card-->
                                    </div>
                                    <!--end::Sidebar-->
                                    <!--begin::Content-->
                                    <div class="flex-lg-row-fluid ms-lg-15">
                                        <!--begin:::Tabs-->
                                        <ul class="nav nav-custom nav-tabs nav-line-tabs nav-line-tabs-2x border-0 fs-4 fw-semibold mb-8">
                                            <!--begin:::Tab item-->
                                            <li class="nav-item">
                                                <a class="nav-link text-active-primary pb-4 active" data-bs-toggle="tab" href="#kt_user_view_overview_tab">Overview</a>
                                            </li>
                                            <!--end:::Tab item-->
                                            <!--begin:::Tab item-->
                                            <li class="nav-item">
                                                <a class="nav-link text-active-primary pb-4" data-kt-countup-tabs="true" data-bs-toggle="tab" href="#kt_user_view_upline">Upline</a>
                                            </li>
                                            <!--end:::Tab item-->
                                            <!--begin:::Tab item-->
                                            <li class="nav-item">
                                                <a class="nav-link text-active-primary pb-4" data-kt-countup-tabs="true" data-bs-toggle="tab" href="#kt_user_view_overview_security">Downlines</a>
                                            </li>
                                            <!--end:::Tab item-->
                                            <!--begin:::Tab item-->
                                            <li class="nav-item">
                                                <a class="nav-link text-active-primary pb-4" data-bs-toggle="tab" href="#kt_user_view_overview_events_and_logs_tab">Transactions</a>
                                            </li>
                                            <!--end:::Tab item-->
                                            <!--begin:::Tab item-->
                                            <li class="nav-item ms-auto">
                                                <!--begin::Action menu-->
                                                <a href="#" class="btn btn-primary ps-7" data-kt-menu-trigger="click" data-kt-menu-attach="parent" data-kt-menu-placement="bottom-end">Actions
                                                    <i class="ki-duotone ki-down fs-2 me-0"></i></a>
                                                <!--begin::Menu-->
                                                <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-800 menu-state-bg-light-primary fw-semibold py-4 w-250px fs-6" data-kt-menu="true">
                                                    <!--begin::Menu item-->
                                                    <div class="menu-item px-5">
                                                        <?php if ($rrow['access'] == "Granted") { ?>
                                                        <a href="realtor-access?realtor=<?= encrypt_v2($rrow['realtor_id']) ?>&action=disable" class="menu-link px-5">Disable Access
                                                            <i class="fas fa-exclamation-circle ms-2 fs-7" data-bs-toggle="tooltip" title="This will deny realtor's access to login to dashboard"></i>
                                                        </a>
                                                        <?php } else { ?>
                                                        <a href="realtor-access?realtor=<?= encrypt_v2($rrow['realtor_id']) ?>&action=enable" class="menu-link px-5">Enable Access
                                                            <i class="fas fa-exclamation-circle ms-2 fs-7" data-bs-toggle="tooltip" title="This will allow realtor's access to login to dashboard"></i>
                                                        </a>
                                                        <?php } ?>
                                                    </div>
                                                    <!--end::Menu item-->
                                                    <!--begin::Menu separator-->
                                                    <div class="separator my-3"></div>
                                                    <!--end::Menu separator-->
                                                    <!--begin::Menu item-->
                                                    <div class="menu-item px-5">
                                                        <a href="delete-realtor?realtor=<?= bin2hex($rrow['realtor_id']) ?>&val=<?= $rrow['validation'] ?>" onClick="return confirm('Are you sure you want to delete this realtor?')" class="menu-link text-danger px-5 delete-realtor">Delete Realtor</a>
                                                    </div>
                                                    <!--end::Menu item-->
                                                </div>
                                                <!--end::Menu-->
                                                <!--end::Menu-->
                                            </li>
                                            <!--end:::Tab item-->
                                        </ul>
                                        <!--end:::Tabs-->
                                        <!--begin:::Tab content-->
                                        <div class="tab-content" id="myTabContent">
                                            <!--begin:::Tab pane-->
                                            <div class="tab-pane fade show active" id="kt_user_view_overview_tab" role="tabpanel">
                                                <!--begin::Card-->
                                                <div class="card card-flush mb-6 mb-xl-9">
                                                    <!--begin::Card header-->
                                                    <div class="card-header mt-6">
                                                        <!--begin::Card title-->
                                                        <div class="card-title flex-column">
                                                            <h2 class="mb-1">Realtor's Profile</h2>
                                                            <div class="fs-6 fw-semibold text-muted">See realtor profile details</div>
                                                        </div>
                                                        <!--end::Card title-->
                                                    </div>
                                                    <!--end::Card header-->
                                                    <!--begin::Card body-->
                                                    <div class="card-body p-9 pt-4">
                                                        <div class="table-responsive">
                                                            <table class="table table-row-dashed table-row-gray-300 align-middle gs-0 gy-4">
                                                                <thead>
                                                                    <tr class="fw-bolder text-muted bg-light border-0">
                                                                        <th class="ps-4 min-w-300px rounded-start">Item</th>
                                                                        <th class="min-w-200px rounded-end">Detail</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Firstname</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['firstname'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Lastname</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['lastname'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Username</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['username'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Email</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['email'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Phone</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['mobile'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Gender</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['gender'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <?php if ($rrow['dateofbirth'] !== NULL || !empty($rrow['dateofbirth'])): ?>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Date of Birth</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= date('F d, Y', strtotime($rrow['dateofbirth'])) ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Age</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= calculateAge($rrow['dateofbirth']) ?> years</span>
                                                                        </td>
                                                                    </tr>
                                                                    <?php endif ?>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">Address</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['address'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">LGA</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['lga'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>
                                                                            <span class="text-dark fw-bolder text-hover-primary mb-1 fs-6">State</span>
                                                                        </td>
                                                                        <td>
                                                                            <span class="text-muted fw-bold text-muted d-block fs-7"><?= $rrow['state'] ?></span>
                                                                        </td>
                                                                    </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                    <!--end::Card body-->
                                                </div>
                                                <!--end::Card-->
                                            </div>
                                            <!--end:::Tab pane-->
                                            <!--begin:::Tab pane-->
                                            <div class="tab-pane fade" id="kt_user_view_upline" role="tabpanel">
                                                <!--begin::Card-->
                                                <div class="card card-flush mb-6 mb-xl-9">
                                                    <!--begin::Card header-->
                                                    <div class="card-header mt-6">
                                                        <!--begin::Card title-->
                                                        <div class="card-title flex-column">
                                                            <h2 class="mb-1">Realtor's Upline</h2>
                                                            <div class="fs-6 fw-semibold text-muted">See realtor uplines</div>
                                                        </div>
                                                        <!--end::Card title-->
                                                    </div>
                                                    <!--end::Card header-->
                                                    <!--begin::Card body-->
                                                    <div class="card-body p-9 pt-4">
                                                        <?php if (empty($rrow['referral'])) { ?>
                                                        <span class="text-muted font-weight-bolder">Admin</span>
                                                        <?php } else {
                                                            $selectref = $conn->query("SELECT * FROM realtors WHERE realtor_id = '{$rrow['referral']}'");
                                                            $refrow = $selectref->fetch_assoc(); ?>
                                                        <div class="table-responsive">
                                                            <!--begin::Table-->
                                                            <table class="table table-row-bordered table-flush align-middle gy-6">
                                                                <!--begin::Thead-->
                                                                <h3 class="text-center text-muted">1st Upline</h3>
                                                                <thead class="border-bottom border-gray-200 fs-6 fw-bolder bg-lighten">
                                                                    <tr>
                                                                        <th class="min-w-125px ps-9">Realtor</th>
                                                                        <th class="min-w-125px px-0">Username</th>
                                                                        <th class="min-w-125px">Phone</th>
                                                                        <th class="min-w-125px ps-0">Registered</th>
                                                                    </tr>
                                                                </thead>
                                                                <!--end::Thead-->
                                                                <!--begin::Tbody-->
                                                                <tbody class="fs-6 fw-bold text-gray-600">
                                                                    <tr>
                                                                        <td class="d-flex align-items-center ps-9 border-0">
                                                                            <!--begin:: Avatar -->
                                                                            <div class="symbol symbol-circle symbol-50px overflow-hidden me-3">
                                                                                <a href="realtor-details?realtor=<?= bin2hex($refrow['realtor_id']) ?>&val=<?= $refrow['validation'] ?>">
                                                                                    <div class="symbol-label">
                                                                                        <?php if (empty($refrow['photo'])) { ?>
                                                                                        <div class="symbol-label fs-2 fw-bold text-primary"><?= substr($refrow['firstname'], 0, 2) ?></div>
                                                                                        <?php } else { ?>
                                                                                        <img src="<?= USER_URL.$refrow['photo'] ?>" alt="<?= $refrow['firstname'] .' '. $refrow['lastname']  ?>" class="w-100" />
                                                                                        <?php } ?>
                                                                                    </div>
                                                                                </a>
                                                                            </div>
                                                                            <!--end::Avatar-->
                                                                            <!--begin::User details-->
                                                                            <div class="d-flex flex-column">
                                                                                <a href="realtor-details?realtor=<?= bin2hex($refrow['realtor_id']) ?>&val=<?= $refrow['validation'] ?>" class="text-gray-800 text-hover-primary mb-1"><?= $refrow['firstname'].' '.$refrow['lastname'] ?></a>
                                                                                <span><?= $refrow['email'] ?></span>
                                                                            </div>
                                                                            <!--begin::User details-->
                                                                        </td>
                                                                        <td class="ps-0"><?= $refrow['username'] ?></td>
                                                                        <td><?= $refrow['mobile'] ?></td>
                                                                        <td class=""><?= date('F d, Y h:ia', strtotime($refrow['joined'])) ?></td>
                                                                    </tr>
                                                                </tbody>
                                                                <!--end::Tbody-->
                                                            </table>
                                                            <!--end::Table-->
                                                        </div>
                                                        <div class="separator separator-dashed my-5"></div>
                                                        <?php if (empty($refrow['referral'])) { ?>
                                                            <p class="text-muted font-weight-bolder text-center">No 2nd Upline</p>
                                                        <?php } else {
                                                            $selectref2 = $conn->query("SELECT * FROM realtors WHERE realtor_id = '{$refrow['referral']}'");
                                                            $refrow2 = $selectref2->fetch_assoc();
                                                        ?>
                                                        <div class="table-responsive">
                                                            <!--begin::Table-->
                                                            <table class="table table-row-bordered table-flush align-middle gy-6">
                                                                <!--begin::Thead-->
                                                                <h3 class="text-center text-muted">2nd Upline</h3>
                                                                <thead class="border-bottom border-gray-200 fs-6 fw-bolder bg-lighten">
                                                                    <tr>
                                                                        <th class="min-w-125px ps-9">Realtor</th>
                                                                        <th class="min-w-125px px-0">Username</th>
                                                                        <th class="min-w-125px">Phone</th>
                                                                        <th class="min-w-125px ps-0">Registered</th>
                                                                    </tr>
                                                                </thead>
                                                                <!--end::Thead-->
                                                                <!--begin::Tbody-->
                                                                <tbody class="fs-6 fw-bold text-gray-600">
                                                                    <tr>
                                                                        <td class="d-flex align-items-center ps-9 border-0">
                                                                            <!--begin:: Avatar -->
                                                                            <div class="symbol symbol-circle symbol-50px overflow-hidden me-3">
                                                                                <a href="realtor-details?realtor=<?= bin2hex($refrow2['realtor_id']) ?>&val=<?= $refrow2['validation'] ?>">
                                                                                    <div class="symbol-label">
                                                                                        <?php if (empty($refrow2['photo'])) { ?>
                                                                                        <div class="symbol-label fs-2 fw-bold text-primary"><?= substr($refrow2['firstname'], 0, 2) ?></div>
                                                                                        <?php } else { ?>
                                                                                        <img src="<?= USER_URL.$refrow2['photo'] ?>" alt="<?= $refrow2['firstname'] .' '. $refrow2['lastname']  ?>" class="w-100" />
                                                                                        <?php } ?>
                                                                                    </div>
                                                                                </a>
                                                                            </div>
                                                                            <!--end::Avatar-->
                                                                            <!--begin::User details-->
                                                                            <div class="d-flex flex-column">
                                                                                <a href="realtor-details?realtor=<?= bin2hex($refrow2['realtor_id']) ?>&val=<?= $refrow2['validation'] ?>" class="text-gray-800 text-hover-primary mb-1"><?= $refrow2['firstname'].' '.$refrow2['lastname'] ?></a>
                                                                                <span><?= $refrow2['email'] ?></span>
                                                                            </div>
                                                                            <!--begin::User details-->
                                                                        </td>
                                                                        <td class="ps-0"><?= $refrow2['username'] ?></td>
                                                                        <td><?= $refrow2['mobile'] ?></td>
                                                                        <td class=""><?= date('F d, Y h:ia', strtotime($refrow2['joined'])) ?></td>
                                                                    </tr>
                                                                </tbody>
                                                                <!--end::Tbody-->
                                                            </table>
                                                            <!--end::Table-->
                                                        </div>
                                                        <?php }  ?>

                                                        <?php } ?>
                                                    </div>
                                                    <!--end::Card body-->
                                                </div>
                                                <!--end::Card-->
                                            </div>
                                            <!--end:::Tab pane-->
                                            <!--begin:::Tab pane-->
                                            <div class="tab-pane fade" id="kt_user_view_overview_security" role="tabpanel">
                                                <!--begin::Card-->
                                                <div class="card pt-4 mb-6 mb-xl-9">
                                                    <!--begin::Card header-->
                                                    <div class="card-header border-0">
                                                        <!--begin::Card title-->
                                                        <div class="card-title">
                                                            <h2>Downlines</h2>
                                                        </div>
                                                        <!--end::Card title-->
                                                    </div>
                                                    <!--end::Card header-->
                                                    <!--begin::Card body-->
                                                    <div class="card-body pt-0 pb-5">
                                                        <!--begin::Table wrapper-->
                                                        <!--begin::Table-->
                                                        <div class="table-responsive">
                                                            <table class="table table-hover align-middle table-row-dashed fs-6 gy-5">
                                                                <thead>
                                                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                                        <th class="min-w-50px"></th>
                                                                        <th class="min-w-200px">Realtor</th>
                                                                        <th class="min-w-100px">Username</th>
                                                                        <th class="min-w-100px">Gender</th>
                                                                        <th class="min-w-100px">State/LGA</th>
                                                                        <th class="min-w-100px">Phone</th>
                                                                        <th class="min-w-150px">Created</th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody class="fw-semibold text-gray-600">
                                                                    <?php realtorReferralTable($rrow['realtor_id'], $sub_mark = '') ?>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                        <!--end::Table-->
                                                        <!--end::Table wrapper-->
                                                    </div>
                                                    <!--end::Card body-->
                                                </div>
                                                <!--end::Card-->
                                            </div>
                                            <!--end:::Tab pane-->
                                            <!--begin:::Tab pane-->
                                            <div class="tab-pane fade" id="kt_user_view_overview_events_and_logs_tab" role="tabpanel">
                                                <!--begin::Card-->
                                                <div class="card pt-4 mb-6 mb-xl-9">
                                                    <!--begin::Card header-->
                                                    <div class="card-header border-0">
                                                        <!--begin::Card title-->
                                                        <div class="card-title">
                                                            <h2>Realtor Transactions</h2>
                                                        </div>
                                                        <!--end::Card title-->
                                                    </div>
                                                    <!--end::Card header-->
                                                    <!--begin::Card body-->
                                                    <div class="card-body pt-0 pb-5">
                                                        <!--begin::Table wrapper-->
                                                        <div class="table-responsive">
                                            <table class="table align-middle table-row-dashed fs-6 gy-5">
                                                <thead>
                                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                        <th class="min-w-200px">Realtor</th>
                                                        <th class="min-w-200px">Username/Realtor ID</th>
                                                        <th class="min-w-200px">Transaction ID</th>
                                                        <th class="min-w-200px">Client</th>
                                                        <th class="min-w-200px">Property</th>
                                                        <th class="min-w-100px">Amount</th>
                                                        <th class="min-w-100px">Receipt</th>
                                                        <th class="min-w-100px">Status</th>
                                                        <th class="min-w-200px">Created</th>
                                                        <th class="min-w-100px">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="fw-semibold text-gray-600">
                                                    <?php
                                                    $statement = $pdo->prepare("SELECT * FROM transactions INNER JOIN realtors ON transactions.realtor_id = realtors.realtor_id WHERE realtors.realtor_id = :realtor");
                                                    $statement->execute(['realtor' => $realtor_id]);
                                                    while ($urow = $statement->fetch(PDO::FETCH_ASSOC)): ?>
                                                    <tr>
                                                        <td>
                                                            <div class="d-flex align-items-center">
                                                                <!--begin::Thumbnail-->
                                                                <a href="javascript:void(0)" class="symbol symbol-50px">
                                                                    <span class="symbol-label" style="background-image:url(<?= $avatar = !empty($urow['photo']) ? USER_URL.$urow['photo'] : ASSETS.'media/svg/avatars/blank.svg' ?>);"></span>
                                                                </a>
                                                                <!--end::Thumbnail-->
                                                                <div class="ms-5 d-flex flex-column">
                                                                    <!--begin::Title-->
                                                                    <a href="javascript:void(0)" class="text-gray-800 text-hover-primary fs-5 fw-bold"><?= $urow['firstname'].' '.$urow['lastname'] ?></a>
                                                                    <!--end::Title-->
                                                                    <span class="fw-semibold"><?= $urow['email'] ?></span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-start pe-0">
                                                            <div class="ms-5 d-flex flex-column">
                                                                <!--begin::Title-->
                                                                <a class="text-gray-800 fs-5 fw-bold"><?= $urow['username'] ?></a>
                                                                <!--end::Title-->
                                                                <span class="text-muted fw-semibold"><?= $urow['realtor_id'] ?></span>
                                                            </div>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold"><?= $urow['transaction_id'] ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold"><?= $urow['client_name'] ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold"><?= $urow['property'] ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold">₦<?= number_format($urow['amount']) ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <a href="<?= USER_URL.$urow['receipt'] ?>" target="_blank" class="btn btn-sm btn-primary align-self-center">Open</a>
                                                        </td>
                                                        <td class="">
                                                            <!--begin::Badges-->
                                                            <?php if ($urow['status'] == 'Verified' || $urow['status'] == 'Confirmed') { ?>
                                                            <span class="badge badge-success"><?= $urow['status'] ?></span>
                                                            <?php } else { ?>
                                                            <span class="badge badge-danger"><?= $urow['status'] ?></span>
                                                            <?php } ?>
                                                            <!--end::Badges-->
                                                        </td>
                                                        <td class="">
                                                            <div class="fw-bold ms-3"><?= date('Y-m-d h:ia', strtotime($urow['created_date'])) ?></div>
                                                        </td>
                                                        <td class="text-start">
                                                            <a href="#" class="btn btn-sm btn-light btn-flex btn-center btn-active-light-primary" data-kt-menu-trigger="click" data-kt-menu-placement="bottom-end">Actions
                                                            <i class="ki-duotone ki-down fs-5 ms-1"></i></a>
                                                            <!--begin::Menu-->
                                                            <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-150px py-4" data-kt-menu="true">
                                                                <!--begin::Menu item-->
                                                                <div class="menu-item px-3">
                                                                    <a href="userTransactionStatus?user=<?= $urow['validation'] ?>&token=<?= bin2hex($urow['realtor_id']) ?>&action=confirmed&payment=<?= bin2hex($urow['transaction_id']) ?>" class="menu-link px-3 confirm-deposit" onClick="return confirm('Are you sure you want to confirm this transaction?')">Confirm Payment</a>
                                                                </div>
                                                                <!--end::Menu item-->
                                                                <!--begin::Menu item-->
                                                                <div class="menu-item px-3">
                                                                    <a href="userTransactionStatus?user=<?= $urow['validation'] ?>&token=<?= bin2hex($urow['realtor_id']) ?>&action=rejected&payment=<?= bin2hex($urow['transaction_id']) ?>" class="menu-link px-3 reject-deposit" onClick="return confirm('Are you sure you want to reject this transaction?')">Reject Payment</a>
                                                                </div>
                                                                <!--end::Menu item-->
                                                            </div>
                                                            <!--end::Menu-->
                                                        </td>
                                                    </tr>
                                                    <?php endwhile ?>
                                                </tbody>
                                            </table>
                                        </div>
                                                        <!--end::Table wrapper-->
                                                    </div>
                                                    <!--end::Card body-->
                                                </div>
                                                <!--end::Card-->
                                            </div>
                                            <!--end:::Tab pane-->
                                        </div>
                                        <!--end:::Tab content-->
                                    </div>
                                    <!--end::Content-->
                                </div>
                                <!--end::Layout-->
                            </div>
                            <!--end::Content container-->
                        </div>
                        <!--end::Content-->
                    </div>
                    <!--end::Content wrapper-->
                    <!--begin::Footer-->
<?php include "layouts/_footer.inc.php" ?>
<?php

} else {
    header("Location: auth/login");
}
?>