<?php 
session_start();
ob_start();

if (!isset($_SESSION['AUTH_SESSION']) && !isset($_SESSION['USER_SESSION']) ) {
    header("Location: auth/login");
    exit;
}

include "config/init.php";

$query = $pdo->prepare("SELECT * FROM admin WHERE authentication_code = :auth AND username = :user ");
$query->execute(['auth' => $_SESSION['AUTH_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']) ]);

if ($query->rowCount() > 0) {
    $row = $query->fetch(PDO::FETCH_ASSOC);

    $page_title = "All Realtors";
    $page = "Realtors";

include "layouts/_header.inc.php";


$search_result = '';
$total_row = '';

if ($_SERVER['REQUEST_METHOD'] == 'GET') {

    $query = "
        SELECT * FROM realtors WHERE activation != ''
    ";

    if(isset($_GET["search"]) && !empty($_GET["search"])) {
        $search = htmlspecialchars(trim($_GET['search']));
        $query .= "
        AND CONCAT(firstname, lastname, username, state, lga, email, mobile, realtor_id) LIKE '%".htmlspecialchars($_GET["search"])."%'
        ";
        $search_result .= "Showing results for Search : ".$search;
    }

    if (isset($_GET['daterange']) && !empty($_GET['daterange'])) {
        $daterange = $conn->real_escape_string(trim($_GET['daterange']));
        $daterange = explode("to", $daterange);
        $from_date = $daterange[0];
        $to_date = $daterange[1];
        if (empty($from_date) || empty($to_date)) {
            echo "<script>alert('From or to date parameters missing')</script>";
            echo "<script>window.open('realtors', '_self')</script>";
        }

        $query .= "AND joined BETWEEN '$from_date' AND '$to_date'";
        $search_result .= "Showing results from: ".date('M d, Y', strtotime($from_date))." to: ".date('M d, Y', strtotime($to_date))." ";
    }

    if (isset($_GET['state']) && !empty($_GET['state'])) {
        $state = htmlspecialchars($_GET['state']);
        $query .= "AND state = '$state'";
        $search_result .= "Showing results for State : ".$state;
    }

    if (isset($_GET['lga']) && !empty($_GET['lga'])) {
        $lga = htmlspecialchars($_GET['lga']);
        $query .= "AND lga = '$lga'";
        $search_result .= "Showing results for LGA : ".$lga;
    }

    $statement = $pdo->prepare($query);
    $statement->execute();
    $total_row = $statement->rowCount();
    $search_result .= " Total results: ".$total_row;
} else {
    $statement = $pdo->prepare("SELECT * FROM realtors ");
    $statement->execute();
    $total_row = $statement->rowCount();
}

// if (isset($_GET['search']) && !empty($_GET['search']) && empty($_GET['daterange'])) {
//     $search = htmlspecialchars(trim($_GET['search']));
//     $query = "
//         SELECT * FROM realtors WHERE CONCAT(firstname, lastname, username, state, lga, email, mobile) LIKE '%".htmlspecialchars($search)."%'
//     ";
//     $statement = $pdo->prepare($query);
//     $statement->execute();
//     $total_row = $statement->rowCount();

// } elseif (isset($_GET['daterange']) && !empty($_GET['daterange']) && empty($_GET['search'])) {
//     $daterange = $conn->real_escape_string(trim($_GET['daterange']));
//     $daterange = explode("to", $daterange);
//     $from_date = $daterange[0];
//     $to_date = $daterange[1];
//     if (empty($from_date) || empty($to_date)) {
//         echo "<script>alert('From or to date parameters missing')</script>";
//         echo "<script>window.open('transactions', '_self')</script>";
//     }
//     $statement = $pdo->query("SELECT * FROM realtors WHERE created_date BETWEEN '$from_date' AND '$to_date' ");
//     $total_row = $statement->rowCount();
//     $search_result = "Showing results from: ".date('M d, Y', strtotime($from_date))." to: ".date('M d, Y', strtotime($to_date))." Total results: ".$total_row;
//     // echo "
//     // <tr>
//     //  <td colspan='4'>
//     //      <span class='fs-3 fw-bold text-dark'> ""</span>
//     //  </td>
//     //  <td colspan='4'>
//     //      <span class='fs-3 fw-bold text-dark'> "."</span>
//     //  </td>
//     // </tr>
//     // ";
// } elseif (isset($_GET['daterange']) && !empty($_GET['daterange']) && isset($_GET['search']) && !empty($_GET['search'])) {
//     $daterange = $conn->real_escape_string(trim($_GET['daterange']));
//     $search = htmlspecialchars(trim($_GET['search']));
//     $daterange = explode("to", $daterange);
//     $from_date = $daterange[0];
//     $to_date = $daterange[1];
//     if (empty($from_date) || empty($to_date)) {
//         echo "<script>alert('From or to date parameters missing')</script>";
//         echo "<script>window.open('transactions', '_self')</script>";
//     }
//     $statement = $pdo->query("SELECT * FROM realtors WHERE created_date BETWEEN '$from_date' AND '$to_date' AND CONCAT(firstname, lastname, username, state, lga, email, mobile) LIKE '%".htmlspecialchars($search)."%' ");
//     $total_row = $statement->rowCount();
//     $search_result = "Showing results from: ".date('M d, Y', strtotime($from_date))." to: ".date('M d, Y', strtotime($to_date))." Total results: ".$total_row;
//     // echo "
//     // <tr>
//     //  <td colspan='4'>
//     //      <span class='fs-3 fw-bold text-dark'>Showing from: ".date('M d, Y', strtotime($from_date))." to: ".date('M d, Y', strtotime($to_date))."</span>
//     //  </td>
//     //  <td colspan='4'>
//     //      <span class='fs-3 fw-bold text-dark'>Total results: ".$total_row."</span>
//     //  </td>
//     // </tr>
//     // ";
// } else {
//     $statement = $pdo->prepare("SELECT * FROM realtors ");
//     $statement->execute();
//     $total_row = $statement->rowCount();
// }

?>

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
<script src="<?= ASSETS ?>js/lga.js"></script>

    <!--begin::App-->
    <div class="d-flex flex-column flex-root app-root" id="kt_app_root">
        <!--begin::Page-->
        <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
            <!--begin::Header-->
            <?php include "layouts/_top-header.inc.php" ?>
            <!--end::Header-->
            <!--begin::Wrapper-->
            <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
                <!--begin::Sidebar-->
                <?php include "layouts/_sidebar.inc.php" ?>
                <!--end::Sidebar-->
                <!--begin::Main-->
                <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
                    <!--begin::Content wrapper-->
                    <div class="d-flex flex-column flex-column-fluid">
                        <!--begin::Toolbar-->
                        <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                            <!--begin::Toolbar container-->
                            <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                                <!--begin::Page title-->
                                <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                                    <!--begin::Title-->
                                    <h1 class="page-heading d-flex text-gray-900 fw-bold fs-3 flex-column justify-content-center my-0"><?= $page_title ?></h1>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">
                                            <a href="<?= USER_URL ?>" class="text-muted text-hover-primary">Dashboard</a>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page ?></li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page_title ?></li>
                                        <!--end::Item-->
                                    </ul>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Page title-->
                            </div>
                            <!--end::Toolbar container-->
                        </div>
                        <!--end::Toolbar-->
                        <!--begin::Content-->
                        <div id="kt_app_content" class="app-content flex-column-fluid">
                            <!--begin::Content container-->
                            <div id="kt_app_content_container" class="app-container container-xxl">
                                <!--begin::Referred users-->
                                <div class="card">
                                    <!--begin::Header-->
                                    <div class="card-header d-block card-header-stretch">
                                        <form class="form mt-5" method="GET">
                                            <div class="row fv-row">
                                                <div class="col-xl-3 mb-5">
                                                    <input type="text" name="search" value="<?php if(!empty($_GET['search'])) echo $_GET['search']; ?>" data-kt-user-table-filter="search" class="form-control form-control-solid" placeholder="Search realtor..." />
                                                </div>
                                                <!--begin::Col-->
                                                <div class="col-xl-3 mb-5">
                                                    <div class="input-group">
                                                        <input class="form-control form-control-solid rounded rounded-end-0" placeholder="Pick date range" name="daterange" required id="kt_ecommerce_sales_flatpickr" />
                                                        <button class="btn btn-icon btn-light" id="kt_ecommerce_sales_flatpickr_clear">
                                                            <!--begin::Svg Icon | path: icons/duotune/arrows/arr088.svg-->
                                                            <span class="svg-icon svg-icon-2">
                                                                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                                    <rect opacity="0.5" x="7.05025" y="15.5356" width="12" height="2" rx="1" transform="rotate(-45 7.05025 15.5356)" fill="currentColor" />
                                                                    <rect x="8.46447" y="7.05029" width="12" height="2" rx="1" transform="rotate(45 8.46447 7.05029)" fill="currentColor" />
                                                                </svg>
                                                            </span>
                                                            <!--end::Svg Icon-->
                                                        </button>
                                                    </div>
                                                    <!--end::Flatpickr-->
                                                </div>
                                                <!--end::Col-->
                                                <!--begin::Col-->
                                                <div class="col-xl-3 mb-5">
                                                    <!--begin::Select2-->
                                                    <select onchange="toggleLGA(this);" class="form-select bg-transparent" name="state" id="state" data-control="select2" data-placeholder="Select a State">
                                                        <option></option>
                                                        <option value="Abia">Abia</option>
                                                        <option value="Adamawa">Adamawa</option>
                                                        <option value="AkwaIbom">AkwaIbom</option>
                                                        <option value="Anambra">Anambra</option>
                                                        <option value="Bauchi">Bauchi</option>
                                                        <option value="Bayelsa">Bayelsa</option>
                                                        <option value="Benue">Benue</option>
                                                        <option value="Borno">Borno</option>
                                                        <option value="Cross River">Cross River</option>
                                                        <option value="Delta">Delta</option>
                                                        <option value="Ebonyi">Ebonyi</option>
                                                        <option value="Edo">Edo</option>
                                                        <option value="Ekiti">Ekiti</option>
                                                        <option value="Enugu">Enugu</option>
                                                        <option value="FCT">FCT</option>
                                                        <option value="Gombe">Gombe</option>
                                                        <option value="Imo">Imo</option>
                                                        <option value="Jigawa">Jigawa</option>
                                                        <option value="Kaduna">Kaduna</option>
                                                        <option value="Kano">Kano</option>
                                                        <option value="Katsina">Katsina</option>
                                                        <option value="Kebbi">Kebbi</option>
                                                        <option value="Kogi">Kogi</option>
                                                        <option value="Kwara">Kwara</option>
                                                        <option value="Lagos">Lagos</option>
                                                        <option value="Nasarawa">Nasarawa</option>
                                                        <option value="Niger">Niger</option>
                                                        <option value="Ogun">Ogun</option>
                                                        <option value="Ondo">Ondo</option>
                                                        <option value="Osun">Osun</option>
                                                        <option value="Oyo">Oyo</option>
                                                        <option value="Plateau">Plateau</option>
                                                        <option value="Rivers">Rivers</option>
                                                        <option value="Sokoto">Sokoto</option>
                                                        <option value="Taraba">Taraba</option>
                                                        <option value="Yobe">Yobe</option>
                                                        <option value="Zamfara">Zamafara</option>
                                                    </select>
                                                    <!--end::Select2-->
                                                </div>
                                                <!--end::Col-->
                                                <!--begin::Col-->
                                                <div class="col-xl-3 mb-5">
                                                    <!--begin::Select2-->
                                                    <select class="form-select bg-transparent select-lga" name="lga" id="lga" data-control="select2" data-placeholder="Select a LGA">
                                                        <option></option>
                                                    </select>
                                                    <!--end::Select2-->
                                                </div>
                                                <!--end::Col-->
                                            </div>
                                            <button type="submit" class="btn btn-primary">Search</button>
                                        </form>
                                        <!--begin::Title-->
                                        <div class="card-title">
                                            <!-- <h3>Transactions </h3> -->
                                        </div>
                                        <!--end::Title-->
                                        <!--begin::Action-->
                                        <!-- <a href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#addTransaction" class="btn btn-sm btn-primary align-self-center">Add New</a> -->
                                        <!--end::Action-->
                                    </div>
                                    <!--end::Header-->
                                    <div class="card-body pt-0">
                                        <!--begin::Description-->
                                        <div class="text-muted fs-5"><?= $search_result ?></div>
                                        <!--end::Description-->
                                        <!--begin::Table-->
                                        <?php
                                        $statusMsg = !empty($_SESSION['msg']) ? $_SESSION['msg']: '';
                                        unset($_SESSION['msg']);
                                        echo $statusMsg;                               
                                        ?>
                                        <table class="table align-middle table-row-dashed fs-6 gy-5">
                                            <thead>
                                                <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                    <th class="min-w-200px">Realtor</th>
                                                    <th class="min-w-200px">Username/Realtor ID</th>
                                                    <th class="min-w-100px">Phone</th>
                                                    <th class="min-w-100px">State/LGA</th>
                                                    <th class="min-w-100px">Date of Birth</th>
                                                    <th class="min-w-100px">Status</th>
                                                    <th class="min-w-200px">Created</th>
                                                    <th class="min-w-100px">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody class="fw-semibold text-gray-600">
                                                <?php while ($urow = $statement->fetch(PDO::FETCH_ASSOC)): ?>
                                                <tr>
                                                    <td>
                                                        <div class="d-flex align-items-center">
                                                            <!--begin::Thumbnail-->
                                                            <a href="realtor-details?realtor=<?= bin2hex($urow['realtor_id']) ?>&val=<?= $urow['validation'] ?>" class="symbol symbol-50px">
                                                                <span class="symbol-label" style="background-image:url(<?= $avatar = !empty($urow['photo']) ? USER_URL.$urow['photo'] : ASSETS.'media/svg/avatars/blank.svg' ?>);"></span>
                                                            </a>
                                                            <!--end::Thumbnail-->
                                                            <div class="ms-5 d-flex flex-column">
                                                                <!--begin::Title-->
                                                                <a href="realtor-details?realtor=<?= bin2hex($urow['realtor_id']) ?>&val=<?= $urow['validation'] ?>" class="text-gray-800 text-hover-primary fs-5 fw-bold"><?= $urow['firstname'].' '.$urow['lastname'] ?></a>
                                                                <!--end::Title-->
                                                                <span class="fw-semibold"><?= $urow['email'] ?></span>
                                                            </div>
                                                        </div>
                                                    </td>
                                                    <td class="text-start pe-0">
                                                        <div class="ms-5 d-flex flex-column">
                                                            <!--begin::Title-->
                                                            <a class="text-gray-800 fs-5 fw-bold"><?= $urow['username'] ?></a>
                                                            <!--end::Title-->
                                                            <span class="text-muted fw-semibold"><?= $urow['realtor_id'] ?></span>
                                                        </div>
                                                    </td>
                                                    <td class="text-start">
                                                        <span class="fw-bold"><?= $urow['mobile'] ?></span>
                                                    </td>
                                                    <td class="text-start pe-0">
                                                        <div class="ms-5 d-flex flex-column">
                                                            <!--begin::Title-->
                                                            <a class="text-gray-800 fs-5 fw-bold"><?= $urow['state'] ?></a>
                                                            <!--end::Title-->
                                                            <span class="text-muted fw-semibold"><?= $urow['lga'] ?></span>
                                                        </div>
                                                    </td>
                                                    <td class="">
                                                        <div class="fw-bold ms-3"><?= date('M d, Y', strtotime($urow['dateofbirth'])) ?></div>
                                                    </td>
                                                    <td class="">
                                                        <!--begin::Badges-->
                                                        <?php if ($urow['activation'] == 'Verified' || $urow['activation'] == 'Confirmed') { ?>
                                                        <span class="badge badge-success"><?= $urow['activation'] ?></span>
                                                        <?php } else { ?>
                                                        <span class="badge badge-danger"><?= $urow['activation'] ?></span>
                                                        <?php } ?>
                                                        <!--end::Badges-->
                                                    </td>
                                                    <td class="">
                                                        <div class="fw-bold ms-3"><?= date('Y-m-d h:ia', strtotime($urow['joined'])) ?></div>
                                                    </td>
                                                    <td class="text-start">
                                                        <a href="#" class="btn btn-sm btn-light btn-flex btn-center btn-active-light-primary" data-kt-menu-trigger="click" data-kt-menu-placement="bottom-end">Actions
                                                        <i class="ki-duotone ki-down fs-5 ms-1"></i></a>
                                                        <!--begin::Menu-->
                                                        <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-150px py-4" data-kt-menu="true">
                                                            <!--begin::Menu item-->
                                                            <div class="menu-item px-3">
                                                                <a href="realtor-details?realtor=<?= bin2hex($urow['realtor_id']) ?>&val=<?= $urow['validation'] ?>" class="menu-link px-3 confirm-deposit">Details</a>
                                                            </div>
                                                            <!--end::Menu item-->
                                                            <!--begin::Menu item-->
                                                            <div class="menu-item px-3">
                                                                <a href="delete-realtor?realtor=<?= bin2hex($urow['realtor_id']) ?>&val=<?= $urow['validation'] ?>" class="menu-link px-3 reject-deposit" onClick="return confirm('Are you sure you want to delete this realtor?')">Delete Realtor</a>
                                                            </div>
                                                            <!--end::Menu item-->
                                                        </div>
                                                        <!--end::Menu-->
                                                    </td>
                                                </tr>
                                                <?php endwhile ?>
                                            </tbody>
                                        </table>
                                        <!--end::Table-->
                                    </div>
                                </div>
                                <!--end::Referred users-->
                            </div>
                            <!--end::Content container-->
                        </div>
                        <!--end::Content-->
                    </div>
                    <!--end::Content wrapper-->
                    <!--begin::Footer-->

<script>
    $(document).ready(function() {
        $('table').DataTable({
            "ordering": false
        });
    });
</script>
<script type="text/javascript">
$("#kt_ecommerce_sales_flatpickr").flatpickr({
    altInput: true,
    altFormat: "F j, Y",
    dateFormat: "Y-m-d",
    mode: "range"
});
</script>
                    <?php include "layouts/_footer.inc.php" ?>
<?php
} else {
    header("Location: auth/login");
}
?>