<?php 
session_start();
ob_start();

if (!isset($_SESSION['AUTH_SESSION']) && !isset($_SESSION['USER_SESSION']) ) {
    header("Location: auth/login");
    exit;
}

include "config/init.php";

$query = $pdo->prepare("SELECT * FROM admin WHERE authentication_code = :auth AND username = :user ");
$query->execute(['auth' => $_SESSION['AUTH_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']) ]);

if ($query->rowCount() > 0) {
    $row = $query->fetch(PDO::FETCH_ASSOC);

    $page_title = "All Transactions";
    $page = "Transactions";

include "layouts/_header.inc.php";


$search_result = '';

if (isset($_GET['search']) && !empty($_GET['search']) && empty($_GET['daterange'])) {
    $search = htmlspecialchars(trim($_GET['search']));
    $query = "
        SELECT * FROM transactions INNER JOIN realtors ON transactions.realtor_id = realtors.realtor_id WHERE CONCAT(client_name, property, realtors.username, realtors.realtor_id, firstname, lastname, email, mobile) LIKE '%".htmlspecialchars($search)."%'
    ";
    $statement = $pdo->prepare($query);
    $statement->execute();
    $total_row = $statement->rowCount();

} elseif (isset($_GET['daterange']) && !empty($_GET['daterange']) && empty($_GET['search'])) {
    $daterange = $conn->real_escape_string(trim($_GET['daterange']));
    $daterange = explode("to", $daterange);
    $from_date = $daterange[0];
    $to_date = $daterange[1];
    if (empty($from_date) || empty($to_date)) {
        echo "<script>alert('From or to date parameters missing')</script>";
        echo "<script>window.open('transactions', '_self')</script>";
    }
    $statement = $pdo->query("SELECT * FROM transactions INNER JOIN realtors ON transactions.realtor_id = realtors.realtor_id WHERE created_date BETWEEN '$from_date' AND '$to_date' ");
    $total_row = $statement->rowCount();
    $search_result = "Showing results from: ".date('M d, Y', strtotime($from_date))." to: ".date('M d, Y', strtotime($to_date))." Total results: ".$total_row;
    // echo "
    // <tr>
    //  <td colspan='4'>
    //      <span class='fs-3 fw-bold text-dark'> ""</span>
    //  </td>
    //  <td colspan='4'>
    //      <span class='fs-3 fw-bold text-dark'> "."</span>
    //  </td>
    // </tr>
    // ";
} elseif (isset($_GET['daterange']) && !empty($_GET['daterange']) && isset($_GET['search']) && !empty($_GET['search'])) {
    $daterange = $conn->real_escape_string(trim($_GET['daterange']));
    $search = htmlspecialchars(trim($_GET['search']));
    $daterange = explode("to", $daterange);
    $from_date = $daterange[0];
    $to_date = $daterange[1];
    if (empty($from_date) || empty($to_date)) {
        echo "<script>alert('From or to date parameters missing')</script>";
        echo "<script>window.open('transactions', '_self')</script>";
    }
    $statement = $pdo->query("SELECT * FROM transactions INNER JOIN realtors ON transactions.realtor_id = realtors.realtor_id WHERE created_date BETWEEN '$from_date' AND '$to_date' AND CONCAT(client_name, property, realtors.username, realtors.realtor_id, firstname, lastname, email, mobile) LIKE '%".htmlspecialchars($search)."%' ");
    $total_row = $statement->rowCount();
    $search_result = "Showing results from: ".date('M d, Y', strtotime($from_date))." to: ".date('M d, Y', strtotime($to_date))." Total results: ".$total_row;
    // echo "
    // <tr>
    //  <td colspan='4'>
    //      <span class='fs-3 fw-bold text-dark'>Showing from: ".date('M d, Y', strtotime($from_date))." to: ".date('M d, Y', strtotime($to_date))."</span>
    //  </td>
    //  <td colspan='4'>
    //      <span class='fs-3 fw-bold text-dark'>Total results: ".$total_row."</span>
    //  </td>
    // </tr>
    // ";
} else {
    $statement = $pdo->prepare("SELECT * FROM transactions INNER JOIN realtors ON transactions.realtor_id = realtors.realtor_id ");
    $statement->execute();
    $total_row = $statement->rowCount();
}

 ?>
<?php 

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['upload'])) {
    
    $client = $conn->real_escape_string(ucwords(trim($_POST['client'])));
    $property = $conn->real_escape_string(ucwords(trim($_POST['property'])));
    $amount = $conn->real_escape_string(trim($_POST['amount']));

    $file_name     =   $_FILES['proof']['name'];
    $file_size     =   $_FILES['proof']['size'];
    $file_tmp      =   $_FILES['proof']['tmp_name'];
    $file_error    =   $_FILES['proof']['error'];
    $file_type     =   $_FILES['proof']['type'];

    if (empty($client) || empty($property) || empty($amount) || empty($file_name)) {
        flash("error", "Fill all required fields");
        $_SESSION['msg'] = '
            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                <div class="alert-text">Please, fill all required fields!</div>
                <div class="alert-close">
                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                    </button>
                </div>
            </div>
        ';
    } elseif (!preg_match("/^[a-zA-Z ]*$/", $client)) {
        flash("error", "Invalid Client name");
        $_SESSION['msg'] = '
            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                <div class="alert-text">Invalid Client name, only letters allowed!</div>
                <div class="alert-close">
                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                    </button>
                </div>
            </div>
        ';
    }
    elseif (!preg_match("/^[a-zA-Z0-9 ]*$/", $property)) {
         flash("error", "Invalid Property Name");
        $_SESSION['msg'] = '
            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                <div class="alert-text">Invalid Property Name, only letter allowed!</div>
                <div class="alert-close">
                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                    </button>
                </div>
            </div>
        ';
    }
    elseif (!preg_match("/^[0-9]*$/", $amount)) {
         flash("error", "Invalid Amount");
        $_SESSION['msg'] = '
            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                <div class="alert-text">Invalid Amount, only numbers allowed!</div>
                <div class="alert-close">
                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                    </button>
                </div>
            </div>
        ';
    } else {

        // $path = '../uploads/'.$_SESSION['REALTOR_SESSION'].'/transaction/';
        $path = 'uploads/transactions/';

        $fileExt = explode('.', $file_name);
        $fileActualExt = strtolower(end($fileExt));

        $allowedExt = array('jpg', 'jpeg', 'png', 'pdf');
        $transaction_id = $row['realtor_id'].substr(rand(), 0, 5).'PAY';
        if (in_array($fileActualExt, $allowedExt)) {
            if ($file_error === 0) {
                if ($file_size < 500000) {
                    $fileNewName = md5(uniqid('', true)).".".$fileActualExt;
                    $fileDestination = $path.$fileNewName;
                    $photo_path = $path.$fileNewName;

                    if (move_uploaded_file($file_tmp, $fileDestination)) {
                        
                        $sql = "INSERT INTO transactions (realtor_id, transaction_id, username, client_name, property, amount, receipt) VALUES (:realtor, :transaction, :username, :client, :property, :amount, :receipt)";
                        $stmt = $pdo->prepare($sql);
                        $result = $stmt->execute(['realtor' => $row['realtor_id'], 'transaction' => $transaction_id, 'username' => $row['username'], 'client' => $client, 'property' => $property, 'amount' => $amount, 'receipt' => $photo_path]);

                        if ($result) {
                            flash("success", "Update Successful");
                            $_SESSION['msg'] = "
                                <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5' role='alert'>
                                    <div class='alert-icon'><i class=\"bi bi-check-square\"></i></div>
                                    <div class='alert-text'>Update successful!</div>
                                    <div class='alert-close'>
                                        <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                            <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                        </button>
                                    </div>
                                </div>
                            ";
                        } else {
                            flash("error", "Update failed");
                            $_SESSION['msg'] = '
                                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                    <div class="alert-text">Update failed, please try again later!</div>
                                    <div class="alert-close">
                                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                        </button>
                                    </div>
                                </div>
                            ';
                        }
                    }
                } else {
                    flash("error", "File too large");
                    $_SESSION['msg'] = '
                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                            <div class="alert-text">File nust be at least 500KB please resize and try again!</div>
                            <div class="alert-close">
                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                </button>
                            </div>
                        </div>
                    ';
                }
            } else {
                flash("error", "File error");
                $_SESSION['msg'] = '
                    <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                        <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                        <div class="alert-text">File error, something went wrong with the File upload, please try again!</div>
                        <div class="alert-close">
                            <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                            </button>
                        </div>
                    </div>
                ';
            }
        } else {
            flash("error", "Wrong File Extension");
            $_SESSION['msg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Wrong File Extension, only jpg, png and jpeg allowed!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
        }
    }
}

?>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>

    <!--begin::App-->
    <div class="d-flex flex-column flex-root app-root" id="kt_app_root">
        <!--begin::Page-->
        <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
            <!--begin::Header-->
            <?php include "layouts/_top-header.inc.php" ?>
            <!--end::Header-->
            <!--begin::Wrapper-->
            <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
                <!--begin::Sidebar-->
                <?php include "layouts/_sidebar.inc.php" ?>
                <!--end::Sidebar-->
                <!--begin::Main-->
                <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
                    <!--begin::Content wrapper-->
                    <div class="d-flex flex-column flex-column-fluid">
                        <!--begin::Toolbar-->
                        <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                            <!--begin::Toolbar container-->
                            <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                                <!--begin::Page title-->
                                <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                                    <!--begin::Title-->
                                    <h1 class="page-heading d-flex text-gray-900 fw-bold fs-3 flex-column justify-content-center my-0"><?= $page_title ?></h1>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">
                                            <a href="<?= USER_URL ?>" class="text-muted text-hover-primary">Dashboard</a>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page ?></li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page_title ?></li>
                                        <!--end::Item-->
                                    </ul>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Page title-->
                            </div>
                            <!--end::Toolbar container-->
                        </div>
                        <!--end::Toolbar-->
                        <!--begin::Content-->
                        <div id="kt_app_content" class="app-content flex-column-fluid">
                            <!--begin::Content container-->
                            <div id="kt_app_content_container" class="app-container container-xxl">
                                <!--begin::Referred users-->
                                <div class="card">
                                    <!--begin::Header-->
                                    <div class="card-header card-header-stretch">
                                        <!--begin::Title-->
                                        <div class="card-title">
                                            <!-- <h3>Transactions </h3> -->
                                            <form class="form" method="GET">
                                            <div class="d-flex mb-column position-relative gap-5 my-1">
                                                <input type="text" name="search" value="<?php if(!empty($_GET['search'])) echo $_GET['search']; ?>" data-kt-user-table-filter="search" class="form-control form-control-solid w-250px width-sm-100" placeholder="Search client name or property name..." />
                                                <div class="input-group w-250px width-sm-100">
                                                    <input class="form-control form-control-solid rounded rounded-end-0" placeholder="Pick date range" name="daterange" required id="kt_ecommerce_sales_flatpickr" />
                                                    <button class="btn btn-icon btn-light" id="kt_ecommerce_sales_flatpickr_clear">
                                                        <!--begin::Svg Icon | path: icons/duotune/arrows/arr088.svg-->
                                                        <span class="svg-icon svg-icon-2">
                                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                                <rect opacity="0.5" x="7.05025" y="15.5356" width="12" height="2" rx="1" transform="rotate(-45 7.05025 15.5356)" fill="currentColor" />
                                                                <rect x="8.46447" y="7.05029" width="12" height="2" rx="1" transform="rotate(45 8.46447 7.05029)" fill="currentColor" />
                                                            </svg>
                                                        </span>
                                                        <!--end::Svg Icon-->
                                                    </button>
                                                </div>
                                                <!--end::Flatpickr-->
                                                <button type="submit" class="btn btn-primary">Search</button>
                                            </div>
                                        </form>
                                        </div>
                                        <!--end::Title-->
                                        <!--begin::Action-->
                                        <!-- <a href="javascript:void(0)" data-bs-toggle="modal" data-bs-target="#addTransaction" class="btn btn-sm btn-primary align-self-center">Add New</a> -->
                                        <!--end::Action-->
                                    </div>
                                    <!--end::Header-->
                                    <div class="card-body pt-0">
                                        <!--begin::Description-->
                                        <div class="text-muted fs-5"><?= $search_result ?></div>
                                        <!--end::Description-->
                                        <!--begin::Table-->
                                        <?php
                                        $statusMsg = !empty($_SESSION['msg']) ? $_SESSION['msg']: '';
                                        unset($_SESSION['msg']);
                                        echo $statusMsg;                               
                                        ?>
                                        <div class="table-responsive">
                                            <table class="table align-middle table-row-dashed fs-6 gy-5">
                                                <thead>
                                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                        <th class="min-w-200px">Realtor</th>
                                                        <th class="min-w-200px">Username/Realtor ID</th>
                                                        <th class="min-w-200px">Transaction ID</th>
                                                        <th class="min-w-200px">Client</th>
                                                        <th class="min-w-200px">Property</th>
                                                        <th class="min-w-100px">Amount</th>
                                                        <th class="min-w-100px">Receipt</th>
                                                        <th class="min-w-100px">Status</th>
                                                        <th class="min-w-200px">Created</th>
                                                        <th class="min-w-100px">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="fw-semibold text-gray-600">
                                                    <?php while ($urow = $statement->fetch(PDO::FETCH_ASSOC)): ?>
                                                    <tr>
                                                        <td>
                                                            <div class="d-flex align-items-center">
                                                                <!--begin::Thumbnail-->
                                                                <a href="javascript:void(0)" class="symbol symbol-50px">
                                                                    <span class="symbol-label" style="background-image:url(<?= $avatar = !empty($urow['photo']) ? USER_URL.$urow['photo'] : ASSETS.'media/svg/avatars/blank.svg' ?>);"></span>
                                                                </a>
                                                                <!--end::Thumbnail-->
                                                                <div class="ms-5 d-flex flex-column">
                                                                    <!--begin::Title-->
                                                                    <a href="javascript:void(0)" class="text-gray-800 text-hover-primary fs-5 fw-bold"><?= $urow['firstname'].' '.$urow['lastname'] ?></a>
                                                                    <!--end::Title-->
                                                                    <span class="fw-semibold"><?= $urow['email'] ?></span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="text-start pe-0">
                                                            <div class="ms-5 d-flex flex-column">
                                                                <!--begin::Title-->
                                                                <a class="text-gray-800 fs-5 fw-bold"><?= $urow['username'] ?></a>
                                                                <!--end::Title-->
                                                                <span class="text-muted fw-semibold"><?= $urow['realtor_id'] ?></span>
                                                            </div>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold"><?= $urow['transaction_id'] ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold"><?= $urow['client_name'] ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold"><?= $urow['property'] ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <span class="fw-bold">₦<?= number_format($urow['amount']) ?></span>
                                                        </td>
                                                        <td class="text-start">
                                                            <a href="<?= USER_URL.$urow['receipt'] ?>" target="_blank" class="btn btn-sm btn-primary align-self-center">Open</a>
                                                        </td>
                                                        <td class="">
                                                            <!--begin::Badges-->
                                                            <?php if ($urow['status'] == 'Verified' || $urow['status'] == 'Confirmed') { ?>
                                                            <span class="badge badge-success"><?= $urow['status'] ?></span>
                                                            <?php } else { ?>
                                                            <span class="badge badge-danger"><?= $urow['status'] ?></span>
                                                            <?php } ?>
                                                            <!--end::Badges-->
                                                        </td>
                                                        <td class="">
                                                            <div class="fw-bold ms-3"><?= date('Y-m-d h:ia', strtotime($urow['created_date'])) ?></div>
                                                        </td>
                                                        <td class="text-start">
                                                            <a href="#" class="btn btn-sm btn-light btn-flex btn-center btn-active-light-primary" data-kt-menu-trigger="click" data-kt-menu-placement="bottom-end">Actions
                                                            <i class="ki-duotone ki-down fs-5 ms-1"></i></a>
                                                            <!--begin::Menu-->
                                                            <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-150px py-4" data-kt-menu="true">
                                                                <!--begin::Menu item-->
                                                                <div class="menu-item px-3">
                                                                    <a href="userTransactionStatus?user=<?= $urow['validation'] ?>&token=<?= bin2hex($urow['realtor_id']) ?>&action=confirmed&payment=<?= bin2hex($urow['transaction_id']) ?>" class="menu-link px-3 confirm-deposit" onClick="return confirm('Are you sure you want to confirm this transaction?')">Confirm Payment</a>
                                                                </div>
                                                                <!--end::Menu item-->
                                                                <!--begin::Menu item-->
                                                                <div class="menu-item px-3">
                                                                    <a href="userTransactionStatus?user=<?= $urow['validation'] ?>&token=<?= bin2hex($urow['realtor_id']) ?>&action=rejected&payment=<?= bin2hex($urow['transaction_id']) ?>" class="menu-link px-3 reject-deposit" onClick="return confirm('Are you sure you want to reject this transaction?')">Reject Payment</a>
                                                                </div>
                                                                <!--end::Menu item-->
                                                            </div>
                                                            <!--end::Menu-->
                                                        </td>
                                                    </tr>
                                                    <?php endwhile ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!--end::Table-->
                                    </div>
                                </div>
                                <!--end::Referred users-->
                            </div>
                            <!--end::Content container-->
                        </div>
                        <!--end::Content-->
                    </div>
                    <!--end::Content wrapper-->
                    <!--begin::Footer-->

<script>
    $(document).ready(function() {
        $('table').DataTable({
            "ordering": false
        });
    });
</script>
<script type="text/javascript">
$("#kt_ecommerce_sales_flatpickr").flatpickr({
    altInput: true,
    altFormat: "F j, Y",
    dateFormat: "Y-m-d",
    mode: "range"
});
</script>
                    <?php include "layouts/_footer.inc.php" ?>
<?php
} else {
    header("Location: auth/login");
}
?>