<?php 

session_start();
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require '../../PHPMailer/src/Exception.php';
require '../../PHPMailer/src/PHPMailer.php';
require '../../PHPMailer/src/SMTP.php';

require_once "../../config/init.php";

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['register'])) {

	$firstname 	= 	$conn->real_escape_string(trim(ucwords($_POST['firstname'])));
    $lastname 	= 	$conn->real_escape_string(trim(ucwords($_POST['lastname'])));
    $username 	= 	$conn->real_escape_string(trim(ucfirst($_POST['username'])));
    $referral   =   $conn->real_escape_string(trim($_POST['referral']));
    $ref_realtor    =   $conn->real_escape_string(trim(decrypt_v2($_POST['ref_realtor'])));
    $email      =   $conn->real_escape_string(trim($_POST['email']));
    $phone 		= 	$conn->real_escape_string(trim($_POST['phone']));
    $address      =   $conn->real_escape_string(trim(ucfirst($_POST['address'])));
    $state      =   $conn->real_escape_string(trim($_POST['state']));
    $lga      =   $conn->real_escape_string(trim($_POST['lga']));
    $gender      =   $conn->real_escape_string(trim($_POST['gender']));
    $work      =   $conn->real_escape_string(trim($_POST['work']));
    $employer      =   $conn->real_escape_string(trim(ucfirst($_POST['employer'])));
    $dateofbirth      =   $conn->real_escape_string(trim($_POST['dateofbirth']));
    $bank_name      =   $conn->real_escape_string(trim(ucwords($_POST['bank_name'])));
    $acct_name      =   $conn->real_escape_string(trim(ucwords($_POST['acct_name'])));
    $acct_number      =   $conn->real_escape_string(trim($_POST['acct_number']));
    $password 	= 	$conn->real_escape_string(trim($_POST['password']));
    $cpassword 	= 	$conn->real_escape_string(trim($_POST['confirm-password']));

    $_SESSION['firstname']  =   $firstname;
    $_SESSION['lastname']   =   $lastname;
    $_SESSION['username']   =   $username;
    $_SESSION['email']      =   $email;
    $_SESSION['phone']      =   $phone;
    $_SESSION['address']      =   $address;
    $_SESSION['work']      =   $work;
    $_SESSION['employer']      =   $employer;
    $_SESSION['bank_name']      =   $bank_name;
    $_SESSION['acct_name']      =   $acct_name;
    $_SESSION['acct_number']      =   $acct_number;
    $_SESSION['password']   =   $password;

    if (Token::check($_POST['token'])) {
    	$_SESSION['errors'] = validate($_POST);
        if (!empty($_SESSION['errors'])) {
            header("Location: ../register");
        } else {
        	$check = "SELECT email FROM realtors WHERE email = :email ";
		    $statement = $pdo->prepare($check);
		    $statement->execute(['email' => $email]);
		    $checkEmail = $statement->rowCount();

		    $query = "SELECT username FROM realtors WHERE username = :username ";
		    $Ustmnt = $pdo->prepare($query);
		    $Ustmnt->execute(['username' => $username]);
		    $checkUsername = $Ustmnt->rowCount();

		    $query = "SELECT mobile FROM realtors WHERE mobile = :phone ";
		    $Pstmnt = $pdo->prepare($query);
		    $Pstmnt->execute(['phone' => $phone]);
		    $checkPhone = $Pstmnt->rowCount();

		    if ($checkEmail > 0) {
		    	flash("error", "Email already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$email already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../register");
		    }
		    elseif ($checkUsername > 0) {
		        flash("error", "Username already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$username already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../register");
		    }
		    elseif ($checkPhone > 0) {
		        flash("error", "Phone Number already exists");
                $_SESSION['msg'] = "
                    <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                        <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                        <div class='alert-text'>$phone already exists, please try another!</div>
                        <div class='alert-close'>
                            <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                            </button>
                        </div>
                    </div>
                ";
                header("Location: ../register");
		    } else {

                if (isset($_COOKIE["__user__ref"]) && isset($_COOKIE["__realtor__ref"]) && !empty($referral) && !empty($ref_realtor)) {
                    $ref_realtor_id = decrypt_v2($_COOKIE["__realtor__ref"]);
                    $ref_user = decrypt_v2($_COOKIE["__user__ref"]);

                    $data = ['username' => $ref_user, 'realtor_id' => $ref_realtor_id];

                    if(tableSingleWhere('realtors', $data)) {
                        $refrow = tableSingleWhere('realtors', $data);
                        // Check if referral cookies is the same as referral input values
                        if ($ref_user !== $referral && $ref_realtor_id !== $ref_realtor && $refrow['username'] !== $ref_user && $refrow['realtor_id'] !== $ref_realtor_id) {
                            flash("error", "Referral code does not match our records");
                            $_SESSION['msg'] = "
                                <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                                    <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                    <div class='alert-text'>Referral code does not match our records!</div>
                                    <div class='alert-close'>
                                        <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                            <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                        </button>
                                    </div>
                                </div>
                            ";
                            header("Location: ../register");
                        } else {
                            $ref_fullname = $refrow['firstname'].' '.$refrow['lastname'];
                            $ref_username = $refrow['username'];
                            $ref_realtor = $refrow['realtor_id'];
                            $ref_email = $refrow['email'];


                            $ref_id = $refrow['realtor_id'];

                            // ============================= //
                            //          Referee Mail         //
                            // ============================= //
                            // set the location of the template file to be loaded
                            $template_file = "referee-email-template.php";

                            // set the email 'from' information
                            $email_from = SITE_NAME ."<" . SITE_EMAIL . ">";

                            // create a list of the variables to be swapped in the html template
                            $swap_var = array(
                                "{SITE_ADDR}" => BASE_URL,
                                "{EMAIL_LOGO}" => SITE_LOGO,
                                "{SITE_NAME}" => SITE_NAME,
                                "{EMAIL_TITLE}" => "Referral Registration",
                                "{TO_NAME}" => $refrow['username'],
                                "{FULLNAME}" => $firstname.' '.$lastname,
                                "{EMAIL}" => "$email",
                                "{TO_EMAIL}" => $refrow['email']
                            );

                            // create the email headers to being the email
                            $email_headers = "From: ".$email_from."\r\nReply-To: ".$email_from."\r\n";
                            $email_headers .= "MIME-Version: 1.0\r\n";
                            $email_headers .= "Return-Path: ".$email_from."\r\n";
                            $email_headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";

                            // load the email to and subject from the $swap_var
                            $email_to = $swap_var['{TO_EMAIL}'];
                            $email_subject = $swap_var['{EMAIL_TITLE}']; // you can add time() to get unique subjects for testing: time();

                            // load in the template file for processing (after we make sure it exists)
                            if (file_exists($template_file))
                                $email_message = file_get_contents($template_file);
                            else
                                die ("Unable to locate your template file");

                            foreach (array_keys($swap_var) as $key){
                                if (strlen($key) > 2 && trim($swap_var[$key]) != '')
                                    $email_message = str_replace($key, $swap_var[$key], $email_message);
                            }

                            // display the email template back to the user for final approval
                            // echo $email_message;

                            $mail = new PHPMailer(true);
                            $mail->isSMTP();
                            $mail->Host = MAIL_HOST;
                            $mail->SMTPAuth = true;
                            $mail->Username = SITE_EMAIL;
                            $mail->Password = EMAIL_PASSWORD;
                            $mail->Port = 465;
                            $mail->SMTPSecure = 'ssl';
                            $mail->isHTML(true);
                            $mail->setFrom(SITE_EMAIL, SITE_NAME);
                            $mail->addAddress($email_to);
                            $mail->Subject = ("$email_subject");
                            $mail->Body = $email_message;
                            $mail->send();
                        }
                    } else {
                        flash("error", "Referral not found");
                        $_SESSION['msg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                <div class='alert-text'>Invalid referral code!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../register");
                    }
                } else {
                    $ref_fullname = 'N/A';
                    $ref_username = 'N/A';
                    $ref_realtor = 'N/A';
                    $ref_email = 'N/A';
                    $ref_id = '';
                }

                $realtorID = generateRealtorID();
                $activation_code = generateActivationCode();
                $hashedpwd = password_hash($password, PASSWORD_DEFAULT);
                $enc_code = sha1($activation_code);
                $Validation = hash("gost", openssl_random_pseudo_bytes(64).$realtorID);

                $sql = "INSERT INTO realtors (realtor_id, username, firstname, lastname, email, mobile, gender, state, lga, address, dateofbirth, work_status, employer_name, bank_name, account_name, account_number, password, validation, activation, referral) VALUES (:realtor, :username, :firstname, :lastname, :email, :phone, :gender, :state, :lga, :address, :dob, :work, :employer, :bank, :acct_name, :acct_number, :password, :val, :code, :ref)";
                $stmt = $pdo->prepare($sql);
                $result = $stmt->execute(['realtor' => $realtorID, 'username' => $username, 'firstname' => $firstname, 'lastname' => $lastname, 'email' => $email, 'phone' => $phone, 'gender' => $gender, 'state' => $state, 'lga' => $lga, 'address' => $address, 'dob' => $dateofbirth, 'work' => $work, 'employer' => $employer, 'bank' => $bank_name, 'acct_name' => $acct_name, 'acct_number' => $acct_number, 'password' => $hashedpwd, 'val' => $Validation, 'code' => $activation_code, 'ref' => $ref_id]);

                if ($result == TRUE) {
                    // ============================= //
                    //          User Mail        //
                    // ============================= //

                    // set the location of the template file to be loaded
                    $template_file = "email-verify-template.php";

                    // set the email 'from' information
                    $email_from = SITE_NAME ."<" . SITE_EMAIL . ">";

                    // create a list of the variables to be swapped in the html template
                    $swap_var = array(
                        "{SITE_ADDR}" => BASE_URL,
                        "{EMAIL_LOGO}" => SITE_LOGO,
                        "{SITE_NAME}" => SITE_NAME,
                        "{EMAIL_TITLE}" => "Welcome to ".SITE_NAME,
                        "{CUSTOM_URL}" => USER_URL."auth/email-verification?verify=$Validation&code=$enc_code",
                        "{TO_NAME}" => "$username",
                        "{CODE}" => "$activation_code",
                        "{TO_EMAIL}" => "$email"
                    );

                    // create the email headers to being the email
                    $email_headers = "From: ".$email_from."\r\nReply-To: ".$email_from."\r\n";
                    $email_headers .= "MIME-Version: 1.0\r\n";
                    $email_headers .= "Return-Path: ".$email_from."\r\n";
                    $email_headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";

                    // load the email to and subject from the $swap_var
                    $email_to = $swap_var['{TO_EMAIL}'];
                    $email_subject = $swap_var['{EMAIL_TITLE}']; // you can add time() to get unique subjects for testing: time();

                    // load in the template file for processing (after we make sure it exists)
                    if (file_exists($template_file))
                        $email_message = file_get_contents($template_file);
                    else
                        die ("Unable to locate your template file");

                    // search and replace for predefined variables, like SITE_ADDR, {NAME}, {lOGO}, {CUSTOM_URL} etc
                    foreach (array_keys($swap_var) as $key){
                        if (strlen($key) > 2 && trim($swap_var[$key]) != '')
                            $email_message = str_replace($key, $swap_var[$key], $email_message);
                    }

                    $mail = new PHPMailer(true);
                    $mail->isSMTP();
                    $mail->Host = MAIL_HOST;
                    $mail->SMTPAuth = true;
                    $mail->Username = SITE_EMAIL;
                    $mail->Password = EMAIL_PASSWORD;
                    $mail->Port = 465;
                    $mail->SMTPSecure = 'ssl';
                    $mail->isHTML(true);
                    $mail->setFrom(SITE_EMAIL, SITE_NAME);
                    $mail->addAddress($email_to);
                    $mail->Subject = ("$email_subject");
                    $mail->Body = $email_message;
                    $usermail = $mail->send();

                    // ============================= //
                    //          Admin Mail        //
                    // ============================= //
                    // set the location of the template file to be loaded
                    $template_file = "admin-newuser-email-template.php";

                    // set the email 'from' information
                    $email_from = SITE_NAME ."<" . SITE_EMAIL . ">";

                    // create a list of the variables to be swapped in the html template
                    $swap_var = array(
                        "{SITE_ADDR}" => BASE_URL,
                        "{EMAIL_LOGO}" => SITE_LOGO,
                        "{SITE_NAME}" => SITE_NAME,
                        "{EMAIL_TITLE}" => "New Realtor Registration",
                        "{TO_NAME}" => "Admin",
                        "{FULLNAME}" => $firstname.' '.$lastname,
                        "{EMAIL}" => "$email",
                        "{PHONE}" => "$phone",
                        "{USERNAME}" => "$username",
                        "{REF_FULLNAME}" => $ref_fullname,
                        "{REF_EMAIL}" => $ref_email,
                        "{REF_ID}" => $ref_realtor,
                        "{TO_EMAIL}" => SITE_EMAIL
                    );

                    // create the email headers to being the email
                    $email_headers = "From: ".$email_from."\r\nReply-To: ".$email_from."\r\n";
                    $email_headers .= "MIME-Version: 1.0\r\n";
                    $email_headers .= "Return-Path: ".$email_from."\r\n";
                    $email_headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";

                    // load the email to and subject from the $swap_var
                    $email_to = $swap_var['{TO_EMAIL}'];
                    $email_subject = $swap_var['{EMAIL_TITLE}']; // you can add time() to get unique subjects for testing: time();

                    // load in the template file for processing (after we make sure it exists)
                    if (file_exists($template_file))
                        $email_message = file_get_contents($template_file);
                    else
                        die ("Unable to locate your template file");

                    foreach (array_keys($swap_var) as $key){
                        if (strlen($key) > 2 && trim($swap_var[$key]) != '')
                            $email_message = str_replace($key, $swap_var[$key], $email_message);
                    }

                    // display the email template back to the user for final approval
                    // echo $email_message;

                    $mail = new PHPMailer(true);
                    $mail->isSMTP();
                    $mail->Host = MAIL_HOST;
                    $mail->SMTPAuth = true;
                    $mail->Username = SITE_EMAIL;
                    $mail->Password = EMAIL_PASSWORD;
                    $mail->Port = 465;
                    $mail->SMTPSecure = 'ssl';
                    $mail->isHTML(true);
                    $mail->setFrom(SITE_EMAIL, SITE_NAME);
                    $mail->addAddress($email_to);
                    $mail->Subject = ("$email_subject");
                    $mail->Body = $email_message;
                    $adminmail = $mail->send();

                    // send the email out to the user
                    // if ( mail($email_to, $email_subject, $email_message, $email_headers) ) {
                    if($usermail && $adminmail) {
                        flash("success", "Registration Successful, check your mail for verification link");
                        $_SESSION['msg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5' role='alert'>
                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                <div class='alert-text'>Registration Successful, check your mail for verification link!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../register");
                    } else {
                        flash("warning", "Registration Successful, mail services failed at this time");
                        $_SESSION['msg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-warning fade show mb-5' role='alert'>
                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                <div class='alert-text'>Registration Successful, mail services failed at this time!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../register");

                    }
                } else {
                    flash("error", "Failed, Something went wrong");
                    $_SESSION['msg'] = "
                        <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                            <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                            <div class='alert-text'>Something went wrong, please try again later!</div>
                            <div class='alert-close'>
                                <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                    <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                </button>
                            </div>
                        </div>
                    ";
                    header("Location: ../register");
                }
		    }
        }
    } else {
        flash("error", "Token verification failed!");
        header("Location: ../register");
    }

}


