<?php 

session_start();
include "../config/init.php";
// include "../config/nigeria-states-and-local-govts.json";

// $json = file_get_contents('../config/states.json');
// $json = file_get_contents('../config/nigeria-states-and-local-govts.json');

// // Check if the file was read successfully
// if ($json === false) {
//     die('Error reading the JSON file');
// }

// // Decode the JSON file
// $json_data = json_decode($json,true); 

// // Check if the JSON was decoded successfully
// if ($json_data === null) {
//     die('Error decoding the JSON file');
// }
// foreach ($json_data as $key => $value) {
//             if (!is_array($value)) {
//                 echo $key . '=>' . $value . '<br/>';
//             } else {
//                 foreach ($value as $key => $val) {
//                     echo $key . '=>' . $val . '<br/>';
//                 }
//             }
//         }
// Display data
// echo "<pre>";
// print_r($json_data);
// echo "</pre>";
// die();
// $country_name = $json_data['state'];

if (isset($_GET['ref'])) {
    $ref = htmlspecialchars(trim($_GET['ref']));

    $select = $pdo->prepare("SELECT * FROM realtors WHERE username = :ref");
    $select->execute(['ref' => $ref]);
    $count = $select->rowCount();
    if ($count == 0) {
        flash("error", "Sorry, Referral ID is not found");
        // header("Location: register");
    } else {
        $row = $select->fetch(PDO::FETCH_ASSOC);
        $referral_user = $row['username'];
        $referral_id = $row['realtor_id'];

        setcookie('__user__ref',encrypt_v2($referral_user), time() + 86400, "/");
        setcookie('__realtor__ref',encrypt_v2($referral_id), time() + 86400, "/");

        flash("success", "Referral code verified");
        header("Refresh: 3;url = register");
    }
}

?>
<!DOCTYPE html>
<html lang="en">
<!--begin::Head-->
<head>
    <title>Realtor Registration - <?= SITE_NAME ?></title>
    <meta charset="utf-8" />
    <meta name="description" content="Building Tomorrow Today" />
    <meta name="keywords" content="Building Tomorrow Today" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta property="og:locale" content="en_US" />
    <meta property="og:type" content="article" />
    <meta property="og:title" content="<?= SITE_NAME ?>" />
    <meta property="og:url" content="<?= SITE_URL ?>" />
    <meta property="og:site_name" content="<?= SITE_NAME ?>" />
    <link rel="canonical" href="<?= SITE_URL ?>" />
    <link rel="shortcut icon" href="<?= FAVICON ?>" />
    <!--begin::Fonts(mandatory for all pages)-->
    <!-- <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter:300,400,500,600,700" /> -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Jost:wght@100;200;300;400;500;600;700&display=swap" rel="stylesheet">
    <!--end::Fonts-->
    <!--begin::Global Stylesheets Bundle(mandatory for all pages)-->
    <link href="<?= ASSETS ?>plugins/global/plugins.bundle.css" rel="stylesheet" type="text/css" />
    <link href="<?= ASSETS ?>css/style.bundle.css" rel="stylesheet" type="text/css" />
    <link href="<?= ASSETS ?>css/custom.css" rel="stylesheet" type="text/css" />
    <!--end::Global Stylesheets Bundle-->
    <!-- Toastr -->
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.min.js" integrity="sha512-lbwH47l/tPXJYG9AcFNoJaTMhGvYWhVM9YI43CT+uteTRRaiLCui8snIgyAN8XWgNjNhCqlAUdzZptso6OCoFQ==" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.1.4/toastr.css" integrity="sha512-oe8OpYjBaDWPt2VmSFR+qYOdnTjeV9QPLJUeqZyprDEQvQLJ9C5PCFclxwNuvb/GQgQngdCXzKSFltuHD3eCxA==" crossorigin="anonymous" />
    <script>// Frame-busting to prevent site from being loaded within a frame without permission (click-jacking) if (window.top != window.self) { window.top.location.replace(window.self.location.href); }</script>
</head>
<!--end::Head-->
<!--begin::Body-->

<body id="kt_body" class="app-blank">
    <!--begin::Theme mode setup on page load-->
    <script>var defaultThemeMode = "light"; var themeMode; if ( document.documentElement ) { if ( document.documentElement.hasAttribute("data-bs-theme-mode")) { themeMode = document.documentElement.getAttribute("data-bs-theme-mode"); } else { if ( localStorage.getItem("data-bs-theme") !== null ) { themeMode = localStorage.getItem("data-bs-theme"); } else { themeMode = defaultThemeMode; } } if (themeMode === "system") { themeMode = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light"; } document.documentElement.setAttribute("data-bs-theme", themeMode); }</script>
    <!--end::Theme mode setup on page load-->
    <!--begin::Root-->
    <div class="d-flex flex-column flex-root" id="kt_app_root">
        <!--begin::Authentication - Sign-up -->
        <div class="d-flex flex-column flex-lg-row flex-column-fluid">
            <!--begin::Body-->
            <div class="d-flex flex-column flex-lg-row-fluid w-lg-50 p-10 order-2 order-lg-1">
                <!--begin::Form-->
                <div class="d-flex flex-center flex-column flex-lg-row-fluid">
                    <!--begin::Wrapper-->
                    <div class="w-lg-700px p-10">
                        <!--begin::Form-->
                        <form class="form w-100" action="includes/register.inc" method="POST" enctype="multipart/form-data">
                            <input type="hidden" value="<?php echo Token::generate(); ?>" name="token">
                            <input type="hidden" value="<?php if(isset($_COOKIE["__realtor__ref"])) { echo $_COOKIE["__realtor__ref"]; } ?>" name="ref_realtor">
                            <!--begin::Heading-->
                            <div class="text-center mb-11">
                                <!--begin::Logo-->
                                <a href="<?= BASE_URL ?>" class="mb-7">
                                    <img alt="<?= SITE_NAME ?>" src="<?= SITE_LOGO ?>" class="h-50px mb-7" />
                                </a>
                                <!--end::Logo-->
                                <!--begin::Title-->
                                <h1 class="text-gray-900 fw-bolder mb-3">Realtor Registration</h1>
                                <!--end::Title-->
                                <!--begin::Subtitle-->
                                <div class="text-gray-500 fw-semibold fs-6">Create an account to become an realtor. All fields are required</div>
                                <!--end::Subtitle=-->
                            </div>
                            <!--begin::Heading-->
                            <?php
                                $statusMsg = !empty($_SESSION['msg']) ? $_SESSION['msg']: '';
                                unset($_SESSION['msg']);
                                echo $statusMsg;
                                if (!empty($_SESSION['errors'])) {
                                    $errors = $_SESSION['errors'];
                                    foreach ($errors as $error) {
                                        echo "
                                            <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                                <div class='alert-text'>$error!</div>
                                                <div class='alert-close'>
                                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                                    </button>
                                                </div>
                                            </div>
                                        ";
                                    }
                                }
                                ?>
                            <div class="row fv-row">
								<!--begin::Col-->
								<div class="col-xl-6 mb-5">
									<input class="form-control form-control-lg bg-transparent"  type="text" placeholder="First Name" name="firstname" value="<?php $firstname = (isset($_SESSION['firstname']) ? $_SESSION['firstname'] : ''); unset($_SESSION['firstname']); echo $firstname; ?>" autocomplete="off" />
								</div>
								<!--end::Col-->
								<!--begin::Col-->
								<div class="col-xl-6 mb-5">
									<input class="form-control bg-transparent" type="text" placeholder="Last Name" name="lastname" autocomplete="off" value="<?php $lastname = (isset($_SESSION['lastname']) ? $_SESSION['lastname'] : ''); unset($_SESSION['lastname']); echo $lastname; ?>"  />
								</div>
								<!--end::Col-->
							</div>
                            <!--begin::Input group-->
                            <div class="row fv-row">
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <input class="form-control bg-transparent" type="text" placeholder="Username" name="username" autocomplete="off" value="<?php $username = (isset($_SESSION['username']) ? $_SESSION['username'] : ''); unset($_SESSION['username']); echo $username; ?>"  />
                                </div>
                                <!--end::Col-->
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <input class="form-control bg-transparent" type="tel" placeholder="Phone Number" name="phone" autocomplete="off" value="<?php $phone = (isset($_SESSION['phone']) ? $_SESSION['phone'] : ''); unset($_SESSION['phone']); echo $phone; ?>"  />
                                    <!--begin::Description-->
                                    <div class="text-muted fs-7">Please, enter a valid whatsapp number. Format +2349012345678 or 08012345678</div>
                                    <!--end::Description-->
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--end::Input group-->
                            <!--begin::Input group=-->
                            <div class="fv-row mb-5">
                                <!--begin::Email-->
                                <input type="email" placeholder="Email Address" name="email" autocomplete="off" class="form-control bg-transparent" value="<?php $email = (isset($_SESSION['email']) ? $_SESSION['email'] : ''); unset($_SESSION['email']); echo $email; ?>" />
                                <!--end::Email-->
                            </div>
                            <!--begin::Input group-->
                            <!--begin::Input group=-->
                            <div class="fv-row mb-5">
                                <!--begin::Address-->
                                <input type="text" placeholder="Home Address" name="address" autocomplete="off" class="form-control bg-transparent" value="<?php $address = (isset($_SESSION['address']) ? $_SESSION['address'] : ''); unset($_SESSION['address']); echo $address; ?>" />
                                <!--end::Address-->
                            </div>
                            <div class="row fv-row">
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::Select2-->
                                    <select onchange="toggleLGA(this);" required class="form-select bg-transparent" name="state" id="state" data-control="select2" data-placeholder="Select a State">
                                        <option></option>
                                        <option value="Abia">Abia</option>
                                        <option value="Adamawa">Adamawa</option>
                                        <option value="AkwaIbom">AkwaIbom</option>
                                        <option value="Anambra">Anambra</option>
                                        <option value="Bauchi">Bauchi</option>
                                        <option value="Bayelsa">Bayelsa</option>
                                        <option value="Benue">Benue</option>
                                        <option value="Borno">Borno</option>
                                        <option value="Cross River">Cross River</option>
                                        <option value="Delta">Delta</option>
                                        <option value="Ebonyi">Ebonyi</option>
                                        <option value="Edo">Edo</option>
                                        <option value="Ekiti">Ekiti</option>
                                        <option value="Enugu">Enugu</option>
                                        <option value="FCT">FCT</option>
                                        <option value="Gombe">Gombe</option>
                                        <option value="Imo">Imo</option>
                                        <option value="Jigawa">Jigawa</option>
                                        <option value="Kaduna">Kaduna</option>
                                        <option value="Kano">Kano</option>
                                        <option value="Katsina">Katsina</option>
                                        <option value="Kebbi">Kebbi</option>
                                        <option value="Kogi">Kogi</option>
                                        <option value="Kwara">Kwara</option>
                                        <option value="Lagos">Lagos</option>
                                        <option value="Nasarawa">Nasarawa</option>
                                        <option value="Niger">Niger</option>
                                        <option value="Ogun">Ogun</option>
                                        <option value="Ondo">Ondo</option>
                                        <option value="Osun">Osun</option>
                                        <option value="Oyo">Oyo</option>
                                        <option value="Plateau">Plateau</option>
                                        <option value="Rivers">Rivers</option>
                                        <option value="Sokoto">Sokoto</option>
                                        <option value="Taraba">Taraba</option>
                                        <option value="Yobe">Yobe</option>
                                        <option value="Zamfara">Zamafara</option>
                                    </select>
                                    <!--end::Select2-->
                                </div>
                                <!--end::Col-->
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::Select2-->
                                    <select class="form-select bg-transparent select-lga" required name="lga" id="lga" data-control="select2" data-placeholder="Select a LGA">
                                        <option></option>
                                    </select>
                                    <!--end::Select2-->
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--begin::Input group-->
                            <div class="row fv-row">
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::Select2-->
                                    <select class="form-select bg-transparent"  name="gender" data-control="select2" data-hide-search="true" data-placeholder="Select a Gender">
                                        <option></option>
                                        <option value="Male">Male</option>
                                        <option value="Female">Female</option>
                                    </select>
                                    <!--end::Select2-->
                                </div>
                                <!--end::Col-->
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::Referral-->
                                    <input class="form-control bg-transparent" type="text" placeholder="Referral code" name="referral" autocomplete="off" value="<?php if(isset($_COOKIE["__user__ref"])) { echo decrypt_v2($_COOKIE["__user__ref"]); } ?>" />
                                    <!--end::Referral-->
                                </div>
                                <!--end::Col-->
                            </div>
                            <div class="row fv-row">
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::Select2-->
                                    <select class="form-select bg-transparent" required name="work" data-control="select2" data-hide-search="true" data-placeholder="Select your work status">
                                        <option></option>
                                        <option value="NYSC">NYSC</option>
                                        <option value="Undergraduate Student">Undergraduate Student</option>
                                        <option value="Corporate (9-5)">Corporate (9-5)</option>
                                        <option value="Business Owner">Business Owner</option>
                                        <option value="Others">Others</option>
                                    </select>
                                    <!--end::Select2-->
                                </div>
                                <!--end::Col-->
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::Referral-->
                                    <input class="form-control bg-transparent" type="text" placeholder="Employer Name: (Uni Name/Nysc LGA/Employer Name/ Business Name)" name="employer" autocomplete="off" value="<?php $employer = (isset($_SESSION['employer']) ? $_SESSION['employer'] : ''); unset($_SESSION['employer']); echo $employer; ?>" />
                                    <!--end::Referral-->
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--begin::Input group=-->
                            <div class="row fv-row">
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <input class="form-control bg-transparent" required type="date" name="dateofbirth" autocomplete="off" />
                                    <!--begin::Description-->
                                    <div class="text-muted fs-7">Date of birth, you must be at least 18years old to register</div>
                                    <!--end::Description-->
                                </div>
                                <!--end::Col-->
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::bank_name-->
                                    <input class="form-control bg-transparent" type="text" placeholder="Bank Name" name="bank_name" autocomplete="off" value="<?php $bank_name = (isset($_SESSION['bank_name']) ? $_SESSION['bank_name'] : ''); unset($_SESSION['bank_name']); echo $bank_name; ?>" />
                                    <!--end::bank_name-->
                                </div>
                                <!--end::Col-->
                            </div>
                            <div class="row fv-row">
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::acct_name-->
                                    <input class="form-control bg-transparent" type="text" placeholder="Account Name" name="acct_name" autocomplete="off" value="<?php $acct_name = (isset($_SESSION['acct_name']) ? $_SESSION['acct_name'] : ''); unset($_SESSION['acct_name']); echo $acct_name; ?>" />
                                    <!--end::acct_name-->
                                </div>
                                <!--end::Col-->
                                <!--begin::Col-->
                                <div class="col-xl-6 mb-5">
                                    <!--begin::acct_number-->
                                    <input class="form-control bg-transparent" type="text" placeholder="Account Number" name="acct_number" autocomplete="off" value="<?php $acct_number = (isset($_SESSION['acct_number']) ? $_SESSION['acct_number'] : ''); unset($_SESSION['acct_number']); echo $acct_number; ?>" />
                                    <!--end::acct_number-->
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--begin::Input group-->
                            <!--end::Input group-->
                            <div class="fv-row mb-8" data-kt-password-meter="true">
                                <!--begin::Wrapper-->
                                <div class="mb-1">
                                    <!--begin::Input wrapper-->
                                    <div class="position-relative mb-3">
                                        <input class="form-control bg-transparent" type="password" value="<?php $password = (isset($_SESSION['password']) ? $_SESSION['password'] : ''); unset($_SESSION['password']); echo $password; ?>" placeholder="Password" name="password" autocomplete="off" />
                                        <span class="btn btn-sm btn-icon position-absolute translate-middle top-50 end-0 me-n2" data-kt-password-meter-control="visibility">
                                            <i class="ki-duotone ki-eye-slash fs-2"></i>
                                            <i class="ki-duotone ki-eye fs-2 d-none"></i>
                                        </span>
                                    </div>
                                    <!--end::Input wrapper-->
                                    <!--begin::Meter-->
                                    <div class="d-flex align-items-center mb-3" data-kt-password-meter-control="highlight">
                                        <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px me-2"></div>
                                        <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px me-2"></div>
                                        <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px me-2"></div>
                                        <div class="flex-grow-1 bg-secondary bg-active-success rounded h-5px"></div>
                                    </div>
                                    <!--end::Meter-->
                                </div>
                                <!--end::Wrapper-->
                                <!--begin::Hint-->
                                <div class="text-muted">Use 8 or more characters with a mix of letters, numbers & symbols.</div>
                                <!--end::Hint-->
                            </div>
                            <!--end::Input group=-->
                            <!--end::Input group=-->
                            <div class="fv-row mb-8">
                                <!--begin::Repeat Password-->
                                <input placeholder="Repeat Password" name="confirm-password" type="password" autocomplete="off" class="form-control bg-transparent" />
                                <!--end::Repeat Password-->
                            </div>
                            <!--end::Input group=-->
                            <!--begin::Submit button-->
                            <div class="d-grid mb-10">
                                <button type="submit" name="register" class="btn btn-primary">
                                    <!--begin::Indicator label-->
                                    <span class="indicator-label">Sign up</span>
                                    <!--end::Indicator label-->
                                    <!--begin::Indicator progress-->
                                    <span class="indicator-progress">Please wait...
                                        <span class="spinner-border spinner-border-sm align-middle ms-2"></span></span>
                                    <!--end::Indicator progress-->
                                </button>
                            </div>
                            <!--end::Submit button-->
                            <!--begin::Sign up-->
                            <div class="text-gray-500 text-center fw-semibold fs-6">Already have an Account?
                                <a href="login" class="link-primary fw-semibold">Sign in</a></div>
                            <!--end::Sign up-->
                        </form>
                        <!--end::Form-->
                    </div>
                    <!--end::Wrapper-->
                </div>
                <!--end::Form-->
            </div>
            <!--end::Body-->
        </div>
        <!--end::Authentication - Sign-up-->
    </div>
    <!--end::Root-->
    <!--begin::Javascript-->
    <script>
    var hostUrl = "<?= ASSETS ?>";
    </script>
    <!--begin::Global Javascript Bundle(mandatory for all pages)-->
    <!-- <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script> -->
    <script src="<?= ASSETS ?>plugins/global/plugins.bundle.js"></script>
    <script src="<?= ASSETS ?>js/scripts.bundle.js"></script>
    <script src="<?= ASSETS ?>js/lga.js"></script>
    <!--end::Global Javascript Bundle-->
    <!--begin::Custom Javascript(used for this page only)-->
    <script src="<?= ASSETS ?>js/custom/authentication/sign-up/general.js"></script>
    <!--end::Custom Javascript-->
    <script type="text/javascript">
        <?php if (isset($_SESSION['success'])){ ?>
            toastr.success("<?php echo flash('success'); ?>", { "closeButton": true });
        <?php } elseif (isset($_SESSION['error'])) { ?>
            toastr.error("<?php echo flash('error'); ?>", { "closeButton": true });
        <?php } elseif (isset($_SESSION['warning'])) { ?>
            toastr.warning("<?php echo flash('warning'); ?>", { "closeButton": true });
        <?php } elseif (isset($_SESSION['info'])) { ?>
            toastr.info("<?php echo flash('info'); ?>", { "closeButton": true });
        <?php } ?>
    </script>
    <!--end::Javascript-->
</body>
<!--end::Body-->

</html>