<?php
include "db.php";

class Token {
	public static function generate() {
		return $_SESSION['token'] = base64_encode(openssl_random_pseudo_bytes(64));
	}

	public static function check($token) {
		if (isset($_SESSION['token']) && $token === $_SESSION['token']) {
			unset($_SESSION['token']);
			return true;
		}
		return false;
	}

	public static function urlToken() {
		return $_SESSION['url_token'] = strtr(base64_encode(openssl_random_pseudo_bytes(64)), '+/=', '-_,');
	}

	public static function checkUrlToken($url_Token) {
		if (isset($_SESSION['url_token']) && $url_Token === $_SESSION['url_token']) {
			// unset($_SESSION['url_token']);
			return true;
		}
		return false;
	}

}

$ENCRYPTION_KEY = 'my-long-complex-password-here-that-no-one-can-hack-you-hack-you-die-I-just-hope-this-is-long-enough!!!';

$ENCRYPTION_KEY_2 = 'a-long-and-complex-sentence-that-hopefully-no-one-will-be-able-to-crack-but-I-just-hope-this-is-long-enough!!!';

// function urlEncrypt(){
// 	// return strtr(base64_encode(openssl_random_pseudo_bytes(64)), '+/=', '-_,');
// 	$ENCRYPTION_KEY = 'my-long-complex-password-here-that-no-one-can-hack-you-hack-you-die-I-just-hope-this-is-long-enough!!!';
// 	return bin2hex($ENCRYPTION_KEY);
// }

function urlEncrypt(){
	global $ENCRYPTION_KEY;
	return base64_encode($ENCRYPTION_KEY);
}

function urlDecrypt($enc_key) {
	global $ENCRYPTION_KEY;
	if (base64_decode($enc_key) === $ENCRYPTION_KEY) {
		return true;
	}
	return false;
}

function urlEncrypt_v2(){
	global $ENCRYPTION_KEY_2;
	return base64_encode($ENCRYPTION_KEY_2);
}

function urlDecrypt_v2($enc_key) {
	global $ENCRYPTION_KEY_2;
	if (base64_decode($enc_key) === $ENCRYPTION_KEY_2) {
		return true;
	}
	return false;
}

function nonce() {
	$lower_case = "abcdefghijklmnopqrstuvwxyz";
	$numbers = "0123456789";

	$generated_lower_case = substr(str_shuffle($lower_case), 0, 7);
	$generated_numbers = substr(str_shuffle($numbers), 0, 5);

	$mixed = "$generated_lower_case$generated_numbers";

	$generated_mixed = substr(str_shuffle($mixed), 0, 12);

	return $generated_mixed;
}

function validate($data) {
	// echo "validate data";
	$errors = [];

	if (empty(trim($data['firstname']))) {
		$errors['firstname'] = "Firstname is required";
	}
	elseif (!preg_match("/^[a-zA-Z]*$/", trim($data['firstname']))) {
		$errors['firstname'] = "Firstname is not valid";
	}

	if (empty(trim($data['lastname']))) {
		$errors['lastname'] = "Lastname is required";
	}
	elseif (!preg_match("/^[a-zA-Z]*$/", trim($data['lastname']))) {
		$errors['lastname'] = "Lastname is not valid";
	}

	if (empty(trim($data['username']))) {
		$errors['username'] = "Username is required";
	}
	elseif (!preg_match("/^[a-zA-Z0-9]*$/", trim($data['username']))) {
		$errors['username'] = "Username is not valid, only letters and numbers allowed";
	}

	if (empty(trim($data['phone']))) {
		$errors['phone'] = "Phone number is required";
	}
	elseif (!preg_match("/^[+0-9]*$/", trim($data['phone']))) {
		$errors['phone'] = "Phone format is not valid, only (+) and numbers allowed";
	}

	if (empty(trim($data['email']))) {
		$errors['email'] = "Email is required";
	}
	elseif (!filter_var($data['email'], FILTER_VALIDATE_EMAIL)) {
		$errors['email'] = "Email is not valid";
	}

	if (empty(trim($data['dateofbirth'])) || $data['dateofbirth'] == '1970-01-01') {
		$errors['dateofbirth'] = "Date of birth is required";
	}
	elseif (calculateAge($data['dateofbirth']) < '18') {
		$errors['dateofbirth'] = "Sorry, age not allowed, your must the at least 18years old to register";
	} 
	elseif (date("Y", strtotime($data['dateofbirth'])) >= date('Y') || date("Y", strtotime($data['dateofbirth'])) < 1900) {
		$errors['dateofbirth'] = "Sorry, Date of birth not accepted!";
	}

	if (empty(trim($data['bank_name']))) {
		$errors['bank_name'] = "Bank name is required";
	}
	elseif (!preg_match("/^[a-zA-Z0-9 ]*$/", trim($data['bank_name']))) {
		$errors['bank_name'] = "Bank name is not valid, only letters and numbers allowed";
	}

	if (empty(trim($data['acct_name']))) {
		$errors['acct_name'] = "Account name is required";
	}
	elseif (!preg_match("/^[a-zA-Z ]*$/", trim($data['acct_name']))) {
		$errors['acct_name'] = "Account name is not valid, only letters and numbers allowed";
	}

	if (empty(trim($data['acct_number']))) {
		$errors['acct_number'] = "Account number is required";
	}
	elseif (!preg_match("/^[0-9]*$/", trim($data['acct_number']))) {
		$errors['acct_number'] = "Account format is not valid, numbers allowed";
	}

	if (empty(trim($data['gender']))) {
		$errors['gender'] = "Gender is required";
	}

	if (empty(trim($data['work']))) {
		$errors['work'] = "Work status is required";
	}

	if (empty(trim($data['employer']))) {
		$errors['employer'] = "Employer's name is required";
	}

	if (empty(trim($data['password']))) {
		$errors['password'] = "Password is required";
	}
	elseif (empty(trim($data['confirm-password']))) {
		$errors['password'] = "Confirm Password is required";
	}
	elseif (trim($data['password']) !== trim($data['confirm-password'])) {
		$errors['password'] = "Passwords does not match";
	}

	return $errors;
}

function validateProfile($data) {
	// echo "validate data";
	$errors = [];

	if (empty(trim($data['firstname']))) {
		$errors['firstname'] = "Firstname is required";
	}
	elseif (!preg_match("/^[a-zA-Z]*$/", trim($data['firstname']))) {
		$errors['firstname'] = "Firstname is not valid";
	}

	if (empty(trim($data['lastname']))) {
		$errors['lastname'] = "Lastname is required";
	}
	elseif (!preg_match("/^[a-zA-Z]*$/", trim($data['lastname']))) {
		$errors['lastname'] = "Lastname is not valid";
	}

	if (empty(trim($data['phone']))) {
		$errors['phone'] = "Phone number is required";
	}
	elseif (!preg_match("/^[+0-9]*$/", trim($data['phone']))) {
		$errors['phone'] = "Phone format is not valid, only (+) and numbers allowed";
	}

	if (empty(trim($data['dateofbirth'])) || $data['dateofbirth'] == '1970-01-01') {
		$errors['dateofbirth'] = "Date of birth is required";
	}
	elseif (calculateAge($data['dateofbirth']) < '18') {
		$errors['dateofbirth'] = "Sorry, age not allowed, your must the at least 18years old to register";
	} 
	elseif (date("Y", strtotime($data['dateofbirth'])) >= date('Y') || date("Y", strtotime($data['dateofbirth'])) < 1900) {
		$errors['dateofbirth'] = "Sorry, Date of birth not accepted!";
	}

	if (empty(trim($data['bank_name']))) {
		$errors['bank_name'] = "Bank name is required";
	}
	elseif (!preg_match("/^[a-zA-Z0-9 ]*$/", trim($data['bank_name']))) {
		$errors['bank_name'] = "Bank name is not valid, only letters and numbers allowed";
	}

	if (empty(trim($data['acct_name']))) {
		$errors['acct_name'] = "Account name is required";
	}
	elseif (!preg_match("/^[a-zA-Z ]*$/", trim($data['acct_name']))) {
		$errors['acct_name'] = "Account name is not valid, only letters and numbers allowed";
	}

	if (empty(trim($data['acct_number']))) {
		$errors['acct_number'] = "Account number is required";
	}
	elseif (!preg_match("/^[0-9]*$/", trim($data['acct_number']))) {
		$errors['acct_number'] = "Account format is not valid, numbers allowed";
	}

	if (empty(trim($data['gender']))) {
		$errors['gender'] = "Gender is required";
	}

	if (empty(trim($data['work']))) {
		$errors['work'] = "Work status is required";
	}

	if (empty(trim($data['employer']))) {
		$errors['employer'] = "Employer's name is required";
	}

	return $errors;
}

function replace_spaces($string) {
	$string = preg_replace("/[\s_]/", "-", strtolower($string));
	return $string;
}

function replace_dashes($string) {
    $string = str_replace("-", " ", $string);
    return $string;
}

function flash($name, $text = '') {
	if (isset($_SESSION[$name])) {
		$msg = $_SESSION[$name];
		unset($_SESSION[$name]);
		return $msg;
	} else {
		$_SESSION[$name] = $text;
	}

	return '';
}

function zipall ($folder, $base, $ziparchive) {
    // FOLDER NAME INSIDE ZIP
    $options = ["remove_all_path" => true];
    if ($folder != $base) {
      	$options["add_path"] = substr($folder, strlen($base));
    }

    // ADD CURRENT FOLDER TO ZIP ARCHIVE
    echo $ziparchive->addGlob($folder."*.{jpg,png,jpeg}", GLOB_BRACE, $options) ? "Folder added to zip" : "Error adding folder to zip" ;

    // ADD FOLDERS IN FOLDER
    $folders = glob($folder . "*", GLOB_ONLYDIR);
    if (count($folders)!=0) { foreach ($folders as $f) {
      	zipall($f."/", $base, $ziparchive);
    }}
}

function validateLatLong($lat, $long) {
  	return preg_match('/^[-]?((([0-8]?[0-9])(\.(\d+))?)|(90(\.0+)?)),[-]?((((1[0-7][0-9])|([0-9]?[0-9]))(\.(\d+))?)|180(\.0+)?)$/', $lat.','.$long);
}

function is_coordinate($lat, $long) {

    $lat_pattern  = '/\A[+-]?(?:90(?:\.0{1,18})?|\d(?(?<=9)|\d?)\.\d{1,18})\z/x';
    $long_pattern = '/\A[+-]?(?:180(?:\.0{1,18})?|(?:1[0-7]\d|\d{1,2})\.\d{1,18})\z/x';

    if (preg_match($lat_pattern, $lat) && preg_match($long_pattern, $long)) {
        return true;
    } else {
        return false;
    }
}

function generateUniqueID ($school_username) {
	$lower_case = "abcdefghijklmnopqrstuvwxyz";
	$user = substr($school_username, 0, 4);
	$generated_lower_case = substr(str_shuffle($lower_case), 0, 3);
	$rand = substr(rand(), 0, 2);

	$mixed = "$generated_lower_case$rand";
	$schoolID = $user.substr(str_shuffle($mixed), 0, 7);
	return $schoolID;
}

function generateAgentID ($firstname, $lastname) {
	$f = strtoupper(substr($firstname, 0,1));
	$l = strtoupper(substr($lastname, 0,1));
	$m = date('m');
	$h = date('H');
	$s = date('s');

	$agentID = 'AKG-'.$m.$h.$s.$f.$l;
	return $agentID;
}

function generateAuthKey($school_id, $adminemail) {
	$n = 4;
	$last = strlen($school_id) - $n;
	$gen_school_id = strtoupper(substr($school_id, $last));
	// $gen_school_id = strtoupper(substr($school_id, 0, 4));
	$gen_adminemail = strtoupper(substr($adminemail, 0, 4));

	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$generated_uppr_case1 = substr(str_shuffle($upper_case), 0, 3);
	$rand1 = substr(rand(), 0, 4);
	// $generated_uppr_case2 = substr(str_shuffle($upper_case), 0, 3);
	$rand2 = substr(rand(), 0, 4);

	$mixed = $gen_school_id.$rand1.$gen_adminemail;

	$generated_mixed = substr(str_shuffle($mixed), 0, 15);

	return $mixed;
}

function validateAuthKey($email, $authkey) {
	global $conn;

	$getfolder = $conn->query("SELECT * FROM school_default");
    $schoolrow = $getfolder->fetch_assoc();
    $school_ID = $schoolrow['school_id'];

    $n = 4;
	$last = strlen($school_ID) - $n;
	$first_school_id = strtoupper(substr($school_ID, $last));

	$lastkey = strlen($authkey) - $n;
	$lastFourAuth = strtoupper(substr($authkey, $lastkey));

	$firstFourEmail = strtoupper(substr($email, 0, 4));

	$firstFourAuth = strtoupper(substr($authkey, 0, 4));

	if (strlen($authkey) == 14 && $first_school_id == $firstFourAuth && $lastFourAuth == $firstFourEmail) {
		if (preg_match("/^[A-Z0-9-]*$/", $authkey)) {
			return $result = 'Success';
			// echo "Success";
		} else {
			return $result = 'Failed';
			// echo "Failed";
		}
	} else {
		return $result = 'Failed';
		// echo "Failed";
	}

	return $result;

}

function generateDriverID ($firstname, $lastname) {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$gen_uppr_case = substr(str_shuffle($upper_case), 0, 1);
	$f = strtoupper(substr($firstname, 0,1));
	$l = strtoupper(substr($lastname, 0,1));
	$m = date('m');
	$h = date('H');
	$s = date('s');

	$driverID = 'AKD-'.$m.$h.$gen_uppr_case.$s.$f.$l;
	return $driverID;
}

function generatePassword() {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$lower_case = "abcdefghijklmnopqrstuvwxyz";
	$numbers = "0123456789";
	$special_chars = "!@#$%^&*()_:;";

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 3);
	$generated_lower_case = substr(str_shuffle($lower_case), 0, 3);
	$generated_numbers = substr(str_shuffle($numbers), 0, 3);
	$generated_special_chars = substr(str_shuffle($special_chars), 0, 3);

	$mixed = "$generated_uppr_case$generated_lower_case$generated_numbers$generated_special_chars";

	$generated_mixed = substr(str_shuffle($mixed), 0, 12);

	return $generated_mixed;

}

function checkYoutubeUrl($video_url) {
	if (empty($video_url)) {
		return '';
	} else {
		$url_parsed_arr = parse_url($video_url);
		if ($url_parsed_arr['host'] == "www.youtube.com" && $url_parsed_arr['path'] == "/watch" && substr($url_parsed_arr['query'], 0, 2) == "v=" && substr($url_parsed_arr['query'], 2) != "") {
            // echo "The URL is a valid YouTube link";
            // flash("error", "The video URL is a valid YouTube link");
            return $convertedURL = str_replace("watch?v=", "embed/", $video_url);
        } else {
           // echo "Not a valid YouTube link";
           // flash("error", "The video URL is not valid YouTube link");
           return false;
        }
	}
}

function generateDBPassword() {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$lower_case = "abcdefghijklmnopqrstuvwxyz";
	$numbers = "0123456789";

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 5);
	$generated_lower_case = substr(str_shuffle($lower_case), 0, 5);
	$generated_numbers = substr(str_shuffle($numbers), 0, 2);

	$mixed = "$generated_uppr_case$generated_lower_case$generated_numbers";

	$generated_mixed = substr(str_shuffle($mixed), 0, 12);

	return $generated_mixed;

}

function generatePaymentID () {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$microtime = substr(microtime(), 5, 4);
	$rand = substr(rand(), 0, 5);

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 5);

	$mixed = "$generated_uppr_case$rand$microtime";

	$paymentid = substr(str_shuffle($mixed), 0, 12).'PAY';

	return $paymentid;

}

function generateStaffID () {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$microtime = substr(microtime(), 5, 3);
	$rand = substr(rand(), 0, 3);

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 3);

	$marketerID = 'STF'.$rand.$microtime.$generated_uppr_case;

	return $marketerID;

}

function generateRealtorID() {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$microtime = substr(microtime(), 5, 2);
	$rand = substr(rand(), 0, 5);

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 3);

	$count = totalCount('realtors');
	$count++;

	$realtorID = date('Y').date('m').$rand.$generated_uppr_case.$count;

	return $realtorID;

}

function generatePropertyID () {
	// $new_name = str_replace(' ', '', $property_name);
	// $new_name = preg_replace('/[0-9]+/', '', $new_name);
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$lower_case = "abcdefghijklmnopqrstuvwxyz";
	$microtime = substr(microtime(), 5, 4);
	$rand = substr(rand(), 0, 3);
	$date = date('ymh');

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 4);
	$generated_lower_case = substr(str_shuffle($lower_case), 0, 4);
	// $generated_name = strtoupper(substr(str_shuffle($new_name), 0, 5));

	$propertyID = 'PROP'.$rand.$generated_uppr_case.$date;

	return $propertyID;

}

function generateSmsCode () {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$numbers = "0123456789";

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 2);
	$generated_numbers = substr(str_shuffle($numbers), 0, 4);

	$mixed = "$generated_uppr_case$generated_numbers";

	$sms_code = substr(str_shuffle($mixed), 0, 6);

	return $sms_code;
}

function generateRefCode(){
	global $conn;

	$character = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$length = 12;

	// create the charset for the codes and jumble it all up
	$charset = str_shuffle($character);
	$code = substr($charset, 0, $length);

	// verify the code is not taken

	// while (count_urls($code) > 0)
	// 	$code = substr($charset, 0, URL_LENGTH);

	// return a randomized code of the desired length
	return $code;
}

function generateAffiliateCode(){

	$character = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$length = 10;

	// create the charset for the codes and jumble it all up
	$charset = str_shuffle($character);
	$code = substr($charset, 0, $length);

	// verify the code is not taken

	// while (count_urls($code) > 0)
	// 	$code = substr($charset, 0, URL_LENGTH);

	// return a randomized code of the desired length
	return $code;
}

function generateActivationCode () {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$numbers = "0123456789";

	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 3);
	$generated_numbers = substr(str_shuffle($numbers), 0, 4);

	$mixed = "$generated_uppr_case$generated_numbers";

	$code = substr(str_shuffle($mixed), 0, 7);

	return $code;
}

function file_newname($path, $filename){
	$allowedExt = array('jpg', 'jpeg', 'png', 'pdf', 'doc', 'docx');
    if ($pos = strrpos($filename, '.')) {
           $name = substr($filename, 0, $pos);
           $ext = substr($filename, $pos);
           if (in_array($ext, $allowedExt)) {
           	return true;
           } else {
           	return false;
           }
    } else {
           $name = $filename;
    }

    $newpath = $path.'/'.$filename;
    $newname = $filename;
    $counter = 0;
    while (file_exists($newpath)) {
           $newname = $name .'_'. $counter . $ext;
           $newpath = $path.'/'.$newname;
           $counter++;
     }

    return $newname;
}

function createSlug($string) {
   	$string = str_replace(' ', '-', $string); // Replaces all spaces with hyphens.
   	$string = preg_replace('/[^A-Za-z0-9\-]/', '', $string); // Removes special chars.

   	return preg_replace('/-+/', '-', strtolower($string)); // Replaces multiple hyphens with single one.
}

// Special Character From String
 
// Function to remove all special characters and spaces
function removeAllSpecialChar($str) {

  // Using str_ireplace() function
  // to replace the word
	$res = preg_replace('/[^a-zA-Z0-9_]/s','',$str);

  // returning the result
  return $res;
}

// Function to remove special characters
function removeSpecialChar($str) {

  // Using str_ireplace() function
  // to replace the word
	$res = preg_replace('/[^a-zA-Z0-9_ -]/s',' ',$str);

  // returning the result
  return $res;
}

function processFile($filename, $file_size, $username, $max_size = 500000) {
	
    $allowedExt = array('jpg', 'jpeg', 'png', 'pdf', 'doc', 'docx');
    $error = '';

    $fileExt = explode('.', $filename);
    $fileActualExt = strtolower(end($fileExt));
    if (in_array($fileActualExt, $allowedExt)) {
    	if ($file_size < $max_size) {
    		return $fileNewName = createSlug($username).'-'.md5(uniqid()).".".$fileActualExt;
            // $fileDestination = $path.$fileNewName;

            // if (move_uploaded_file($file_tmp, $fileDestination)) {
            // 	return true;
            // } else {
            // 	// return false;
            // 	$error = "Image could not be uploaded";
            // }
    	} else {
    		// return false;
    		return $error = "File Large";
    		// $error = "File larger than ".$max_size;
    	}
    } else {
    	// return false;
    	return $error = "Wrong Format";
    	// $error = "Wrong file format uploaded";
    }

    // if (!empty($error)) {
    // 	return $error;
    // } else {
    // 	return $fileNewName;
    // }

}

function getPercent($price, $percent){
    return ($percent / 100) * $price;
}

function getCommission($agent_id) {
	global $conn;

  $sql = "SELECT * FROM drivers WHERE agent_id = '$agent_id' ";

  $result = mysqli_query($conn, $sql);

  if ($result) {

    $count = mysqli_num_rows($result);
    if ($count < 50) {
    	return $percent = 15;
    } else {
    	return $percent = 30;
    }

  } else {
    echo "Not good";
  }

}

function totalRealtors() {
	global $pdo;

	$sql = $pdo->query("SELECT * FROM realtor");
	$count = $sql->rowCount();

	return $count;

}

function totalStaff() {
	global $pdo;

	$sql = $pdo->query("SELECT * FROM staff");
	$count = $sql->rowCount();

	return $count;

}

function totalAdmin() {
	global $pdo;

	$sql = $pdo->query("SELECT * FROM admin");
	$count = $sql->rowCount();

	return $count;

}

function totalProperties() {
	global $pdo;

	$sql = $pdo->query("SELECT * FROM properties");
	$count = $sql->rowCount();

	return $count;

}

function totalDevelopers() {
	global $pdo;

	$sql = $pdo->query("SELECT * FROM developers");
	$count = $sql->rowCount();

	return $count;

}

function totalClients() {
	global $pdo;

	$sql = $pdo->query("SELECT * FROM clients");
	$count = $sql->rowCount();

	return $count;

}

function adminBalance($agent_id) {
	global $conn;

  $sql = "SELECT * FROM drivers WHERE agent_id = '$agent_id' ";

  $result = mysqli_query($conn, $sql);

  if ($result) {

    $count = mysqli_num_rows($result);
    if ($count < 50) {
    	return $percent = 85;
    } else {
    	return $percent = 70;
    }

  } else {
    echo "Not good";
  }

}

function randomAgentID($state) {
	global $conn;

	$sql = "SELECT * FROM agents WHERE is_active = 1 AND state = '$state' ORDER BY RAND() LIMIT 1";
	$result = mysqli_query($conn, $sql);
	$count = mysqli_num_rows($result);
	if ($count >= 1) {
		$row = mysqli_fetch_array($result);
		$agent_id = $row['agent_id'];
		return $agent_id;
	} elseif ($count == 0) {
		$select = "SELECT * FROM agents WHERE is_active = 1 ORDER BY RAND() LIMIT 1";
		$selresult = mysqli_query($conn, $select);
		$row = mysqli_fetch_array($selresult);
		$agent_id = $row['agent_id'];
		return $agent_id;
	}

	return $agent_id;

}

// INSTRUCTION: Specify your own key (password) and algorithm to use
$ENCRYPTION_KEY = 'my-long-complex-password-here-that-no-one-can-hack-you-hack-you-die-I-just-hope-this-is-long-enough!!!';
$ENCRYPTION_ALGORITHM = 'AES-256-CBC';
// Other cipher methods can be used. Identified what is available on your server
// by visiting: https://www.php.net/manual/en/function.openssl-get-cipher-methods.php
// END: Define some variable(s)

// BEGIN FUNCTIONS *****************************************************************
function EncryptThis($ClearTextData) {
    // This function encrypts the data passed into it and returns the cipher data with the IV embedded within it.
    // The initialization vector (IV) is appended to the cipher data with
    // the use of two colons serve to delimited between the two.
    global $ENCRYPTION_KEY;
    global $ENCRYPTION_ALGORITHM;
    $EncryptionKey = base64_decode($ENCRYPTION_KEY);
    $InitializationVector  = openssl_random_pseudo_bytes(openssl_cipher_iv_length($ENCRYPTION_ALGORITHM));
    $EncryptedText = openssl_encrypt($ClearTextData, $ENCRYPTION_ALGORITHM, $EncryptionKey, 0, $InitializationVector);
    return base64_encode($EncryptedText . '::' . $InitializationVector);
}

function DecryptThis($CipherData) {
    // This function decrypts the cipher data (with the IV embedded within) passed into it
    // and returns the clear text (unencrypted) data.
    // The initialization vector (IV) is appended to the cipher data by the EncryptThis function (see above).
    // There are two colons that serve to delimited between the cipher data and the IV.
    global $ENCRYPTION_KEY;
    global $ENCRYPTION_ALGORITHM;
    $EncryptionKey = base64_decode($ENCRYPTION_KEY);
    list($Encrypted_Data, $InitializationVector ) = array_pad(explode('::', base64_decode($CipherData), 2), 2, null);
    return openssl_decrypt($Encrypted_Data, $ENCRYPTION_ALGORITHM, $EncryptionKey, 0, $InitializationVector);
}
// END FUNCTIONS *****************************************************************

function encrypt($input){
	return strtr(base64_encode($input), '+/=', '-_,');
}

function decrypt($input) {
	return base64_decode(strtr($input, '-_,', '+/='));
}

function encrypt_v2($input){
	return strtr(base64_encode($input), '+/=', '!_-');
}

function decrypt_v2($input) {
	return base64_decode(strtr($input, '!_-', '+/='));
}

function adminRoleID($role) {
	if ($role == 'Director') {
		return $role_id = 1;
	} elseif ($role == 'Principal') {
		return $role_id = 2;
	} elseif ($role == 'Vice Principal') {
		return $role_id = 3;
	} elseif ($role == 'Others') {
		return $role_id = 4;
	}

	return $role_id;
}

function adminRole($role_id) {
	if ($role_id == 1) {
		return $role = 'Director';
	} elseif ($role_id == 2) {
		return $role = 'Principal';
	} elseif ($role_id == 3) {
		return $role = 'Vice Principal';
	} elseif ($role_id == 4) {
		return $role = 'Others';
	}

	return $role;
}

// delete all files and sub-folders from a folder
function deleteAll($dir) {
	foreach(glob($dir . '/*') as $file) {
	if(is_dir($file))
		deleteAll($file);
	else
		unlink($file);
	}
	rmdir($dir);

	return true;
}

function generateCourseID () {
	$rand = substr(rand(), 0, 4);
	$microtime = substr(microtime(), 5, 4);

	$courseID = $microtime.$rand.'CUS';
	return $courseID;
}

function ticketID() {
	$upper_case = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	$generated_uppr_case = substr(str_shuffle($upper_case), 0, 3);
	$time = substr(time(), 0, 5);
	$rand = substr(rand(), 0, 5);

	return $ticket_id = 'TCK-'.$rand.'-'.time();
}

function welcome($username) {
   	if(date("H") < 12) {
    	return "Good morning ".$username.", have a blast!";
   	} elseif(date("H") > 11 && date("H") < 18) {
     	return "Good afternoon ".$username.", how is your day going!";
   	} elseif(date("H") > 17) {
     	return "Good evening ".$username.", how was your day?";
  	}
}

function productCount($category) {
	global $pdo;

	$select = $pdo->query("SELECT * FROM artwork WHERE category LIKE '%$category%'");
	return $count = $select->rowCount();
}

function totalCount($table) {
	global $pdo;

	$select = $pdo->query("SELECT * FROM $table ");
	return $count = $select->rowCount();
}

function userTableCount($table, $username) {
	global $pdo;

	$select = $pdo->query("SELECT * FROM $table WHERE username = '$username'");
	return $count = $select->rowCount();
}

function reviewCount($artwork_id) {
	global $pdo;

	$select = $pdo->query("SELECT * FROM artwork_review WHERE artwork_id = '$artwork_id' ");
	return $count = $select->rowCount();
}

function cartCount($user_cookie) {
	global $pdo;

	$select = $pdo->query("SELECT * FROM cart WHERE user_cookie = '$user_cookie' ");
	return $count = $select->rowCount();

}

function cartSubTotal($user_cookie) {
	global $conn;

	$select = $conn->query("SELECT SUM(artwork_price) AS sum_total FROM cart WHERE user_cookie = '$user_cookie'");
	$row = $select->fetch_assoc();

	return $sum_total = $row['sum_total'];
}

function ratingPercent($starTotal, $totalRating) {
    return ($starTotal / $totalRating) * 100;
}

function couponDiscount($actualprice, $discount) {
	return $sellingprice = $actualprice - ($actualprice * ($discount / 100));
}


function calculateAge($dateofbirth) {

	$currentdate = date('Y-m-d');
	$dateofbirth = date("Y-m-d", strtotime($dateofbirth));
	$diff = abs(strtotime($currentdate) - strtotime($dateofbirth));
	return $years = floor($diff / (365*60*60*24));

}

function countReceipts($user) {
	global $conn;

	$select = $conn->query("SELECT * FROM clients_receipts WHERE user = '$user'");
	return $count = $select->num_rows;
}

function countSales($user, $user_id) {
	global $conn;

	$select = $conn->query("SELECT DISTINCT property_id FROM clients_receipts WHERE user = '$user' AND user_id = '$user_id' AND status = 'Verified'");
	return $count = $select->num_rows;
}

function countClients($user, $user_id) {
	global $conn;

	$select = $conn->query("SELECT * FROM clients WHERE user = '$user' AND user_id = '$user_id' ");
	return $count = $select->num_rows;
}

function userAccountBalance($user, $user_id) {
	global $conn;
	$usertype_id = $user.'_id';

	$select = $conn->query("SELECT * FROM $user WHERE $usertype_id = '$user_id' ");
	$urow = $select->fetch_assoc();

	return $urow['acct_balance'];
}

function substractCurrentTime($subdate, $resultTime = '') {

	$currentdate = date("Y-m-d H:i:s");
	$diff = abs(strtotime($currentdate) - strtotime($subdate));
	$years = floor($diff / (365*60*60*24));
	$months = floor(($diff - $years * 365*60*60*24) / (30*60*60*24));
	$days = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24)/ (60*60*24));
	$hours = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24 - $days*60*60*24) / (60*60));
	$minutes = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24 - $days*60*60*24 - $hours*60*60)/ 60);
	$seconds = floor(($diff - $years * 365*60*60*24 - $months*30*60*60*24 - $days*60*60*24 - $hours*60*60 - $minutes*60));

	if ($resultTime == 'years') {
		return $years;
	} elseif ($resultTime == 'months') {
		return $months;
	} elseif ($resultTime == 'days') {
		return $days;
	} elseif ($resultTime == 'hours') {
		return $hours;
	} elseif ($resultTime == 'minutes') {
		return $minutes;
	} elseif ($resultTime == 'seconds') {
		return $seconds;
	} else {
		return $months.' months '.$days.' days '.$hours.' hours';
	}

}

function tableWhere($table, $data = []) {
	global $pdo;

	$query = "SELECT * FROM $table WHERE ";
	foreach ($data as $key => $value) {
		$query .= $key . " = ". "'$value'" . " && ";
	}
	$query = trim($query, " && ");

	$select = $pdo->query($query);
	if ($select->rowCount() > 0) {
		if ($select->rowCount() == 1) {
			return $row = $select->fetch(PDO::FETCH_ASSOC);
		} else {
			$data = array();
			while ($row = $select->fetch(PDO::FETCH_ASSOC)) {
				$data[] = $row;            
			}
			return $data;
		}
	} else {
		return false;
	}
	
}

function tableMultipleWhere($table, $data = []) {
	global $pdo;

	$query = "SELECT * FROM $table WHERE ";
	foreach ($data as $key => $value) {
		$query .= $key . " = ". "'$value'" . " && ";
	}
	$query = trim($query, " && ");

	$select = $pdo->query($query);
	if ($select->rowCount() > 0) {
		$data = array();
		while ($row = $select->fetch(PDO::FETCH_ASSOC)) {
			$data[] = $row;            
		}
		return $data;
	} else {
		return false;
	}
	
}

function tableWhereCount($table, $data = []) {
	global $pdo;

	$query = "SELECT * FROM $table WHERE ";
	foreach ($data as $key => $value) {
		$query .= $key . " = ". "'$value'" . " && ";
	}
	$query = trim($query, " && ");

	$select = $pdo->query($query);
	return $select->rowCount();
	
}

function tableSingleWhere($table, $data = []) {
	global $pdo;

	$query = "SELECT * FROM $table WHERE ";
	foreach ($data as $key => $value) {
		$query .= $key . " = ". "'$value'" . " && ";
	}
	$query = trim($query, " && ");

	$select = $pdo->query($query);
	if ($select->rowCount() > 0) {
		return $row = $select->fetch(PDO::FETCH_ASSOC);
	} else {
		return false;
	}
	
}

function getTable($table) {
	global $pdo;

	$select = $pdo->query("SELECT * FROM $table ");
	if ($select->rowCount() > 0) {
		return $row = $select->fetch(PDO::FETCH_ASSOC);
	} else {
		return false;
	}
}

function getTableRow($table) {
	global $pdo;

	$select = $pdo->query("SELECT * FROM $table ");

	if ($select->rowCount() > 0) {
		// return true;
		$data = array();
		while ($row = $select->fetch(PDO::FETCH_ASSOC)) {
			$data[] = $row;            
		}
		return $data;
	} else {
		return false;
	}
}

function propertySharesBought($property_id) {
	global $pdo;

	$select = $pdo->query("SELECT SUM(shares_bought) AS total_shares FROM user_properties WHERE property_id = '$property_id'");
	$row = $select->fetch(PDO::FETCH_ASSOC);

	return $total_shares = $row['total_shares'];
}

function checkExistInTable($table, $data = []) {
	global $pdo;

	$query = "SELECT * FROM $table WHERE ";
	foreach ($data as $key => $value) {
		$query .= $key . " = ". "'$value'" . " && ";
	}
	$query = trim($query, " && ");

	$select = $pdo->query($query);
	if ($select->rowCount() > 0) {
		return true;
	} else {
		return false;
	}
}

function tableSum($table, $sum_column, $table_column, $column_value) {
	global $conn;

	$select = $conn->query("SELECT SUM($sum_column) AS sum_total FROM $table WHERE $table_column = '$column_value'");
	$row = $select->fetch_assoc();

	if ($row['sum_total'] == 0) {
		return $sum_total = 0;
	} else {
		return $sum_total = number_format($row['sum_total']);
	}
	
}

function checkRefCode($ref) {
	global $pdo;

	// Check if the referral code is for agent or members
	if(strpos($ref, "-") && substr($ref, 0, strpos($ref, "-")) == 'AGT') {
        // echo "true";
        // check if agent id exists or not
        $select = $pdo->prepare("SELECT * FROM agents WHERE agent_id = :ref");
		$select->execute(['ref' => $ref]);
		$count = $select->rowCount();
		if ($count == 0) {
			return "Not Found";
		} else {
			$row = $select->fetch(PDO::FETCH_ASSOC);
			return $row['agent_id'];
		}

    } else {
        // echo "false";
        $select = $pdo->prepare("SELECT * FROM users WHERE username = :ref");
		$select->execute(['ref' => $ref]);
		$count = $select->rowCount();
		if ($count == 0) {
			return "Not Found";
		} else {
			$row = $select->fetch(PDO::FETCH_ASSOC);
			return $row['username'];
		}
    }
}

function CheckReferral($ref) {
	// Check if the referral code is for agent or members
	if(strpos($ref, "-") && substr($ref, 0, strpos($ref, "-")) == 'AGT') {
		return "Agent";
    } else {
    	return "Member";
    }
}

function getAllTableRow($table, $table_column = '', $column_value = '') {
	global $pdo;

	$select = $pdo->query("SELECT * FROM $table WHERE $table_column = '$column_value' ");
	if ($select->rowCount() > 0) {
		if ($select->rowCount() == 1) {
			return $row = $select->fetch(PDO::FETCH_ASSOC);
		} else {
			$data = array();
			while ($row = $select->fetch(PDO::FETCH_ASSOC)) {
				$data[] = $row;            
			}
			return $data;
		}
		
	} else {
		return false;
	}
	
}

function countTableRow($table, $table_column = '', $column_value = '') {
	global $pdo;

	$select = $pdo->query("SELECT * FROM $table WHERE $table_column = '$column_value' ");
	return $select->rowCount();
	
}

function realtorReferralTable($realtor_id, $sub_mark = '') {
   global $conn;

   $query = $conn->query("SELECT * FROM realtors WHERE referral = '$realtor_id' ");
   $i = 1;
   
   if($query->num_rows > 0) {
      	while($row = $query->fetch_assoc()) { 
      		$i++;
      	?>
      		<tr>
      			<td class="align-middle"><?= $sub_mark ?></td>
      			<td class="align-middle">
                    <div class="d-flex align-items-center">
                        <!--begin::Thumbnail-->
                        <a href="javascript:void(0)" class="symbol symbol-50px">
                            <span class="symbol-label" style="background-image:url(<?= $avatar = !empty($row['photo']) ? USER_URL.$row['photo'] : ASSETS.'media/svg/avatars/blank.svg' ?>);"></span>
                        </a>
                        <!--end::Thumbnail-->
                        <div class="ms-5 d-flex flex-column">
                            <!--begin::Title-->
                            <a href="javascript:void(0)" class="text-gray-800 text-hover-primary fs-5 fw-bold"><?= $row['firstname'].' '.$row['lastname'] ?></a>
                            <!--end::Title-->
                            <span class="fw-semibold"><?= $row['email'] ?></span>
                        </div>
                    </div>
                </td>
                <td class="pe-0 align-middle">
                    <span class="fw-bold"><?= $row['username'] ?></span>
                </td>
                <td class="pe-0 align-middle">
                    <span class="fw-bold"><?= $row['gender'] ?></span>
                </td>
                <td class="pe-0 align-middle">
                    <div class="d-flex flex-column">
                        <!--begin::Title-->
                        <a class="text-gray-800 fs-5 fw-bold"><?= $row['state'] ?></a>
                        <!--end::Title-->
                        <span class="text-muted fw-semibold"><?= $row['lga'] ?></span>
                    </div>
                </td>
                <td class="pe-0 align-middle">
                    <span class="fw-bold ms-3"><?= $row['mobile'] ?></span>
                </td>
                <td class="pe-0 align-middle">
                    <div class="fw-bold ms-3"><?= date('Y-m-d h:ia', strtotime($row['joined'])) ?></div>
                </td>
      		</tr>
      	<?php
        	realtorReferralTable($row['realtor_id'], $sub_mark.'--- ');
      	}
   	} else {
   		echo '
   		<tr>
  			<td colspan="7" class="text-center"><span class="fw-bold ms-3">No downline for this realtor</span></td>
  		</tr>';
   	}
}

function getOrdinalSuffix($number) {
    $number = abs($number) % 100;
    $lastChar = substr($number, -1, 1);
    switch ($lastChar) {
        case '1' : return ($number == '11') ? 'th' : 'st';
        case '2' : return ($number == '12') ? 'th' : 'nd';
        case '3' : return ($number == '13') ? 'th' : 'rd'; 
    }
    return 'th';  
}

function ordinal($number) {
    $ends = array('th','st','nd','rd','th','th','th','th','th','th');
    if ((($number % 100) >= 11) && (($number%100) <= 13))
        return $number. 'th';
    else
        return $number. $ends[$number % 10];
}

