<?php 
session_start();
ob_start();

if (!isset($_SESSION['VAL_SESSION']) && !isset($_SESSION['USER_SESSION']) && !isset($_SESSION['REALTOR_SESSION'])) {
    header("Location: ../login");
    exit;
}

include "config/init.php";

$query = $pdo->prepare("SELECT * FROM realtors WHERE validation = :val AND username = :user AND realtor_id = :realtor ");
$query->execute(['val' => $_SESSION['VAL_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']), 'realtor' => $_SESSION['REALTOR_SESSION'] ]);

if ($query->rowCount() > 0) {
    $row = $query->fetch(PDO::FETCH_ASSOC);


    $page_title = "Edit Profile";
    $page = "Profile";

include "layouts/_header.inc.php" ?>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>

    <!--begin::App-->
    <div class="d-flex flex-column flex-root app-root" id="kt_app_root">
        <!--begin::Page-->
        <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
            <!--begin::Header-->
            <?php include "layouts/_top-header.inc.php" ?>
            <!--end::Header-->
            <!--begin::Wrapper-->
            <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
                <!--begin::Sidebar-->
                <?php include "layouts/_sidebar.inc.php" ?>
                <!--end::Sidebar-->
                <!--begin::Main-->
                <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
                    <!--begin::Content wrapper-->
                    <div class="d-flex flex-column flex-column-fluid">
                        <!--begin::Toolbar-->
                        <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                            <!--begin::Toolbar container-->
                            <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                                <!--begin::Page title-->
                                <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                                    <!--begin::Title-->
                                    <h1 class="page-heading d-flex text-gray-900 fw-bold fs-3 flex-column justify-content-center my-0"><?= $page_title ?></h1>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">
                                            <a href="<?= USER_URL ?>" class="text-muted text-hover-primary">Dashboard</a>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page ?></li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page_title ?></li>
                                        <!--end::Item-->
                                    </ul>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Page title-->
                            </div>
                            <!--end::Toolbar container-->
                        </div>
                        <!--end::Toolbar-->
                        <!--begin::Content-->
                        <div id="kt_app_content" class="app-content flex-column-fluid">
                            <!--begin::Content container-->
                            <div id="kt_app_content_container" class="app-container container-xxl">
                                <!--begin::Navbar-->
                                <?php include "layouts/_profile-navbar.inc.php" ?>
                                <!--end::Navbar-->
                                <!--begin::Basic info-->
                                <div class="card mb-5 mb-xl-10">
                                    <!--begin::Card header-->
                                    <div class="card-header border-0 cursor-pointer" role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details" aria-expanded="true" aria-controls="kt_account_profile_details">
                                        <!--begin::Card title-->
                                        <div class="card-title m-0">
                                            <h3 class="fw-bold m-0">Edit Profile</h3>
                                        </div>
                                        <!--end::Card title-->
                                    </div>
                                    <!--begin::Card header-->
                                    <!--begin::Content-->
                                    <div id="kt_account_settings_profile_details" class="collapse show">
                                        <!--begin::Form-->
                                        <form method="POST" action="includes/update-profile.inc" enctype="multipart/form-data">
                                            <input type="hidden" value="<?php echo Token::generate(); ?>" name="token">
                                            <!--begin::Card body-->
                                            <div class="card-body border-top p-9">
                                                <?php
                                                $statusMsg = !empty($_SESSION['msg']) ? $_SESSION['msg']: '';
                                                unset($_SESSION['msg']);
                                                echo $statusMsg;
                                                if (!empty($_SESSION['errors'])) {
                                                    $errors = $_SESSION['errors'];
                                                    foreach ($errors as $error) {
                                                        echo "
                                                            <div class='alert alert-dismissible alert-custom alert-outline-danger fade show mb-5' role='alert'>
                                                                <div class='alert-icon'><i class='bi bi-exclamation-triangle'></i></div>
                                                                <div class='alert-text'>$error!</div>
                                                                <div class='alert-close'>
                                                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        ";
                                                    }
                                                }
                                                ?>
                                                <!--begin::Input group-->
                                                <div class="row mb-6">
                                                    <!--begin::Label-->
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Avatar</label>
                                                    <!--end::Label-->
                                                    <!--begin::Col-->
                                                    <div class="col-lg-8">
                                                        <!--begin::Image input-->
                                                        <div class="image-input image-input-outline" data-kt-image-input="true" style="background-image: url('<?= ASSETS ?>media/svg/avatars/blank.svg')">
                                                            <!--begin::Preview existing avatar-->
                                                            <div class="image-input-wrapper w-125px h-125px" style="background-image: url(<?= $profile ?>)"></div>
                                                            <!--end::Preview existing avatar-->
                                                            <!--begin::Label-->
                                                            <label class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow" data-kt-image-input-action="change" data-bs-toggle="tooltip" title="Change avatar">
                                                                <i class="ki-duotone ki-pencil fs-7">
                                                                    <span class="path1"></span>
                                                                    <span class="path2"></span>
                                                                </i>
                                                                <!--begin::Inputs-->
                                                                <input type="file" name="avatar" accept=".png, .jpg, .jpeg" />
                                                                <input type="hidden" name="avatar_remove" />
                                                                <!--end::Inputs-->
                                                            </label>
                                                            <!--end::Label-->
                                                            <!--begin::Cancel-->
                                                            <span class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow" data-kt-image-input-action="cancel" data-bs-toggle="tooltip" title="Cancel avatar">
                                                                <i class="ki-duotone ki-cross fs-2">
                                                                    <span class="path1"></span>
                                                                    <span class="path2"></span>
                                                                </i>
                                                            </span>
                                                            <!--end::Cancel-->
                                                            <!--begin::Remove-->
                                                            <span class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow" data-kt-image-input-action="remove" data-bs-toggle="tooltip" title="Remove avatar">
                                                                <i class="ki-duotone ki-cross fs-2">
                                                                    <span class="path1"></span>
                                                                    <span class="path2"></span>
                                                                </i>
                                                            </span>
                                                            <!--end::Remove-->
                                                        </div>
                                                        <!--end::Image input-->
                                                        <!--begin::Hint-->
                                                        <div class="form-text">Allowed file types: png, jpg, jpeg. Max size 500kb</div>
                                                        <!--end::Hint-->
                                                    </div>
                                                    <!--end::Col-->
                                                </div>
                                                <!--end::Input group-->
                                                <!--begin::Input group-->
                                                <div class="row mb-6">
                                                    <!--begin::Label-->
                                                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Full Name</label>
                                                    <!--end::Label-->
                                                    <!--begin::Col-->
                                                    <div class="col-lg-8">
                                                        <!--begin::Row-->
                                                        <div class="row">
                                                            <!--begin::Col-->
                                                            <div class="col-lg-6 fv-row">
                                                                <input type="text" required name="firstname" class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" placeholder="First name" value="<?= $row['firstname'] ?>" />
                                                            </div>
                                                            <!--end::Col-->
                                                            <!--begin::Col-->
                                                            <div class="col-lg-6 fv-row">
                                                                <input type="text" required name="lastname" class="form-control form-control-lg form-control-solid" placeholder="Last name" value="<?= $row['lastname'] ?>" />
                                                            </div>
                                                            <!--end::Col-->
                                                        </div>
                                                        <!--end::Row-->
                                                    </div>
                                                    <!--end::Col-->
                                                </div>
                                                <!--end::Input group-->
                                                <!--begin::Input group-->
                                                <div class="row mb-6">
                                                    <!--begin::Label-->
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">
                                                        <span class="required">Contact Phone</span>
                                                    </label>
                                                    <!--end::Label-->
                                                    <!--begin::Col-->
                                                    <div class="col-lg-8 fv-row">
                                                        <input type="tel" required name="phone" class="form-control form-control-lg form-control-solid" placeholder="Phone number" value="<?= $row['mobile'] ?>" />
                                                    </div>
                                                    <!--end::Col-->
                                                </div>
                                                <!--end::Input group-->
                                                <!--begin::Input group-->
                                                <div class="row mb-6">
                                                    <!--begin::Label-->
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">
                                                        <span class="required">Home Address</span>
                                                    </label>
                                                    <!--end::Label-->
                                                    <!--begin::Col-->
                                                    <div class="col-lg-8 fv-row">
                                                        <input type="tel" required name="address" class="form-control form-control-lg form-control-solid" placeholder="Your home address" value="<?= $row['address'] ?>" />
                                                    </div>
                                                    <!--end::Col-->
                                                </div>
                                                <!--end::Input group-->
                                                <!--begin::Input group-->
                                                <div class="row mb-6">
                                                    <!--begin::Label-->
                                                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Location Details</label>
                                                    <!--end::Label-->
                                                    <!--begin::Col-->
                                                    <div class="col-lg-8">
                                                        <!--begin::Row-->
                                                        <div class="row">
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <!--begin::Select2-->
                                                                <select class="form-select form-select-solid"  name="gender" data-control="select2" data-hide-search="true" data-placeholder="Select a Gender">
                                                                    <option></option>
                                                                    <option value="Male" <?php if ($row['gender'] == 'Male') echo ' selected="selected" ' ?>>Male</option>
                                                                    <option value="Female" <?php if ($row['gender'] == 'Female') echo ' selected="selected" ' ?>>Female</option>
                                                                </select>
                                                                <!--end::Select2-->
                                                            </div>
                                                            <!--end::Col-->
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <!--begin::Select2-->
                                                                <select onchange="toggleLGA(this);" required class="form-select form-select-solid" name="state" id="state" data-control="select2" data-placeholder="Select a State">
                                                                    <option></option>
                                                                    <option value="Abia">Abia</option>
                                                                    <option value="Adamawa">Adamawa</option>
                                                                    <option value="AkwaIbom">AkwaIbom</option>
                                                                    <option value="Anambra">Anambra</option>
                                                                    <option value="Bauchi">Bauchi</option>
                                                                    <option value="Bayelsa">Bayelsa</option>
                                                                    <option value="Benue">Benue</option>
                                                                    <option value="Borno">Borno</option>
                                                                    <option value="Cross River">Cross River</option>
                                                                    <option value="Delta">Delta</option>
                                                                    <option value="Ebonyi">Ebonyi</option>
                                                                    <option value="Edo">Edo</option>
                                                                    <option value="Ekiti">Ekiti</option>
                                                                    <option value="Enugu">Enugu</option>
                                                                    <option value="FCT">FCT</option>
                                                                    <option value="Gombe">Gombe</option>
                                                                    <option value="Imo">Imo</option>
                                                                    <option value="Jigawa">Jigawa</option>
                                                                    <option value="Kaduna">Kaduna</option>
                                                                    <option value="Kano">Kano</option>
                                                                    <option value="Katsina">Katsina</option>
                                                                    <option value="Kebbi">Kebbi</option>
                                                                    <option value="Kogi">Kogi</option>
                                                                    <option value="Kwara">Kwara</option>
                                                                    <option value="Lagos">Lagos</option>
                                                                    <option value="Nasarawa">Nasarawa</option>
                                                                    <option value="Niger">Niger</option>
                                                                    <option value="Ogun">Ogun</option>
                                                                    <option value="Ondo">Ondo</option>
                                                                    <option value="Osun">Osun</option>
                                                                    <option value="Oyo">Oyo</option>
                                                                    <option value="Plateau">Plateau</option>
                                                                    <option value="Rivers">Rivers</option>
                                                                    <option value="Sokoto">Sokoto</option>
                                                                    <option value="Taraba">Taraba</option>
                                                                    <option value="Yobe">Yobe</option>
                                                                    <option value="Zamfara">Zamafara</option>
                                                                </select>
                                                                <!--end::Select2-->
                                                            </div>
                                                            <!--end::Col-->
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <!--begin::Select2-->
                                                                <select class="form-select form-select-solid select-lga" required name="lga" id="lga" data-control="select2" data-placeholder="Select a LGA">
                                                                    <option></option>
                                                                </select>
                                                                <!--end::Select2-->
                                                            </div>
                                                            <!--end::Col-->
                                                        </div>
                                                        <!--end::Row-->
                                                    </div>
                                                    <!--end::Col-->
                                                </div>
                                                <!--end::Input group-->
                                                <!--begin::Input group-->
                                                <div class="row mb-6">
                                                    <!--begin::Label-->
                                                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Account Details</label>
                                                    <!--end::Label-->
                                                    <!--begin::Col-->
                                                    <div class="col-lg-8">
                                                        <!--begin::Row-->
                                                        <div class="row">
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <input type="text" required name="bank_name" class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" placeholder="Bank name" value="<?= $row['bank_name'] ?>" />
                                                            </div>
                                                            <!--end::Col-->
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <input type="text" required name="acct_name" class="form-control form-control-lg form-control-solid" placeholder="account name" value="<?= $row['account_name'] ?>" />
                                                            </div>
                                                            <!--end::Col-->
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <input type="number" required name="acct_number" class="form-control form-control-lg form-control-solid" placeholder="account number" value="<?= $row['account_number'] ?>" />
                                                            </div>
                                                            <!--end::Col-->
                                                        </div>
                                                        <!--end::Row-->
                                                    </div>
                                                    <!--end::Col-->
                                                </div>
                                                <!--end::Input group-->
                                                <!--begin::Input group-->
                                                <div class="row mb-6">
                                                    <!--begin::Label-->
                                                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Others Details</label>
                                                    <!--end::Label-->
                                                    <!--begin::Col-->
                                                    <div class="col-lg-8">
                                                        <!--begin::Row-->
                                                        <div class="row">
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <input type="date" name="dateofbirth" class="form-control form-control-lg form-control-solid" id="kt_datepicker" value="<?= $row['dateofbirth'] ?>" />
                                                                <!--begin::Description-->
                                                                <div class="text-muted fs-7">Date of birth, you must be at least 18years old to register</div>
                                                                <!--end::Description-->
                                                            </div>
                                                            <!--end::Col-->
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <!--begin::Select2-->
                                                                <select class="form-select form-select-solid" required name="work" data-control="select2" data-hide-search="true" data-placeholder="Select your work status">
                                                                    <option></option>
                                                                    <option value="NYSC" <?php if ($row['work_status'] == 'NYSC') echo ' selected="selected" ' ?>>NYSC</option>
                                                                    <option value="Undergraduate Student" <?php if ($row['work_status'] == 'Undergraduate Student') echo ' selected="selected" ' ?>>Undergraduate Student</option>
                                                                    <option value="Corporate (9-5)" <?php if ($row['work_status'] == 'Corporate (9-5)') echo ' selected="selected" ' ?>>Corporate (9-5)</option>
                                                                    <option value="Business Owner" <?php if ($row['work_status'] == 'Business Owner') echo ' selected="selected" ' ?>>Business Owner</option>
                                                                    <option value="Others" <?php if ($row['work_status'] == 'Others') echo ' selected="selected" ' ?>>Others</option>
                                                                </select>
                                                                <!--end::Select2-->
                                                            </div>
                                                            <!--end::Col-->
                                                            <!--begin::Col-->
                                                            <div class="col-lg-4 fv-row">
                                                                <input type="text" required name="employer" class="form-control form-control-lg form-control-solid" placeholder="Employer's Name" value="<?= $row['employer_name'] ?>" />
                                                            </div>
                                                            <!--end::Col-->
                                                        </div>
                                                        <!--end::Row-->
                                                    </div>
                                                    <!--end::Col-->
                                                </div>
                                                <!--end::Input group-->
                                            </div>
                                            <!--end::Card body-->
                                            <!--begin::Actions-->
                                            <div class="card-footer d-flex justify-content-end py-6 px-9">
                                                <button type="reset" class="btn btn-light btn-active-light-primary me-2">Discard</button>
                                                <button type="submit" class="btn btn-primary" name="update">Save Changes</button>
                                            </div>
                                            <!--end::Actions-->
                                        </form>
                                        <!--end::Form-->
                                    </div>
                                    <!--end::Content-->
                                </div>
                                <!--end::Basic info-->
                                <!--begin::Sign-in Method-->
                                <div class="card mb-5 mb-xl-10">
                                    <!--begin::Card header-->
                                    <div class="card-header border-0 cursor-pointer" role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_signin_method">
                                        <div class="card-title m-0">
                                            <h3 class="fw-bold m-0">Sign-in Method</h3>
                                        </div>
                                    </div>
                                    <!--end::Card header-->
                                    <!--begin::Content-->
                                    <div id="kt_account_settings_signin_method" class="collapse show">
                                        <!--begin::Card body-->
                                        <div class="card-body border-top p-9">
                                            <!--begin::Email Address-->
                                            <div class="d-flex flex-wrap align-items-center">
                                                <!--begin::Label-->
                                                <div id="kt_signin_email">
                                                    <div class="fs-6 fw-bold mb-1">Email Address</div>
                                                    <div class="fw-semibold text-gray-600"><?= $row['email'] ?></div>
                                                </div>
                                                <!--end::Label-->
                                                <!--begin::Edit-->
                                                <div id="kt_signin_email_edit" class="flex-row-fluid d-none">
                                                    <!--begin::Form-->
                                                    <form method="POST" class="form" action="includes/update-email.inc">
                                                        <div class="row mb-6">
                                                            <div class="col-lg-6 mb-4 mb-lg-0">
                                                                <div class="fv-row mb-0">
                                                                    <label for="emailaddress" class="form-label fs-6 fw-bold mb-3">Enter New Email Address</label>
                                                                    <input type="email" class="form-control form-control-lg form-control-solid" id="emailaddress" placeholder="Email Address" name="emailaddress" value="<?= $row['email'] ?>" />
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-6">
                                                                <div class="fv-row mb-0">
                                                                    <label for="confirmemailpassword" class="form-label fs-6 fw-bold mb-3">Confirm Password</label>
                                                                    <input type="password" class="form-control form-control-lg form-control-solid" name="confirmemailpassword" id="confirmemailpassword" />
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="d-flex">
                                                            <button type="submit" name="updateEmail" class="btn btn-primary me-2 px-6">Update Email</button>
                                                            <button id="kt_signin_cancel" type="button" class="btn btn-color-gray-500 btn-active-light-primary px-6">Cancel</button>
                                                        </div>
                                                    </form>
                                                    <!--end::Form-->
                                                </div>
                                                <!--end::Edit-->
                                                <!--begin::Action-->
                                                <div id="kt_signin_email_button" class="ms-auto">
                                                    <button class="btn btn-light btn-active-light-primary">Change Email</button>
                                                </div>
                                                <!--end::Action-->
                                            </div>
                                            <!--end::Email Address-->
                                            <!--begin::Separator-->
                                            <div class="separator separator-dashed my-6"></div>
                                            <!--end::Separator-->
                                            <!--begin::Password-->
                                            <div class="d-flex flex-wrap align-items-center mb-10">
                                                <!--begin::Label-->
                                                <div id="kt_signin_password">
                                                    <div class="fs-6 fw-bold mb-1">Password</div>
                                                    <div class="fw-semibold text-gray-600">************</div>
                                                </div>
                                                <!--end::Label-->
                                                <!--begin::Edit-->
                                                <div id="kt_signin_password_edit" class="flex-row-fluid d-none">
                                                    <!--begin::Form-->
                                                    <form method="POST" class="form" action="includes/update-password.inc">
                                                        <div class="row mb-1">
                                                            <div class="col-lg-4">
                                                                <div class="fv-row mb-0">
                                                                    <label for="currentpassword" class="form-label fs-6 fw-bold mb-3">Current Password</label>
                                                                    <input type="password" class="form-control form-control-lg form-control-solid" name="currentpassword" id="currentpassword" />
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-4">
                                                                <div class="fv-row mb-0">
                                                                    <label for="newpassword" class="form-label fs-6 fw-bold mb-3">New Password</label>
                                                                    <input type="password" class="form-control form-control-lg form-control-solid" name="newpassword" id="newpassword" />
                                                                </div>
                                                            </div>
                                                            <div class="col-lg-4">
                                                                <div class="fv-row mb-0">
                                                                    <label for="confirmpassword" class="form-label fs-6 fw-bold mb-3">Confirm New Password</label>
                                                                    <input type="password" class="form-control form-control-lg form-control-solid" name="confirmpassword" id="confirmpassword" />
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="form-text mb-5">Password must be at least 8 character and contain symbols</div>
                                                        <div class="d-flex">
                                                            <button name="changePassword" type="submit" class="btn btn-primary me-2 px-6">Update Password</button>
                                                            <button id="kt_password_cancel" type="button" class="btn btn-color-gray-500 btn-active-light-primary px-6">Cancel</button>
                                                        </div>
                                                    </form>
                                                    <!--end::Form-->
                                                </div>
                                                <!--end::Edit-->
                                                <!--begin::Action-->
                                                <div id="kt_signin_password_button" class="ms-auto">
                                                    <a href="auth/reset-password" class="btn btn-light btn-active-light-primary">Reset Password</a>
                                                </div>
                                                <!--end::Action-->
                                            </div>
                                            <!--end::Password-->
                                        </div>
                                        <!--end::Card body-->
                                    </div>
                                    <!--end::Content-->
                                </div>
                                <!--end::Sign-in Method-->
                            </div>
                            <!--end::Content container-->
                        </div>
                        <!--end::Content-->
                    </div>
                    <!--end::Content wrapper-->
                    <!--begin::Footer-->
<script type="text/javascript">
$("#kt_datepicker").flatpickr({
    altInput: true,
    altFormat: "F j, Y",
    dateFormat: "Y-m-d",
    mode: "range"
});
</script>
<script src="<?= ASSETS ?>js/lga.js"></script>
                    <?php include "layouts/_footer.inc.php" ?>
<?php
} else {
    header("Location: auth/login");
}
?>