<?php
session_start();

include_once '../config/init.php';
date_default_timezone_set("Africa/Lagos");

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['updateEmail']) && isset($_SESSION['REALTOR_SESSION']) && isset($_SESSION['VAL_SESSION'])) {

    $email 		= 	$conn->real_escape_string(trim($_POST['emailaddress']));
    $password 	= 	$conn->real_escape_string(trim($_POST['confirmemailpassword']));

    $query = $pdo->prepare("SELECT * FROM realtors WHERE realtor_id = :realtor AND validation = :val ");
	$query->execute(['realtor' => $_SESSION['REALTOR_SESSION'], 'val' => $_SESSION['VAL_SESSION']]);
    $row = $query->fetch(PDO::FETCH_ASSOC);

    // if (Token::check($_POST['token'])) {
        if (empty($email) || empty($password)) {
            flash("error", "Email and password must be filled");
            $_SESSION['emailmsg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5 w-100" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Email and password fields are required!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../edit-profile");
        }
        elseif (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
            flash("error", "Invalid Email Address");
            $_SESSION['emailmsg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5 w-100" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">Invalid Email Address!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../edit-profile");
        }
        elseif ($email == $row['email']) {
            flash("error", "Use a different Email Address");
            $_SESSION['emailmsg'] = '
                <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5 w-100" role="alert">
                    <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                    <div class="alert-text">You can\'t  use the same email, please use different Email Address!</div>
                    <div class="alert-close">
                        <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                        </button>
                    </div>
                </div>
            ';
            header("Location: ../edit-profile");
        }
        else {
            if (password_verify($password, $row['password']) === FALSE) {
                flash("error", "Password is wrong");
                $_SESSION['emailmsg'] = '
                    <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5 w-100" role="alert">
                        <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                        <div class="alert-text">Password wrong!</div>
                        <div class="alert-close">
                            <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                            </button>
                        </div>
                    </div>
                ';
                header("Location: ../edit-profile");
            }
            elseif (password_verify($password, $row['password']) === TRUE) {

                if ($conn->query("SELECT email FROM realtors WHERE email = '$email'")->num_rows > 0) {
                    flash("error", "Email already taken");
                    $_SESSION['emailmsg'] = '
                        <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5 w-100" role="alert">
                            <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                            <div class="alert-text">This email is taken, please try another!</div>
                            <div class="alert-close">
                                <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                </button>
                            </div>
                        </div>
                    ';
                    header("Location: ../edit-profile");
                }
                else {
                    $update = "UPDATE realtors SET email = :email WHERE realtor_id = :realtor AND validation = :val";
                    $stmt = $pdo->prepare($update);
                    $result = $stmt->execute(['email' => $email, 'realtor' => $_SESSION['REALTOR_SESSION'], 'val' => $_SESSION['VAL_SESSION']]);

                    if ($result) {
                        flash("success", "Email Update Successful");
                        $_SESSION['emailmsg'] = "
                            <div class='alert alert-dismissible alert-custom alert-outline-success fade show mb-5 w-100' role='alert'>
                                <div class='alert-icon'><i class=\"bi bi-check-square\"></i></div>
                                <div class='alert-text'>Email change successful!</div>
                                <div class='alert-close'>
                                    <button type='button' class='close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto' data-bs-dismiss='alert' aria-label='Close'>
                                        <span aria-hidden='true'><i class='bi bi-x fs-1'></i></span>
                                    </button>
                                </div>
                            </div>
                        ";
                        header("Location: ../edit-profile");
                    } else {
                        flash("error", "Update failed");
                        $_SESSION['emailmsg'] = '
                            <div class="alert alert-dismissible alert-custom alert-outline-danger fade show mb-5 w-100" role="alert">
                                <div class="alert-icon"><i class="bi bi-exclamation-triangle"></i></div>
                                <div class="alert-text">Update failed, please try again later!</div>
                                <div class="alert-close">
                                    <button type="button" class="close position-absolute position-sm-relative m-2 m-sm-0 top-0 end-0 btn btn-icon ms-sm-auto" data-bs-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true"><i class="bi bi-x fs-1"></i></span>
                                    </button>
                                </div>
                            </div>
                        ';
                        header("Location: ../edit-profile");
                    }
                }

            }
        }

    // } else {
    //     flash("error", "Reload page and try again!");
    //     header("Location: ../edit-profile");
    // }
}

?>
