<?php 
session_start();
ob_start();

if (!isset($_SESSION['VAL_SESSION']) && !isset($_SESSION['USER_SESSION']) && !isset($_SESSION['REALTOR_SESSION'])) {
    header("Location: ../login");
    exit;
}

include "config/init.php";

$query = $pdo->prepare("SELECT * FROM realtors WHERE validation = :val AND username = :user AND realtor_id = :realtor ");
$query->execute(['val' => $_SESSION['VAL_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']), 'realtor' => $_SESSION['REALTOR_SESSION'] ]);

if ($query->rowCount() > 0) {
    $row = $query->fetch(PDO::FETCH_ASSOC);

    $page_title = "Realtor Dashboard";
    $page = "Dashboard";

include "layouts/_header.inc.php" ?>

    <!--begin::App-->
    <div class="d-flex flex-column flex-root app-root" id="kt_app_root">
        <!--begin::Page-->
        <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
            <!--begin::Header-->
            <?php include "layouts/_top-header.inc.php" ?>  
            <!--end::Header-->
            <!--begin::Wrapper-->
            <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
                <!--begin::Sidebar-->
                <?php include "layouts/_sidebar.inc.php" ?>
                <!--end::Sidebar-->
                <!--begin::Main-->
                <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
                    <!--begin::Content wrapper-->
                    <div class="d-flex flex-column flex-column-fluid">
                        <!--begin::Toolbar-->
                        <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                            <!--begin::Toolbar container-->
                            <div id="kt_app_toolbar_container" class="app-container container-fluid d-flex flex-stack">
                                <!--begin::Page title-->
                                <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                                    <!--begin::Title-->
                                    <h1 class="page-heading d-flex text-gray-900 fw-bold fs-3 flex-column justify-content-center my-0"><?= $page_title ?></h1>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">
                                            <a href="<?= USER_URL ?>" class="text-muted text-hover-primary">Dashboard</a>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">Dashboard</li>
                                        <!--end::Item-->
                                    </ul>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Page title-->
                            </div>
                            <!--end::Toolbar container-->
                        </div>
                        <!--end::Toolbar-->
                        <!--begin::Content-->
                        <div id="kt_app_content" class="app-content flex-column-fluid">
                            <!--begin::Content container-->
                            <div id="kt_app_content_container" class="app-container container-fluid">
                                <!--begin::Row-->
                                <div class="row g-5 g-xl-10 mb-5 mb-xl-10">
                                    <!--begin::Col-->
                                    <div class="col-xl-12">
                                        <!--begin::Mixed Widget 6-->
                                        <div class="card card-xl-stretch mb-xl-8">
                                            <!--begin::Beader-->
                                            <div class="card-header border-0 py-5">
                                                <h3 class="card-title align-items-start flex-column">
                                                    <span class="card-label fw-bold fs-3 mb-1">Statistics</span>
                                                    <span class="text-muted fw-semibold fs-7">Recent account statistics</span>
                                                </h3>
                                            </div>
                                            <!--end::Header-->
                                            <!--begin::Body-->
                                            <div class="card-body p-0 d-flex flex-column">
                                                <!--begin::Stats-->
                                                <div class="card-px pt-5 pb-10 flex-grow-1">
                                                    <!--begin::Row-->
                                                    <div class="row g-0 mt-5 mb-10">
                                                        <!--begin::Col-->
                                                        <div class="col">
                                                            <div class="d-flex align-items-center me-2">
                                                                <!--begin::Symbol-->
                                                                <div class="symbol symbol-50px me-3">
                                                                    <div class="symbol-label bg-light-info">
                                                                        <i class="ki-duotone ki-bucket fs-1 text-info">
                                                                            <span class="path1"></span>
                                                                            <span class="path2"></span>
                                                                            <span class="path3"></span>
                                                                            <span class="path4"></span>
                                                                        </i>
                                                                    </div>
                                                                </div>
                                                                <!--end::Symbol-->
                                                                <!--begin::Title-->
                                                                <div>
                                                                    <div class="fs-4 text-gray-900 fw-bold"><?= countTableRow('realtors', 'referral', $row['realtor_id']) ?></div>
                                                                    <div class="fs-7 text-muted fw-bold">Referrals</div>
                                                                </div>
                                                                <!--end::Title-->
                                                            </div>
                                                        </div>
                                                        <!--end::Col-->
                                                        <!--begin::Col-->
                                                        <div class="col">
                                                            <div class="d-flex align-items-center me-2">
                                                                <!--begin::Symbol-->
                                                                <div class="symbol symbol-50px me-3">
                                                                    <div class="symbol-label bg-light-danger">
                                                                        <i class="ki-duotone ki-abstract-26 fs-1 text-danger">
                                                                            <span class="path1"></span>
                                                                            <span class="path2"></span>
                                                                        </i>
                                                                    </div>
                                                                </div>
                                                                <!--end::Symbol-->
                                                                <!--begin::Title-->
                                                                <div>
                                                                    <div class="fs-4 text-gray-900 fw-bold"><?= countTableRow('transactions', 'realtor_id', $row['realtor_id']) ?></div>
                                                                    <div class="fs-7 text-muted fw-bold">Transactions</div>
                                                                </div>
                                                                <!--end::Title-->
                                                            </div>
                                                        </div>
                                                        <!--end::Col-->
                                                        <!--begin::Col-->
                                                        <div class="col">
                                                            <div class="d-flex align-items-center me-2">
                                                                <!--begin::Symbol-->
                                                                <div class="symbol symbol-50px me-3">
                                                                    <div class="symbol-label bg-light-success">
                                                                        <i class="ki-duotone ki-basket fs-1 text-success">
                                                                            <span class="path1"></span>
                                                                            <span class="path2"></span>
                                                                            <span class="path3"></span>
                                                                            <span class="path4"></span>
                                                                        </i>
                                                                    </div>
                                                                </div>
                                                                <!--end::Symbol-->
                                                                <!--begin::Title-->
                                                                <div>
                                                                    <div class="fs-4 text-gray-900 fw-bold">₦<?= tableSum('transactions', 'amount', 'realtor_id', $row['realtor_id']) ?></div>
                                                                    <div class="fs-7 text-muted fw-bold">Total Transactions</div>
                                                                </div>
                                                                <!--end::Title-->
                                                            </div>
                                                        </div>
                                                        <!--end::Col-->
                                                    </div>
                                                    <!--end::Row-->
                                                </div>
                                                <!--end::Stats-->
                                                <!--begin::Chart-->
                                                <div class="mixed-widget-6-chart card-rounded-bottom" data-kt-chart-color="success" style="height: 150px"></div>
                                                <!--end::Chart-->
                                            </div>
                                            <!--end::Body-->
                                        </div>
                                        <!--end::Mixed Widget 6-->
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                                <!--begin::Row-->
                                <div class="row g-5 g-xl-10 mb-5 mb-xl-10">
                                    <!--begin::Col-->
                                    <div class="col-xl-12">
                                        <!--begin::Table widget 14-->
                                        <div class="card card-flush h-md-100">
                                            <!--begin::Header-->
                                            <div class="card-header pt-7">
                                                <!--begin::Title-->
                                                <h3 class="card-title align-items-start flex-column">
                                                    <span class="card-label fw-bold text-gray-800">Latest Referrals</span>
                                                    <!-- <span class="text-gray-500 mt-1 fw-semibold fs-6">Updated 37 minutes ago</span> -->
                                                </h3>
                                                <!--end::Title-->
                                                <!--begin::Toolbar-->
                                                <div class="card-toolbar">
                                                    <a href="referral" class="btn btn-sm btn-light">Referrals</a>
                                                </div>
                                                <!--end::Toolbar-->
                                            </div>
                                            <!--end::Header-->
                                            <!--begin::Body-->
                                            <div class="card-body pt-6">
                                                <!--begin::Table container-->
                                                <div class="table-responsive">
                                                    <!--begin::Table-->
                                                    <table class="table table-row-dashed align-middle gs-0 gy-3 my-0">
                                                        <!--begin::Table head-->
                                                        <thead>
                                                            <tr class="fs-7 fw-bold text-gray-500 text-uppercase border-bottom-0">
                                                                <th class="p-0 pb-3 min-w-175px text-start">Realtor</th>
                                                                <th class="p-0 pb-3 min-w-100px text-end">Username</th>
                                                                <th class="p-0 pb-3 min-w-100px text-end">Gender</th>
                                                                <th class="p-0 pb-3 min-w-100px text-end">Phone</th>
                                                                <th class="p-0 pb-3 min-w-100px text-end">State/LGA</th>
                                                                <th class="p-0 pb-3 w-175px text-end pe-7">Register Date</th>
                                                            </tr>
                                                        </thead>
                                                        <!--end::Table head-->
                                                        <!--begin::Table body-->
                                                        <tbody>
                                                            <?php 
                                                            $select = $pdo->query("SELECT * FROM realtors WHERE referral = '".$row['realtor_id']."' ");
                                                            while ($urow = $select->fetch(PDO::FETCH_ASSOC)):
                                                            ?>
                                                            <tr>
                                                                <td>
                                                                    <div class="d-flex align-items-center">
                                                                        <!--begin::Thumbnail-->
                                                                        <a href="javascript:void(0)" class="symbol symbol-50px">
                                                                            <span class="symbol-label" style="background-image:url(<?= $avatar = !empty($urow['photo']) ? USER_URL.$urow['photo'] : ASSETS.'media/svg/avatars/blank.svg' ?>);"></span>
                                                                        </a>
                                                                        <!--end::Thumbnail-->
                                                                        <div class="ms-5 d-flex flex-column">
                                                                            <!--begin::Title-->
                                                                            <a href="javascript:void(0)" class="text-gray-800 text-hover-primary fs-5 fw-bold"><?= $urow['firstname'].' '.$urow['lastname'] ?></a>
                                                                            <!--end::Title-->
                                                                            <span class="fw-semibold"><?= $urow['email'] ?></span>
                                                                        </div>
                                                                    </div>
                                                                </td>
                                                                <td class="text-end pe-0">
                                                                    <span class="text-gray-600 fw-bold fs-6"><?= $urow['username'] ?></span>
                                                                </td>
                                                                <td class="text-end pe-0">
                                                                    <span class="text-gray-600 fw-bold fs-6"><?= $urow['gender'] ?></span>
                                                                </td>
                                                                <td class="text-end pe-0">
                                                                    <span class="text-gray-600 fw-bold fs-6"><?= $urow['mobile'] ?></span>
                                                                </td>
                                                                <td class="text-end pe-0">
                                                                    <div class="ms-5 d-flex flex-column">
                                                                        <!--begin::Title-->
                                                                        <a class="text-gray-800 fs-5 fw-bold"><?= $urow['state'] ?></a>
                                                                        <!--end::Title-->
                                                                        <span class="text-muted fw-semibold"><?= $urow['lga'] ?></span>
                                                                    </div>
                                                                </td>
                                                                <td class="text-end pe-0">
                                                                    <span class="text-gray-600 fw-bold fs-6"><?= date('Y-m-d h:ia', strtotime($urow['joined'])) ?></span>
                                                                </td>
                                                            </tr>
                                                            <?php endwhile ?>
                                                        </tbody>
                                                        <!--end::Table body-->
                                                    </table>
                                                </div>
                                                <!--end::Table-->
                                            </div>
                                            <!--end: Card Body-->
                                        </div>
                                        <!--end::Table widget 14-->
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                                <!--begin::Row-->
                                <div class="row g-5 g-xl-10 mb-xl-10">
                                    <!--begin::Col-->
                                    <div class="col-xxl-12">
                                        <!--begin::Calendar-->
                                        <div id="mycalendar"></div>
                                        <!--end::Calendar-->
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                            </div>
                            <!--end::Content container-->
                        </div>
                        <!--end::Content-->
                    </div>
                    <!--end::Content wrapper-->
                    <!--begin::Footer-->
<script>
    $(document).ready(function() {
        $('.table').DataTable();
    });
</script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/fullcalendar@5.11.0/main.min.js"></script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/fullcalendar@5.11.0/main.min.css">
<script>
    document.addEventListener('DOMContentLoaded', function() {
    var calendarEl = document.getElementById('mycalendar');
    var calendar = new FullCalendar.Calendar(calendarEl, {
        initialView: 'dayGridMonth',
    });
    calendar.render();
  });

</script>
<?php include "layouts/_footer.inc.php" ?>
<?php
} else {
    header("Location: auth/login");
}
?>