<?php 
session_start();
ob_start();

if (!isset($_SESSION['VAL_SESSION']) && !isset($_SESSION['USER_SESSION']) && !isset($_SESSION['REALTOR_SESSION'])) {
    header("Location: ../login");
    exit;
}

include "config/init.php";

$query = $pdo->prepare("SELECT * FROM realtors WHERE validation = :val AND username = :user AND realtor_id = :realtor ");
$query->execute(['val' => $_SESSION['VAL_SESSION'], 'user' => decrypt_v2($_SESSION['USER_SESSION']), 'realtor' => $_SESSION['REALTOR_SESSION'] ]);

if ($query->rowCount() > 0) {
    $row = $query->fetch(PDO::FETCH_ASSOC);


    $page_title = "Referral";
    $page = "Profile";

include "layouts/_header.inc.php" ?>

    <!--begin::App-->
    <div class="d-flex flex-column flex-root app-root" id="kt_app_root">
        <!--begin::Page-->
        <div class="app-page flex-column flex-column-fluid" id="kt_app_page">
            <!--begin::Header-->
            <?php include "layouts/_top-header.inc.php" ?>
            <!--end::Header-->
            <!--begin::Wrapper-->
            <div class="app-wrapper flex-column flex-row-fluid" id="kt_app_wrapper">
                <!--begin::Sidebar-->
                <?php include "layouts/_sidebar.inc.php" ?>
                <!--end::Sidebar-->
                <!--begin::Main-->
                <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
                    <!--begin::Content wrapper-->
                    <div class="d-flex flex-column flex-column-fluid">
                        <!--begin::Toolbar-->
                        <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                            <!--begin::Toolbar container-->
                            <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                                <!--begin::Page title-->
                                <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                                    <!--begin::Title-->
                                    <h1 class="page-heading d-flex text-gray-900 fw-bold fs-3 flex-column justify-content-center my-0"><?= $page_title ?></h1>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted">
                                            <a href="<?= USER_URL ?>" class="text-muted text-hover-primary">Dashboard</a>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page ?></li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item">
                                            <span class="bullet bg-gray-500 w-5px h-2px"></span>
                                        </li>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <li class="breadcrumb-item text-muted"><?= $page_title ?></li>
                                        <!--end::Item-->
                                    </ul>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Page title-->
                            </div>
                            <!--end::Toolbar container-->
                        </div>
                        <!--end::Toolbar-->
                        <!--begin::Content-->
                        <div id="kt_app_content" class="app-content flex-column-fluid">
                            <!--begin::Content container-->
                            <div id="kt_app_content_container" class="app-container container-xxl">
                                <!--begin::Navbar-->
                                <?php include "layouts/_profile-navbar.inc.php" ?>
                                <!--end::Navbar-->
                                <!--begin::Referral program-->
                                <div class="card mb-5 mb-xl-10">
                                    <!--begin::Body-->
                                    <div class="card-body py-10">
                                        <h2 class="mb-9">Referral Program</h2>
                                        <!--begin::Overview-->
                                        <div class="row mb-10">
                                            <!--begin::Col-->
                                            <div class="col-xl-9 m-auto">
                                                <h4 class="text-gray-800 mb-0">Your Referral Link</h4>
                                                <p class="fs-6 fw-semibold text-gray-600 py-4 m-0">Your referral link to onboard new memberss.</p>
                                                <div class="d-flex">
                                                    <input id="kt_referral_link_input" type="text" class="form-control form-control-solid me-3 flex-grow-1" name="search" value="<?= USER_URL ?>auth/register?ref=<?= $row['username'] ?>" />
                                                    <button id="kt_referral_program_link_copy_btn" class="btn btn-light btn-active-light-primary fw-bold flex-shrink-0" data-clipboard-target="#kt_referral_link_input">Copy Link</button>
                                                </div>
                                            </div>
                                            <!--end::Col-->
                                        </div>
                                        <!--end::Overview-->
                                    </div>
                                    <!--end::Body-->
                                </div>
                                <!--end::Referral program-->
                                <!--begin::Referred users-->
                                <div class="card mb-5 mb-xl-10">
                                    <!--begin::Header-->
                                    <div class="card-header card-header-stretch">
                                        <!--begin::Title-->
                                        <div class="card-title">
                                            <h3>Upline</h3>
                                        </div>
                                        <!--end::Title-->
                                    </div>
                                    <!--end::Header-->
                                    <div class="card-body pt-0">
                                        <!--begin::Table-->
                                        <div class="table-responsive">
                                            <table class="table table-hover align-middle table-row-dashed fs-6 gy-5">
                                                <thead>
                                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                        <th class="min-w-200px">Realtor</th>
                                                        <th class="min-w-100px">Username</th>
                                                        <th class="min-w-100px">Gender</th>
                                                        <th class="min-w-100px">State/LGA</th>
                                                        <th class="min-w-100px">Phone</th>
                                                        <th class="min-w-150px">Created</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="fw-semibold text-gray-600">
                                                    <?php if (empty($row['referral'])) { ?>
                                                    <tr>
                                                        <td colspan="7" class="text-center"><span class="fw-bold">Admin</span></td>
                                                    </tr>
                                                    <?php } else { 
                                                        $sql = $conn->query("SELECT * FROM realtors WHERE realtor_id = '{$row['referral']}' ");
                                                        while($urow = $sql->fetch_assoc()) {
                                                    ?>
                                                    <tr>
                                                        <td class="align-middle">
                                                            <div class="d-flex align-items-center">
                                                                <!--begin::Thumbnail-->
                                                                <a href="javascript:void(0)" class="symbol symbol-50px">
                                                                    <span class="symbol-label" style="background-image:url(<?= $avatar = !empty($urow['photo']) ? USER_URL.$urow['photo'] : ASSETS.'media/svg/avatars/blank.svg' ?>);"></span>
                                                                </a>
                                                                <!--end::Thumbnail-->
                                                                <div class="ms-5 d-flex flex-column">
                                                                    <!--begin::Title-->
                                                                    <a href="javascript:void(0)" class="text-gray-800 text-hover-primary fs-5 fw-bold"><?= $urow['firstname'].' '.$urow['lastname'] ?></a>
                                                                    <!--end::Title-->
                                                                    <span class="fw-semibold"><?= $urow['email'] ?></span>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td class="pe-0 align-middle">
                                                            <span class="fw-bold"><?= $urow['username'] ?></span>
                                                        </td>
                                                        <td class="pe-0 align-middle">
                                                            <span class="fw-bold"><?= $urow['gender'] ?></span>
                                                        </td>
                                                        <td class="pe-0 align-middle">
                                                            <div class="d-flex flex-column">
                                                                <!--begin::Title-->
                                                                <a class="text-gray-800 fs-5 fw-bold"><?= $urow['state'] ?></a>
                                                                <!--end::Title-->
                                                                <span class="text-muted fw-semibold"><?= $urow['lga'] ?></span>
                                                            </div>
                                                        </td>
                                                        <td class="pe-0 align-middle">
                                                            <span class="fw-bold ms-3"><?= $urow['mobile'] ?></span>
                                                        </td>
                                                        <td class="pe-0 align-middle">
                                                            <div class="fw-bold ms-3"><?= date('Y-m-d h:ia', strtotime($urow['joined'])) ?></div>
                                                        </td>
                                                    </tr>
                                                    <?php } } ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!--end::Table-->
                                    </div>
                                </div>
                                <!--end::Referred users-->
                                <!--begin::Referred users-->
                                <div class="card">
                                    <!--begin::Header-->
                                    <div class="card-header card-header-stretch">
                                        <!--begin::Title-->
                                        <div class="card-title">
                                            <h3>Referred Realtors</h3>
                                        </div>
                                        <!--end::Title-->
                                    </div>
                                    <!--end::Header-->
                                    <div class="card-body pt-0">
                                        <!--begin::Table-->
                                        <div class="table-responsive">
                                            <table class="table table-hover align-middle table-row-dashed fs-6 gy-5">
                                                <thead>
                                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                        <th class="min-w-50px"></th>
                                                        <th class="min-w-200px">Realtor</th>
                                                        <th class="min-w-100px">Username</th>
                                                        <th class="min-w-100px">Gender</th>
                                                        <th class="min-w-100px">State/LGA</th>
                                                        <th class="min-w-100px">Phone</th>
                                                        <th class="min-w-150px">Created</th>
                                                    </tr>
                                                </thead>
                                                <tbody class="fw-semibold text-gray-600">
                                                    <?php realtorReferralTable($row['realtor_id'], $sub_mark = '') ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!--end::Table-->
                                    </div>
                                </div>
                                <!--end::Referred users-->
                            </div>
                            <!--end::Content container-->
                        </div>
                        <!--end::Content-->
                    </div>
                    <!--end::Content wrapper-->
                    <!--begin::Footer-->

<!-- <script>
    $(document).ready(function() {
        $('table').DataTable();
    });
</script> -->
                    <?php include "layouts/_footer.inc.php" ?>
<?php
} else {
    header("Location: auth/login");
}
?>